package com.kingtom.kirin.api.affair.mapper;

import com.kingtom.kirin.api.affair.model.AffairInfoDTO;
import com.kingtom.kirin.app.affair.model.AffairInfo;
import com.kingtom.kirin.app.affair.model.AffairInfoCurrentDO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/21 11:51
 */
@Mapper
public interface AffairMapper {

    AffairMapper INSTANCT = Mappers.getMapper(AffairMapper.class);

    @Mapping(target = "gmtCreate", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @Mapping(target = "gmtModified", dateFormat = "yyyy-MM-dd HH:mm:ss")
    AffairInfoDTO convertToDTO(AffairInfo bean);

    default AffairInfoDTO convertToDTO(AffairInfoCurrentDO bean) {
        AffairInfoDTO r = convertToDTO(bean.getInfo());
        r.setTokenId(bean.getToken() == null?null:bean.getToken().getId());
        r.setMemberId(bean.getMember() == null?null:bean.getMember().getId());
        return r;
    }


}
