package com.kingtom.kirin.api.auth.dto;

import java.util.List;

import com.kingtom.kirin.core.resource.ResourceObject;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/8/29
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "角色信息")
public class AuthRoleDTO{

    @Schema(description = "角色id")
    private String id;

    @Schema(description = "角色名称")
    private String name;

    @Schema(description = "角色码")
    private String code;

    @Schema(description = "状态")
    private Integer state;

    @Schema(description = "扩展字段1的内容")
    private String ext1;

    @Schema(description = "扩展字段2的内容")
    private String ext2;

    @Schema(description = "创建时间")
    private String gmtCreate;

    @Schema(description = "修改时间")
    private String gmtModified;

    @Schema(description = "系统Id")
    private String sysId;

    @Schema(description = "扩展字段3的内容")
    private String testExt3;

    @Schema(description = "绑定的用户信息")
    private List<ResourceObject<String>> resources;

    @Schema(description = "绑定的菜单")
    private List<String> menuIds;

}
