package com.kingtom.kirin.api.ddic.mapper;

import com.kingtom.kirin.api.ddic.model.DdicInfoDTO;
import com.kingtom.kirin.api.ddic.model.DdicItemDTO;
import com.kingtom.kirin.app.ddic.model.DdicInfo;
import com.kingtom.kirin.app.ddic.model.DdicInfoExt3;
import com.kingtom.kirin.app.ddic.model.DdicItem;
import com.kingtom.kirin.core.common.json.JObject;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/9/1 18:14
 */
@Mapper
public interface DdicMapper {

    DdicMapper INSTANCT = Mappers.getMapper(DdicMapper.class);

    default DdicInfo convert(DdicInfoDTO dto) {
        if(dto != null) {
            DdicInfo r = convertToBean(dto);
            DdicInfoExt3 e = convertToExt3Bean(dto);
            r.setExt3(new JObject<DdicInfoExt3>(e));
            return r;
        } else {
            return null;
        }
    }

    @Mapping(target = "gmtCreate", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @Mapping(target = "gmtModified", dateFormat = "yyyy-MM-dd HH:mm:ss")
    DdicInfo convertToBean(DdicInfoDTO dto);

    DdicInfoExt3 convertToExt3Bean(DdicInfoDTO dto);

    default DdicInfoDTO convert(DdicInfo bean) {
        if(bean != null) {
            DdicInfoDTO r = convertToDTO(bean);
            convertToDTO(bean.getExt3().getE(), r);
            return r;
        } else {
            return null;
        }
    }

    @Mapping(target = "gmtCreate", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @Mapping(target = "gmtModified", dateFormat = "yyyy-MM-dd HH:mm:ss")
    DdicInfoDTO convertToDTO(DdicInfo bean);

    void convertToDTO(DdicInfoExt3 ext3Bean, @MappingTarget DdicInfoDTO dto);

    @Mapping(target = "gmtCreate", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @Mapping(target = "gmtModified", dateFormat = "yyyy-MM-dd HH:mm:ss")
    DdicItem convert(DdicItemDTO dto);

    @Mapping(target = "gmtCreate", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @Mapping(target = "gmtModified", dateFormat = "yyyy-MM-dd HH:mm:ss")
    DdicItemDTO convert(DdicItem bean);
}
