package com.kingtom.kirin.api.org.model;

import java.util.List;

import com.kingtom.kirin.app.org.OrgConst;
import com.kingtom.kirin.core.common.CommonConst;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/14
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "人员")
public class OrgPersonDTO{


    @Schema(description = "主键")
    private String id;


    @Schema(description = "人员名称")
    private String name;


    @Schema(description = "人员别名")
    private String otherName;


    @Schema(description = "人员英文名")
    private String enName;


    @Schema(description = "生日")
    private String birthday;


    @Schema(description = "性别")
    private Integer sex;


    @Schema(description = "证件类型")
    private String licenseType;


    @Schema(description = "唯一编码值")
    private String licenseCode;


    @Schema(description = "电话:主要的,作为账号")
    private String phone;


    @Schema(description = "邮箱:主要的")
    private String email;


    @Schema(description = "状态：0启用；1停用;2删除")
    private Integer state;


    @Schema(description = "认证状态：0已认证；1未认证")
    private Integer authState;


    @Schema(description = "国家/地区")
    private String national;


    @Schema(description = "民族")
    private String nation;


    @Schema(description = "籍贯")
    private String nativePlace;


    @Schema(description = "地址")
    private String nativeAddress;


    @Schema(description = "居住地")
    private String residentialAddress;


    @Schema(description = "签发机关")
    private String licensePubOrg;


    @Schema(description = "证件有效期开始时间")
    private String licenseStartTime;


    @Schema(description = "证件有效期到期时间")
    private String licenseEndTime;


    @Schema(description = "扩展信息")
    private String ext1;


    @Schema(description = "扩展信息")
    private String ext2;


    @Schema(description = "创建时间")
    private String gmtCreate;


    @Schema(description = "更新时间")
    private String gmtModified;


    @Schema(description = "系统ID")
    private String sysId;


    @Schema(description = "电话:多个")
    private List<String> phones;

    @Schema(description = "邮箱:多个")
    private List<String> emails;

    @Schema(description = "性别枚举表达")
    private OrgConst.OrgPersonSexEnum sexEnum;

    @Schema(description = "证件类型枚举表达")
    private OrgConst.OrgPersonLicenseTypeEnum licenseTypeEnum;

    @Schema(description = "状态枚举表达")
    private CommonConst.StateEnum stateEnum;

    @Schema(description = "认证状态枚举表达")
    private CommonConst.StateEnum authStateEnum;

}
