package com.kingtom.kirin.api.org.model;

import java.util.List;
import java.util.Map;

import com.kingtom.kirin.app.org.OrgConst;
import com.kingtom.kirin.core.common.CommonConst;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/18
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "机构")
public class OrgStructDTO{

    @Schema(description = "主键")
    private String id;

    @Schema(description = "机构名称")
    private String name;

    @Schema(description = "机构别名")
    private String otherName;

    @Schema(description = "机构英文名")
    private String enName;

    @Schema(description = "机构编码:同一颗树内唯一")
    private String code;

    @Schema(description = "机构类型:虚机构，实机构)")
    private String type;

    @Schema(description = "机构子类型。由机构模型实现者去填充，如企业模型：department，post")
    private String subType;

    @Schema(description = "机构状态")
    private Integer state;

    @Schema(description = "组织树顶级节点ID")
    private String topId;

    @Schema(description = "组织树顶级节点ID")
    private String parentId;

    @Schema(description = "组织树路径")
    private List<String> path;

    @Schema(description = "所属组织ID")
    private String orgId;

    @Schema(description = "排序字段")
    private Integer orderNum;

    @Schema(description = "扩展字段1")
    private String ext1;

    @Schema(description = "扩展字段2")
    private String ext2;

    @Schema(description = "扩展字段3")
    private Map<String, Object> ext3;

    @Schema(description = "创建时间")
    private String gmtCreate;

    @Schema(description = "更新时间")
    private String gmtModified;

    @Schema(description = "系统ID")
    private String sysId;

    @Schema(description = "机构类型枚举表达")
    private OrgConst.OrgStructTypeEnum typeEnum;

    @Schema(description = "机构子类型枚举表达")
    private OrgConst.OrgStructSubTypeEnum subTypeEnum;

    @Schema(description = "机构状态枚举表达")
    private CommonConst.StateEnum stateEnum;

}
