package com.kingtom.kirin.api.org.model;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/19
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "部门")
public class OrgStructItem{

    @Schema(description = "主键")
    private String id;

    @Schema(description = "部门/岗位名称")
    private String name;

    @Schema(description = "部门/岗位别名")
    private String otherName;

    @Schema(description = "部门/岗位英文名")
    private String enName;

    @Schema(description = "部门/岗位编码:同一颗树内唯一")
    private String code;

    @Schema(description = "部门/岗位子类型")
    private String subType;

    @Schema(description = "父ID")
    private String parentId;

    @Schema(description = "排序字段")
    private Integer orderNum;

    @Schema(description = "所属组织ID")
    private String orgId;

}
