package com.kingtom.kirin.api.org.model;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

import com.kingtom.kirin.app.org.OrgConst;
import com.kingtom.kirin.core.common.CommonConst;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/17
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "组织信息")
public class OrgUnitDTO{

    @Schema(description = "主键")
    private String id;

    @Schema(description = "组织名称")
    private String name;

    @Schema(description = "组织别名")
    private String otherName;

    @Schema(description = "组织英文名")
    private String enName;

    @Schema(description = "企业类型")
    private String type;

    @Schema(description = "统一社会信用代码")
    private String usci;

    @Schema(description = "纳税人识别号")
    private String taxId;

    @Schema(description = "组织机构代码")
    private String orgCode;

    @Schema(description = "电话:多个")
    private List<String> phones;

    @Schema(description = "邮箱:多个")
    private List<String> emails;

    @Schema(description = "国家/地区")
    private String national;

    @Schema(description = "组织地址")
    private String address;

    @Schema(description = "位置信息:经度")
    private BigDecimal longitude;

    @Schema(description = "位置信息:纬度")
    private BigDecimal latitude;

    @Schema(description = "网址")
    private String website;

    @Schema(description = "描述")
    private String description;

    @Schema(description = "状态")
    private Integer state;

    @Schema(description = "法人")
    private String legalPerson;

    @Schema(description = "行业")
    private String industry;

    @Schema(description = "组织规模")
    private String scale;

    @Schema(description = "组织证照:类型")
    private String licenseType;

    @Schema(description = "组织证照:号码")
    private String licenseNo;

    @Schema(description = "组织证照:颁发机构")
    private String licensePubOrg;

    @Schema(description = "组织证照:注册地")
    private String licenseRegArea;

    @Schema(description = "组织证照:颁发时间")
    private String licenseRegTime;

    @Schema(description = "组织证照:注册资本")
    private String licenseRegCapital;

    @Schema(description = "组织证照:允许经营范围")
    private String licenseBusScope;

    @Schema(description = "组织证照:状态")
    private String licenseState;

    @Schema(description = "组织证照:成立时间")
    private String licenseCreateTime;

    @Schema(description = "组织证照:证件有效期开始时间")
    private String licenseStartTime;

    @Schema(description = "组织证照:证件有效期到期时间")
    private String licenseEndTime;

    @Schema(description = "组织证照:附件")
    private String licenseResource;

    @Schema(description = "logo")
    private List<String> logoResource;

    @Schema(description = "形象图片")
    private List<String> imageResource;

    @Schema(description = "登录页封面图片")
    private List<String> loginResource;

    @Schema(description = "企业商标")
    private List<String> trademarkResource;

    @Schema(description = "扩展字段1")
    private String ext1;

    @Schema(description = "扩展字段2")
    private String ext2;

    @Schema(description = "扩展字段3")
    private Map<String, Object> ext3;

    @Schema(description = "创建时间")
    private String gmtCreate;

    @Schema(description = "更新时间")
    private String gmtModified;

    @Schema(description = "系统ID")
    private String sysId;

    @Schema(description = "企业类型枚举表达")
    private OrgConst.OrgUnitTypeEnum typeEnum;

    @Schema(description = "企业行业枚举表达")
    private OrgConst.OrgUnitIndustryEnum industryEnum;

    @Schema(description = "企业证件状态枚举表达")
    private OrgConst.OrgUnitLicenseStateEnum licenseStateEnum;

    @Schema(description = "企业状态枚举表达")
    private CommonConst.StateEnum stateEnum;

}
