package com.kingtom.kirin.api.org.model;

import java.util.List;
import java.util.stream.Collectors;

import com.kingtom.kirin.api.org.mapper.OrgMapper;
import com.kingtom.kirin.app.org.bo.OrgUnitBO;
import com.kingtom.kirin.app.org.model.OrgPerson;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.beans.BeanUtils;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/11/10
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "组织完整信息")
public class OrgUnitFullDTO extends OrgUnitDTO{

    @Schema(description = "组织管理员Id")
    private List<String> adminIds;

    @Schema(description = "组织管理员名称")
    private List<String> adminNames;

    public static OrgUnitFullDTO build(OrgUnitBO bo){
        OrgUnitFullDTO fullDTO = new OrgUnitFullDTO();
        OrgUnitDTO dto = OrgMapper.INSTANCT.convert(bo.getOrg());
        BeanUtils.copyProperties(dto, fullDTO);
        fullDTO.setAdminIds(bo.getAdmins() == null ? null :
                bo.getAdmins().stream().map(OrgPerson::getId).collect(Collectors.toList()));
        fullDTO.setAdminNames(bo.getAdmins() == null ? null :
                bo.getAdmins().stream().map(OrgPerson::getName).collect(Collectors.toList()));
        return fullDTO;
    }

}
