package com.kingtom.kirin.api.security;

import cn.dev33.satoken.listener.SaTokenListenerForSimple;
import cn.dev33.satoken.stp.SaLoginModel;
import com.kingtom.kirin.app.security.base.SessionData;
import com.kingtom.kirin.app.security.service.ISecurityService;
import com.kingtom.kirin.core.common.utils.JsonUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/8/25
 */
@Component
@Slf4j
@Order(-1)
public class KirinSaTokenListener extends SaTokenListenerForSimple{

    @Autowired
    private ISecurityService sessionManager;

    @Override
    public void doLogin(String loginType, Object loginId, String tokenValue, SaLoginModel loginModel){
        SessionData dto = (SessionData) sessionManager.logIn(tokenValue,(String) loginId);
        dto.setToken(tokenValue);
        log.info("账户[" + loginId + "][" + loginType + "][" + loginModel.getDevice() + "]登录了,token=" + tokenValue);
    }

    @Override
    public void doLogout(String loginType, Object loginId, String tokenValue){
        SessionData dto = (SessionData) sessionManager.logOut(tokenValue);
        log.info("账户[" + loginId + "][" + loginType + "]退出了，扩展信息=" + JsonUtils.toJson(dto) + "，token=" +
                tokenValue);
    }

    @Override
    public void doKickout(String loginType, Object loginId, String tokenValue){
        SessionData dto = (SessionData) sessionManager.logOut(tokenValue);
        log.info("账户[" + loginId + "][" + loginType + "]踢下线了，扩展信息=" + JsonUtils.toJson(dto) + "，token=" +
                tokenValue);
    }

    @Override
    public void doReplaced(String loginType, Object loginId, String tokenValue){
        SessionData dto = (SessionData) sessionManager.logOut(tokenValue);
        log.info("账户[" + loginId + "][" + loginType + "]顶下线了，扩展信息=" + JsonUtils.toJson(dto) + "，token=" +
                tokenValue);
    }

}
