package com.kingtom.kirin.api.security;

import com.kingtom.kirin.app.security.base.SessionData;
import com.kingtom.kirin.core.common.exception.AppException;
import com.kingtom.kirin.core.common.utils.SpringContextUtils;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/11/6 16:05
 */
public class SaSecurityUtils {

    private SaSecurityUtils(){}

    private static ISaSecurityService manager;

    private static ISaSecurityService getManager(){
        if(manager == null){
            manager = SpringContextUtils.getBean(ISaSecurityService.class);
        }
        if(manager == null){
            throw new AppException("会话管理器未初始化！");
        }
        return manager;
    }

    /**
     * 获取会话信息
     *
     * @return the abstract session data
     */
    public static SessionData findSessionData(){
        return getManager().findSessionInfo();
    }

}
