package com.kingtom.kirin.api.security.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/8/29
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "登录入参")
public class LoginParamDTO{

    @Schema(description = "账号")
    private String principal;

    @Schema(description = "凭证")
    private String credentials;

    @Schema(description = "认证方式", defaultValue = "Password")
    private String type;

    @Schema(description = "是否加密", defaultValue = "0")
    private Integer encode;

}
