package com.kingtom.kirin.api.system.mapper;

import com.kingtom.kirin.api.system.model.SystemInfoDTO;
import com.kingtom.kirin.api.system.model.SystemUserDTO;
import com.kingtom.kirin.app.system.model.SystemInfo;
import com.kingtom.kirin.app.system.model.SystemUser;
import com.kingtom.kirin.app.system.model.SystemUserExt3;
import com.kingtom.kirin.app.system.model.SystemUserResAttr;
import com.kingtom.kirin.core.common.json.JObject;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/8/24 19:48
 */
@Mapper
public interface SystemMapper {

    SystemMapper INSTANCT = Mappers.getMapper(SystemMapper.class);

    @Mapping(target = "gmtCreate", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @Mapping(target = "gmtModified", dateFormat = "yyyy-MM-dd HH:mm:ss")
    SystemInfo convert(SystemInfoDTO dto);

    @Mapping(target = "gmtCreate", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @Mapping(target = "gmtModified", dateFormat = "yyyy-MM-dd HH:mm:ss")
    SystemInfoDTO convert(SystemInfo bean);

    default SystemUser convert(SystemUserDTO dto) {
        if(dto != null) {
            SystemUser r = convertToBean(dto);
            SystemUserExt3 e = convertToExt3Bean(dto);
            SystemUserResAttr ra = convertToResBean(dto);
            r.setExt3(new JObject<SystemUserExt3>(e));
            r.setResAttr(new JObject<SystemUserResAttr>(ra));
            return r;
        } else {
            return null;
        }
    }

    @Mapping(target = "gmtCreate", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @Mapping(target = "gmtModified", dateFormat = "yyyy-MM-dd HH:mm:ss")
    SystemUser convertToBean(SystemUserDTO dto);

    SystemUserExt3 convertToExt3Bean(SystemUserDTO dto);

    @Mapping(target = "birthday", dateFormat = "yyyy-MM-dd HH:mm:ss")
    SystemUserResAttr convertToResBean(SystemUserDTO dto);

    default SystemUserDTO convert(SystemUser bean) {
        if(bean != null) {
            SystemUserDTO r = convertToDTO(bean);
            convertToDTO(bean.getExt3().getE(), r);
            convertToDTO(bean.getResAttr().getE(), r);
            return r;
        } else {
            return null;
        }
    }

    @Mapping(target = "gmtCreate", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @Mapping(target = "gmtModified", dateFormat = "yyyy-MM-dd HH:mm:ss")
    SystemUserDTO convertToDTO(SystemUser bean);

    void convertToDTO(SystemUserExt3 ext3Bean, @MappingTarget SystemUserDTO dto);

    @Mapping(target = "birthday", dateFormat = "yyyy-MM-dd HH:mm:ss")
    void convertToDTO(SystemUserResAttr resBean, @MappingTarget SystemUserDTO dto);

}
