package com.kingtom.kirin.app.affair;

import com.kingtom.kirin.app.affair.base.DynamicCondition;
import com.kingtom.kirin.app.ddic.DdicConst;
import com.kingtom.kirin.core.common.base.IBaseEnum;
import org.checkerframework.checker.units.qual.C;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/20 15:14
 */
public class AffairConst {

    private AffairConst(){}

    public static enum AffairInfoActionModelEnum implements IBaseEnum<String> {
        All("All", "全部执行"),
        One("One", "单个执行");
        private String key;
        private String name;
        AffairInfoActionModelEnum(String k, String n) {
            key = k;
            name = n;
        }

        @Override
        public String getKey() {
            return key;
        }

        @Override
        public String getName() {
            return name;
        }

        public static AffairInfoActionModelEnum findEnumByKey(String k) {
            return IBaseEnum.findEnumByKey(AffairInfoActionModelEnum.class, k);
        }
    }

    public static enum AffairInfoImportantEnum implements IBaseEnum<String> {
        P0("P0", "非常重要"),
        P1("P1", "重要"),
        P2("P2", "普通"),
        P3("P3", "不重要");
        private String key;
        private String name;
        AffairInfoImportantEnum(String k, String n) {
            key = k;
            name = n;
        }

        @Override
        public String getKey() {
            return key;
        }

        @Override
        public String getName() {
            return name;
        }

        public static AffairInfoImportantEnum findEnumByKey(String k) {
            return IBaseEnum.findEnumByKey(AffairInfoImportantEnum.class, k);
        }
    }

    public static enum AffairInfoUrgentEnum implements IBaseEnum<String> {
        U0("U0", "非常紧急"),
        U1("U1", "紧急"),
        U2("U2", "普通"),
        U3("U3", "不紧急");
        private String key;
        private String name;
        AffairInfoUrgentEnum(String k, String n) {
            key = k;
            name = n;
        }

        @Override
        public String getKey() {
            return key;
        }

        @Override
        public String getName() {
            return name;
        }

        public static AffairInfoUrgentEnum findEnumByKey(String k) {
            return IBaseEnum.findEnumByKey(AffairInfoUrgentEnum.class, k);
        }
    }

    public static enum AffairTokenEffectModelEnum implements IBaseEnum<String> {
        GenerateNow("GenerateNow", "立即生成一次", null),
        GenerateEver("GenerateEver", "持续生成", null),
        Dynamic("Dynamic", "动态生成(需要condition配合决定什么时候停止)", DynamicCondition.class);
        private String key;
        private String name;

        private Class conditionClazz;
        AffairTokenEffectModelEnum(String k, String n, Class c) {
            key = k;
            name = n;
            this.conditionClazz = c;
        }

        @Override
        public String getKey() {
            return key;
        }

        @Override
        public String getName() {
            return name;
        }

        public Class getConditionClazz() {
            return conditionClazz;
        }

        public static AffairTokenEffectModelEnum findEnumByKey(String k) {
            return IBaseEnum.findEnumByKey(AffairTokenEffectModelEnum.class, k);
        }
    }
}
