package com.kingtom.kirin.app.affair.service;

import cn.hutool.core.collection.CollectionUtil;
import com.github.pagehelper.PageInfo;
import com.kingtom.kirin.app.affair.model.AffairInfo;
import com.kingtom.kirin.app.affair.model.AffairInfoCurrentDO;
import com.kingtom.kirin.app.affair.model.AffairInfoDO;
import com.kingtom.kirin.app.affair.model.AffairToken;
import com.kingtom.kirin.core.common.CommonConst;
import com.kingtom.kirin.core.common.utils.CollectionUtils;

import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/19 20:48
 */
public interface IAffairService {

    AffairInfoDO createAffair(AffairInfo info, List<AffairToken> tokens);

    AffairInfoDO updateAffair(AffairInfo info);

    Boolean doAffairProcess(String tokenId, String userId);

    AffairInfoCurrentDO doAffairAddMember(String tokenId, String userId);

    AffairInfoCurrentDO findAffairByTokenId(String tokenId);

    AffairInfoCurrentDO findAffairByUserId(String tokenId, String userId);

    default AffairInfoDO findAffairById(String id){
        List<AffairInfoDO> rs = findAffairByIds(CollectionUtil.newArrayList(id));
        return CollectionUtils.findFirst(rs);
    }

    List<AffairInfoDO> findAffairByIds(List<String> ids);

    List<AffairInfoDO> findAffairs(String groupName,String resType,String resId);

    PageInfo<AffairInfoCurrentDO> findAffairs(String userId, CommonConst.StateEnum state, String groupName,
                                              String search, String token, String excludeToken, Integer pageNum, Integer pageSize);

    long findAffairsCount(String userId, CommonConst.StateEnum stateEnum);

}
