package com.kingtom.kirin.app.affair.utils;

import cn.hutool.core.util.NumberUtil;
import cn.hutool.core.util.StrUtil;
import com.kingtom.kirin.app.affair.AffairConst;
import com.kingtom.kirin.app.affair.base.DynamicCondition;
import com.kingtom.kirin.app.affair.model.AffairInfo;
import com.kingtom.kirin.app.affair.model.AffairMember;
import com.kingtom.kirin.app.affair.model.AffairToken;
import com.kingtom.kirin.app.system.utils.SystemUtils;
import com.kingtom.kirin.core.common.CommonConst;
import com.kingtom.kirin.core.common.utils.IDUtils;
import com.kingtom.kirin.core.common.utils.JsonUtils;

import java.util.Date;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/20 14:50
 */
public class AffairUtils {

    private AffairUtils(){}

    public static void fillBeforeCreate(AffairInfo paramBean) {
        Date now = new Date();
        paramBean.setId(IDUtils.newUUID());
        if(StrUtil.isBlank(paramBean.getFullName())) {
            paramBean.setFullName(paramBean.getName());
        }
        AffairConst.AffairInfoActionModelEnum me = AffairConst.AffairInfoActionModelEnum.findEnumByKey(paramBean.getActionModel());
        if(me == null) {
            paramBean.setActionModel(AffairConst.AffairInfoActionModelEnum.All.getKey());
        }
        AffairConst.AffairInfoImportantEnum ie = AffairConst.AffairInfoImportantEnum.findEnumByKey(paramBean.getImportant());
        if(ie == null) {
            paramBean.setImportant(AffairConst.AffairInfoImportantEnum.P2.getKey());
        }
        AffairConst.AffairInfoUrgentEnum ue = AffairConst.AffairInfoUrgentEnum.findEnumByKey(paramBean.getUrgent());
        if(ue == null) {
            paramBean.setUrgent(AffairConst.AffairInfoUrgentEnum.U2.getKey());
        }
        paramBean.setGmtCreate(now);
        paramBean.setGmtModified(now);
        paramBean.setSysId(SystemUtils.getCurrentSystemId());
    }

    public static void fillBeforeUpdate(AffairInfo paramBean,AffairInfo dbBean) {
        Date now = new Date();
        paramBean.setGmtModified(now);
    }

    public static void fillBeforeCreate(AffairToken paramBean) {
        Date now = new Date();
        paramBean.setId(IDUtils.newUUID());
        AffairConst.AffairTokenEffectModelEnum ue = AffairConst.AffairTokenEffectModelEnum.findEnumByKey(paramBean.getEffectModel());
        if(ue == null) {
            paramBean.setEffectModel(AffairConst.AffairTokenEffectModelEnum.GenerateNow.getKey());
        } else if(AffairConst.AffairTokenEffectModelEnum.Dynamic.equals(ue)
            && StrUtil.isBlank(paramBean.getEffectCondition())) {
            DynamicCondition c = new DynamicCondition();
            paramBean.setEffectCondition(JsonUtils.toJson(c));
        }
        CommonConst.StateEnum se = CommonConst.StateEnum.findEnumByKey(paramBean.getState());
        if(se == null) {
            paramBean.setState(CommonConst.StateEnum.Enable.getKey());
        }
        paramBean.setGmtCreate(now);
        paramBean.setGmtModified(now);
        paramBean.setSysId(SystemUtils.getCurrentSystemId());
    }

    public static void fillBeforeUpdate(AffairToken paramBean,AffairToken dbBean) {
        Date now = new Date();
        paramBean.setGmtModified(now);
    }

    public static void fillBeforeCreate(AffairMember paramBean) {
        Date now = new Date();
        paramBean.setId(IDUtils.newUUID());
        CommonConst.StateEnum se = CommonConst.StateEnum.findEnumByKey(paramBean.getState());
        if(se == null) {
            paramBean.setState(CommonConst.StateEnum.Enable.getKey());
        }
        paramBean.setGmtCreate(now);
        paramBean.setGmtModified(now);
        paramBean.setSysId(SystemUtils.getCurrentSystemId());
    }

    public static void fillBeforeUpdate(AffairMember paramBean,AffairMember dbBean) {
        Date now = new Date();
        paramBean.setGmtModified(now);
    }

    public static AffairInfo copyBean(AffairInfo bean) {
        return AffairMapper.INSTANCT.copyBean(bean);
    }

    public static AffairMember copyBean(AffairMember bean) {
        return AffairMapper.INSTANCT.copyBean(bean);
    }

    public static AffairToken copyBean(AffairToken bean) {
        return AffairMapper.INSTANCT.copyBean(bean);
    }
}
