package com.kingtom.kirin.app.auth;

import com.kingtom.kirin.core.common.base.IBaseEnum;

/**
 * 权限模块</p>
 * 常量类</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/8/23
 */
public class AuthConst{

    public static final String SUPER_ADMIN_ROLE_CN_NAME = "超级管理员";

    public static final String SUPER_ADMIN_ROLE_US_NAME = "superAdmin";

    public static final String USER_ROLE_CN_NAME = "普通用户";

    public static final String USER_ROLE_US_NAME = "User";

    /**
     * 所有菜单
     */
    public static final String USER_ROLE_MENU_ALL        = "ALL";

    /**
     * 无菜单
     */
    public static final String USER_ROLE_MENU_NONE       = "NONE";

    /**
     * 权限码 分隔符
     */
    public static final String PERMISSION_CODE_SEPARATOR = ":";

    public static final String MENU_NAME_SEPARATOR = ":";


    /**
     * 菜单类型枚举
     */
    public enum AuthMenuTypeEnum implements IBaseEnum<String>{
        Directory("Directory", "目录"),
        Menu("Menu", "菜单"),
        Function("Function", "功能");

        private String key;

        private String name;

        AuthMenuTypeEnum(String k, String n){
            this.key = k;
            this.name = n;
        }

        @Override
        public String getKey(){
            return this.key;
        }

        @Override
        public String getName(){
            return this.name;
        }

        public static AuthMenuTypeEnum findEnumByKey(String k){
            return IBaseEnum.findEnumByKey(AuthMenuTypeEnum.class, k);
        }
    }

    /**
     * 菜单动作类型枚举
     */
    public enum AuthMenuActionTypeEnum implements IBaseEnum<String>{
        Internal_Link("Internal_Link", "内部链接"),
        External_Web_Page("External_Web_Page", "外部网页"),
        Business_Execution("Business_Execution", "业务执行");

        private String key;

        private String name;

        AuthMenuActionTypeEnum(String k, String n){
            this.key = k;
            this.name = n;
        }

        @Override
        public String getKey(){
            return this.key;
        }

        @Override
        public String getName(){
            return this.name;
        }

        public static AuthMenuActionTypeEnum findEnumByKey(String k){
            return IBaseEnum.findEnumByKey(AuthMenuActionTypeEnum.class, k);
        }
    }

    /**
     * 菜单显示隐藏枚举
     */
    public enum AuthMenuHideEnum implements IBaseEnum<Integer>{

        Display(0, "外部网页"),
        Hide(1, "内部链接");

        private Integer key;

        private String name;

        AuthMenuHideEnum(Integer k, String n){
            this.key = k;
            this.name = n;
        }

        @Override
        public Integer getKey(){
            return this.key;
        }

        @Override
        public String getName(){
            return this.name;
        }

        public static AuthMenuHideEnum findEnumByKey(Integer k){
            return IBaseEnum.findEnumByKey(AuthMenuHideEnum.class, k);
        }
    }

}
