package com.kingtom.kirin.app.auth.base;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.kingtom.kirin.app.auth.AuthConst;
import com.kingtom.kirin.core.common.CommonConst;

/**
 * 权限模块</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023 /9/2
 */
@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface Menu{

    /**
     * Name string.
     *
     * @return the string
     */
    String name();

    /**
     * Other name string.
     *
     * @return the string
     */
    String otherName() default "";

    /**
     * Code string.
     *
     * @return the string
     */
    String code();

    /**
     * Type auth const . auth menu type enum.
     *
     * @return the auth const . auth menu type enum
     */
    AuthConst.AuthMenuTypeEnum type() default AuthConst.AuthMenuTypeEnum.Menu;

    /**
     * Hide common const . boolean enum.
     *
     * @return the common const . boolean enum
     */
    CommonConst.BooleanEnum hide() default CommonConst.BooleanEnum.False;

    //CommonConst.BooleanEnum preset() default CommonConst.BooleanEnum.True;

    /**
     * Action type auth const . auth menu action type enum.
     *
     * @return the auth const . auth menu action type enum
     */
    AuthConst.AuthMenuActionTypeEnum actionType() default AuthConst.AuthMenuActionTypeEnum.Internal_Link;

    /**
     * Icon string.
     *
     * @return the string
     */
    String icon();

    /**
     * Route uri string.
     *
     * @return the string
     */
    String routeUri();

    /**
     * Order num int.
     *
     * @return the int
     */
    int orderNum() default 0;

}
