package com.kingtom.kirin.app.auth.base;

import com.kingtom.kirin.app.auth.AuthConst;
import com.kingtom.kirin.core.common.CommonConst;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/11/8
 */
public @interface Role{

    /**
     * 角色名称
     *
     * @return
     */
    String name();

    /**
     * 角色码
     *
     * @return
     */
    String code();

    /**
     * 角色拥有的菜单码集合
     * NONE：角色没有菜单权限，优先级最高
     * ALL：角色拥有所有菜单权限
     * *：角色拥有所有预置菜单权限
     * 其他，指定菜单
     *
     * @return
     */
    String[] menuCode() default {AuthConst.USER_ROLE_MENU_NONE};

    /**
     * 是否显示
     *
     * @return
     */
    CommonConst.BooleanEnum display() default CommonConst.BooleanEnum.True;

}
