package com.kingtom.kirin.app.auth.dao;

import java.util.Date;
import java.util.List;

import javax.management.DescriptorKey;

import com.kingtom.kirin.app.auth.model.AuthRole;
import com.kingtom.kirin.app.auth.model.AuthRoleExample;
import com.kingtom.kirin.core.resource.ResourceObject;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

public interface AuthRoleMapper{

    /**
     * 授权角色表 countByExample(MyBatis-Generator)
     */
    long countByExample(AuthRoleExample example);

    /**
     * 授权角色表 deleteByExample(MyBatis-Generator)
     */
    int deleteByExample(AuthRoleExample example);

    /**
     * 授权角色表 deleteByPrimaryKey(MyBatis-Generator)
     */
    int deleteByPrimaryKey(String id);

    /**
     * 授权角色表 insert(MyBatis-Generator)
     */
    int insert(AuthRole record);

    /**
     * 授权角色表 insertSelective(MyBatis-Generator)
     */
    int insertSelective(AuthRole record);

    /**
     * 授权角色表 selectByExample(MyBatis-Generator)
     */
    List<AuthRole> selectByExample(AuthRoleExample example);

    /**
     * 授权角色表 selectByPrimaryKey(MyBatis-Generator)
     */
    AuthRole selectByPrimaryKey(String id);

    /**
     * 授权角色表 updateByExampleSelective(MyBatis-Generator)
     */
    int updateByExampleSelective(@Param("record") AuthRole record, @Param("example") AuthRoleExample example);

    /**
     * 授权角色表 updateByExample(MyBatis-Generator)
     */
    int updateByExample(@Param("record") AuthRole record, @Param("example") AuthRoleExample example);

    /**
     * 授权角色表 updateByPrimaryKeySelective(MyBatis-Generator)
     */
    int updateByPrimaryKeySelective(AuthRole record);

    /**
     * 授权角色表 updateByPrimaryKey(MyBatis-Generator)
     */
    int updateByPrimaryKey(AuthRole record);

    /**
     * 单个角色增加绑定资源
     *
     * @param roleId
     * @param json
     * @param date
     * @return
     */
    @Update("UPDATE auth_role SET source = JSONB_SET(source,'{e,resources}',source->'e'->'resources' || " +
            "#{json}::jsonb), gmt_modified = #{date} WHERE id = #{roleId}")
    int updateAuthRoleAddBindResource(@Param("roleId") String roleId, @Param("json") String json,
            @Param("date") Date date);

    /**
     * 单个角色移除绑定资源
     *
     * @param id
     * @param list
     * @return
     */
    @Update({"<script>", "UPDATE auth_role SET gmt_modified = #{date}, source = JSONB_SET(source,'{e,resources}',",
            "JSONB_BUILD_ARRAY(ARRAY(SELECT j  FROM(SELECT DISTINCT JSONB_ARRAY_ELEMENTS(source -> 'e' -> 'resources')",
            " AS j FROM auth_role WHERE id = #{id}) AS b WHERE ",
            "<foreach collection='list' item='item' open = '' separator = ' AND ' close = ''>",
            "( NOT j @> '{\"resId\":\"${item.resId}\",\"resType\":\"${item.resType}\"}' :: jsonb)", "</foreach>",
            ")) -> 0) WHERE id = #{id};", "</script>"})
    int updateAuthRoleRemoveBindResources(@Param("id") String id, @Param("list") List<ResourceObject<String>> list,
            @Param("date") Date date);

    /**
     * 单个角色增加绑定资源
     *
     * @param id
     * @param json
     * @param date
     * @return
     */
    @Update("UPDATE auth_role SET source = JSONB_SET ( source, '{e,resources}',#{json}::jsonb)," +
            " gmt_modified = #{date} WHERE id = #{id};")
    int updateAuthRoleUpdateBindResources(@Param("id") String id, @Param("json") String json, @Param("date") Date date);


    /**
     * 根据角色code增加绑定资源
     *
     * @param codes
     * @param json
     * @param date
     * @return
     */
    @Update({"<script>", "UPDATE auth_role SET source = JSONB_SET(source,'{e,resources}',source->'e'->'resources' || ",
            "#{json}::jsonb), gmt_modified = #{date} WHERE code in ",
            "<foreach collection = 'codes' item = 'code' open = '(' separator = ' , ' close = ')'>", "#{code}",
            "</foreach>;", "</script>"})
    int updateAuthRoleAddBindResourcesByCodes(@Param("codes") List<String> codes, @Param("json") String json,
            @Param("date") Date date);

    /**
     * 根据角色code移除绑定资源
     *
     * @param codes
     * @param list
     * @param date
     * @return
     */
    @Update({"<script>", "UPDATE auth_role SET gmt_modified = #{date}, source = JSONB_SET(source,'{e,resources}',",
            "JSONB_BUILD_ARRAY(ARRAY(SELECT j  FROM(SELECT DISTINCT JSONB_ARRAY_ELEMENTS(source -> 'e' -> 'resources')",
            " AS j FROM auth_role WHERE id = #{id}) AS b WHERE ",
            "<foreach collection='list' item='item' open = '' separator = ' AND ' close = ''>",
            "( NOT j @> '{\"resId\":\"${item.resId}\",\"resType\":\"${item.resType}\"}' :: jsonb)", "</foreach>",
            ")) -> 0) WHERE code in ",
            "<foreach collection = 'codes' item = 'code' open = '(' separator = ',' close = ')'>;", "#{code}",
            "</foreach>", "</script>"})
    @Deprecated
    int updateAuthRoleRemoveBindResourcesByCodes(@Param("codes") List<String> codes,
            @Param("list") List<ResourceObject<String>> list, @Param("date") Date date);
}