package com.kingtom.kirin.app.auth.model;

import com.kingtom.kirin.core.common.json.JObject;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 授权菜单表(auth_menu)(MyBatis-Generator)
 * @author 86181
 * @since 2023/9/7 02:34
 */
public class AuthMenu implements Serializable{
    /**
     * id(auth_menu.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 名称(auth_menu.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * 别名(auth_menu.other_name)(MyBatis-Generator)
     */
    private String otherName;

    /**
     * 标识符(auth_menu.code)(MyBatis-Generator)
     */
    private String code;

    /**
     * 父菜单id(auth_menu.parent_id)(MyBatis-Generator)
     */
    private String parentId;

    /**
     * 路径(auth_menu.route)(MyBatis-Generator)
     */
    private JObject<AuthMenuRoute> route;

    /**
     * 是否隐藏菜单(auth_menu.hide)(MyBatis-Generator)
     */
    private Integer hide;

    /**
     * 是否预置菜单(auth_menu.preset)(MyBatis-Generator)
     */
    private Integer preset;

    /**
     * 排序号(auth_menu.order_num)(MyBatis-Generator)
     */
    private Integer orderNum;

    /**
     * 菜单类型：目录、菜单，按钮(auth_menu.type)(MyBatis-Generator)
     */
    private String type;

    /**
     * 动作类型(auth_menu.action_type)(MyBatis-Generator)
     */
    private String actionType;

    /**
     * 菜单图标(auth_menu.icon)(MyBatis-Generator)
     */
    private String icon;

    /**
     * 路由地址(auth_menu.route_uri)(MyBatis-Generator)
     */
    private String routeUri;

    /**
     * 扩展字段1(auth_menu.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(auth_menu.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 扩展字段3(auth_menu.ext3)(MyBatis-Generator)
     */
    private JObject<AuthMenuExt3> ext3;

    /**
     * null(auth_menu.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 更新时间(auth_menu.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(auth_menu.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 id(auth_menu.id)(MyBatis-Generator)
     * @return id
     */
    public String getId(){
        return id;
    }

    /**
     * 设置 id(auth_menu.id)(MyBatis-Generator)
     * @param id id
     */
    public void setId(String id){
        this.id = id;
    }

    /**
     * 获取 名称(auth_menu.name)(MyBatis-Generator)
     * @return 名称
     */
    public String getName(){
        return name;
    }

    /**
     * 设置 名称(auth_menu.name)(MyBatis-Generator)
     * @param name 名称
     */
    public void setName(String name){
        this.name = name;
    }

    /**
     * 获取 别名(auth_menu.other_name)(MyBatis-Generator)
     * @return 别名
     */
    public String getOtherName(){
        return otherName;
    }

    /**
     * 设置 别名(auth_menu.other_name)(MyBatis-Generator)
     * @param otherName 别名
     */
    public void setOtherName(String otherName){
        this.otherName = otherName;
    }

    /**
     * 获取 标识符(auth_menu.code)(MyBatis-Generator)
     * @return 标识符
     */
    public String getCode() {
        return code;
    }

    /**
     * 设置 标识符(auth_menu.code)(MyBatis-Generator)
     * @param code 标识符
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 获取 父菜单id(auth_menu.parent_id)(MyBatis-Generator)
     * @return 父菜单id
     */
    public String getParentId() {
        return parentId;
    }

    /**
     * 设置 父菜单id(auth_menu.parent_id)(MyBatis-Generator)
     * @param parentId 父菜单id
     */
    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    /**
     * 获取 路径(auth_menu.route)(MyBatis-Generator)
     * @return 路径
     */
    public JObject<AuthMenuRoute> getRoute() {
        return route;
    }

    /**
     * 设置 路径(auth_menu.route)(MyBatis-Generator)
     * @param route 路径
     */
    public void setRoute(JObject<AuthMenuRoute> route) {
        this.route = route;
    }

    /**
     * 获取 是否隐藏菜单(auth_menu.hide)(MyBatis-Generator)
     * @return 是否隐藏菜单
     */
    public Integer getHide(){
        return hide;
    }

    /**
     * 设置 是否隐藏菜单(auth_menu.hide)(MyBatis-Generator)
     * @param hide 是否隐藏菜单
     */
    public void setHide(Integer hide){
        this.hide = hide;
    }

    /**
     * 获取 是否预置菜单(auth_menu.preset)(MyBatis-Generator)
     * @return 是否预置菜单
     */
    public Integer getPreset(){
        return preset;
    }

    /**
     * 设置 是否预置菜单(auth_menu.preset)(MyBatis-Generator)
     * @param preset 是否预置菜单
     */
    public void setPreset(Integer preset){
        this.preset = preset;
    }

    /**
     * 获取 排序号(auth_menu.order_num)(MyBatis-Generator)
     * @return 排序号
     */
    public Integer getOrderNum(){
        return orderNum;
    }

    /**
     * 设置 排序号(auth_menu.order_num)(MyBatis-Generator)
     * @param orderNum 排序号
     */
    public void setOrderNum(Integer orderNum){
        this.orderNum = orderNum;
    }

    /**
     * 获取 菜单类型：目录、菜单，按钮(auth_menu.type)(MyBatis-Generator)
     * @return 菜单类型：目录、菜单，按钮
     */
    public String getType() {
        return type;
    }

    /**
     * 设置 菜单类型：目录、菜单，按钮(auth_menu.type)(MyBatis-Generator)
     * @param type 菜单类型：目录、菜单，按钮
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 获取 动作类型(auth_menu.action_type)(MyBatis-Generator)
     * @return 动作类型
     */
    public String getActionType() {
        return actionType;
    }

    /**
     * 设置 动作类型(auth_menu.action_type)(MyBatis-Generator)
     * @param actionType 动作类型
     */
    public void setActionType(String actionType) {
        this.actionType = actionType;
    }

    /**
     * 获取 菜单图标(auth_menu.icon)(MyBatis-Generator)
     * @return 菜单图标
     */
    public String getIcon() {
        return icon;
    }

    /**
     * 设置 菜单图标(auth_menu.icon)(MyBatis-Generator)
     * @param icon 菜单图标
     */
    public void setIcon(String icon){
        this.icon = icon;
    }

    /**
     * 获取 路由地址(auth_menu.route_uri)(MyBatis-Generator)
     * @return 路由地址
     */
    public String getRouteUri(){
        return routeUri;
    }

    /**
     * 设置 路由地址(auth_menu.route_uri)(MyBatis-Generator)
     * @param routeUri 路由地址
     */
    public void setRouteUri(String routeUri){
        this.routeUri = routeUri;
    }

    /**
     * 获取 扩展字段1(auth_menu.ext1)(MyBatis-Generator)
     * @return 扩展字段1
     */
    public String getExt1() {
        return ext1;
    }

    /**
     * 设置 扩展字段1(auth_menu.ext1)(MyBatis-Generator)
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(auth_menu.ext2)(MyBatis-Generator)
     * @return 扩展字段2
     */
    public String getExt2() {
        return ext2;
    }

    /**
     * 设置 扩展字段2(auth_menu.ext2)(MyBatis-Generator)
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    /**
     * 获取 扩展字段3(auth_menu.ext3)(MyBatis-Generator)
     * @return 扩展字段3
     */
    public JObject<AuthMenuExt3> getExt3() {
        return ext3;
    }

    /**
     * 设置 扩展字段3(auth_menu.ext3)(MyBatis-Generator)
     * @param ext3 扩展字段3
     */
    public void setExt3(JObject<AuthMenuExt3> ext3) {
        this.ext3 = ext3;
    }

    /**
     * 获取 null(auth_menu.gmt_create)(MyBatis-Generator)
     * @return null
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置 null(auth_menu.gmt_create)(MyBatis-Generator)
     * @param gmtCreate null
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 更新时间(auth_menu.gmt_modified)(MyBatis-Generator)
     * @return 更新时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置 更新时间(auth_menu.gmt_modified)(MyBatis-Generator)
     * @param gmtModified 更新时间
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(auth_menu.sys_id)(MyBatis-Generator)
     * @return 系统ID
     */
    public String getSysId() {
        return sysId;
    }

    /**
     * 设置 系统ID(auth_menu.sys_id)(MyBatis-Generator)
     * @param sysId 系统ID
     */
    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    /**
     * 授权菜单表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that){
        if(this == that){
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        AuthMenu other = (AuthMenu) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId())) &&
                (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName())) &&
                (this.getOtherName() == null ? other.getOtherName() == null :
                        this.getOtherName().equals(other.getOtherName())) &&
                (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode())) &&
                (this.getParentId() == null ? other.getParentId() == null :
                        this.getParentId().equals(other.getParentId())) &&
                (this.getRoute() == null ? other.getRoute() == null : this.getRoute().equals(other.getRoute())) &&
                (this.getHide() == null ? other.getHide() == null : this.getHide().equals(other.getHide())) &&
                (this.getPreset() == null ? other.getPreset() == null : this.getPreset().equals(other.getPreset())) &&
                (this.getOrderNum() == null ? other.getOrderNum() == null :
                        this.getOrderNum().equals(other.getOrderNum())) &&
                (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType())) &&
                (this.getActionType() == null ? other.getActionType() == null :
                        this.getActionType().equals(other.getActionType())) &&
                (this.getIcon() == null ? other.getIcon() == null : this.getIcon().equals(other.getIcon())) &&
                (this.getRouteUri() == null ? other.getRouteUri() == null :
                        this.getRouteUri().equals(other.getRouteUri())) &&
                (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1())) &&
                (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2())) &&
                (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3())) &&
                (this.getGmtCreate() == null ? other.getGmtCreate() == null :
                        this.getGmtCreate().equals(other.getGmtCreate())) &&
                (this.getGmtModified() == null ? other.getGmtModified() == null :
                        this.getGmtModified().equals(other.getGmtModified())) &&
                (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 授权菜单表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getOtherName() == null) ? 0 : getOtherName().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getParentId() == null) ? 0 : getParentId().hashCode());
        result = prime * result + ((getRoute() == null) ? 0 : getRoute().hashCode());
        result = prime * result + ((getHide() == null) ? 0 : getHide().hashCode());
        result = prime * result + ((getPreset() == null) ? 0 : getPreset().hashCode());
        result = prime * result + ((getOrderNum() == null) ? 0 : getOrderNum().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getActionType() == null) ? 0 : getActionType().hashCode());
        result = prime * result + ((getIcon() == null) ? 0 : getIcon().hashCode());
        result = prime * result + ((getRouteUri() == null) ? 0 : getRouteUri().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 授权菜单表 toString(MyBatis-Generator)
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", otherName=").append(otherName);
        sb.append(", code=").append(code);
        sb.append(", parentId=").append(parentId);
        sb.append(", route=").append(route);
        sb.append(", hide=").append(hide);
        sb.append(", preset=").append(preset);
        sb.append(", orderNum=").append(orderNum);
        sb.append(", type=").append(type);
        sb.append(", actionType=").append(actionType);
        sb.append(", icon=").append(icon);
        sb.append(", routeUri=").append(routeUri);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}