package com.kingtom.kirin.app.auth.model;

import com.kingtom.kirin.core.common.json.JObject;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 授权权限表(auth_permission)(MyBatis-Generator)
 *
 * @author wany
 * @since 2023/8/31 11:04
 */
public class AuthPermission implements Serializable{

    /**
     * id(auth_permission.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 权限码(auth_permission.code)(MyBatis-Generator)
     */
    private String code;

    /**
     * 资源类型(auth_permission.res_type)(MyBatis-Generator)
     */
    private String resType;

    /**
     * 资源id:(auth_permission.res_id)(MyBatis-Generator)
     */
    private String resId;

    /**
     * 操作类型：新增、修改、查看、删除、执行等(auth_permission.opera_type)(MyBatis-Generator)
     */
    private String operaType;

    /**
     * 角色Id(auth_permission.role_id)(MyBatis-Generator)
     */
    private String roleId;

    /**
     * 扩展字段1(auth_permission.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(auth_permission.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 扩展字段3(auth_permission.ext3)(MyBatis-Generator)
     */
    private JObject<AuthPermissionExt3> ext3;

    /**
     * 创建时间(auth_permission.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 更新时间(auth_permission.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(auth_permission.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 id(auth_permission.id)(MyBatis-Generator)
     *
     * @return id
     */
    public String getId(){
        return id;
    }

    /**
     * 设置 id(auth_permission.id)(MyBatis-Generator)
     *
     * @param id id
     */
    public void setId(String id){
        this.id = id;
    }

    /**
     * 获取 权限码(auth_permission.code)(MyBatis-Generator)
     *
     * @return 权限码
     */
    public String getCode(){
        return code;
    }

    /**
     * 设置 权限码(auth_permission.code)(MyBatis-Generator)
     *
     * @param code 权限码
     */
    public void setCode(String code){
        this.code = code;
    }

    /**
     * 获取 资源类型(auth_permission.res_type)(MyBatis-Generator)
     *
     * @return 资源类型
     */
    public String getResType(){
        return resType;
    }

    /**
     * 设置 资源类型(auth_permission.res_type)(MyBatis-Generator)
     *
     * @param resType 资源类型
     */
    public void setResType(String resType){
        this.resType = resType;
    }

    /**
     * 获取 资源id:(auth_permission.res_id)(MyBatis-Generator)
     *
     * @return 资源id:
     */
    public String getResId(){
        return resId;
    }

    /**
     * 设置 资源id:(auth_permission.res_id)(MyBatis-Generator)
     *
     * @param resId 资源id:
     */
    public void setResId(String resId){
        this.resId = resId;
    }

    /**
     * 获取 操作类型：新增、修改、查看、删除、执行等(auth_permission.opera_type)(MyBatis-Generator)
     *
     * @return 操作类型：新增、修改、查看、删除、执行等
     */
    public String getOperaType(){
        return operaType;
    }

    /**
     * 设置 操作类型：新增、修改、查看、删除、执行等(auth_permission.opera_type)(MyBatis-Generator)
     *
     * @param operaType 操作类型：新增、修改、查看、删除、执行等
     */
    public void setOperaType(String operaType){
        this.operaType = operaType;
    }

    /**
     * 获取 角色Id(auth_permission.role_id)(MyBatis-Generator)
     *
     * @return 角色Id
     */
    public String getRoleId(){
        return roleId;
    }

    /**
     * 设置 角色Id(auth_permission.role_id)(MyBatis-Generator)
     *
     * @param roleId 角色Id
     */
    public void setRoleId(String roleId){
        this.roleId = roleId;
    }

    /**
     * 获取 扩展字段1(auth_permission.ext1)(MyBatis-Generator)
     *
     * @return 扩展字段1
     */
    public String getExt1(){
        return ext1;
    }

    /**
     * 设置 扩展字段1(auth_permission.ext1)(MyBatis-Generator)
     *
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1){
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(auth_permission.ext2)(MyBatis-Generator)
     *
     * @return 扩展字段2
     */
    public String getExt2(){
        return ext2;
    }

    /**
     * 设置 扩展字段2(auth_permission.ext2)(MyBatis-Generator)
     *
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2){
        this.ext2 = ext2;
    }

    /**
     * 获取 扩展字段3(auth_permission.ext3)(MyBatis-Generator)
     *
     * @return 扩展字段3
     */
    public JObject<AuthPermissionExt3> getExt3(){
        return ext3;
    }

    /**
     * 设置 扩展字段3(auth_permission.ext3)(MyBatis-Generator)
     *
     * @param ext3 扩展字段3
     */
    public void setExt3(JObject<AuthPermissionExt3> ext3){
        this.ext3 = ext3;
    }

    /**
     * 获取 创建时间(auth_permission.gmt_create)(MyBatis-Generator)
     *
     * @return 创建时间
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * 设置 创建时间(auth_permission.gmt_create)(MyBatis-Generator)
     *
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 更新时间(auth_permission.gmt_modified)(MyBatis-Generator)
     *
     * @return 更新时间
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * 设置 更新时间(auth_permission.gmt_modified)(MyBatis-Generator)
     *
     * @param gmtModified 更新时间
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(auth_permission.sys_id)(MyBatis-Generator)
     *
     * @return 系统ID
     */
    public String getSysId(){
        return sysId;
    }

    /**
     * 设置 系统ID(auth_permission.sys_id)(MyBatis-Generator)
     *
     * @param sysId 系统ID
     */
    public void setSysId(String sysId){
        this.sysId = sysId;
    }

    /**
     * 授权权限表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that){
        if(this == that){
            return true;
        }
        if(that == null){
            return false;
        }
        if(getClass() != that.getClass()){
            return false;
        }
        AuthPermission other = (AuthPermission) that;
        return (this.getId() == null ? other.getId() == null : this.getId()
                .equals(other.getId())) && (this.getCode() == null ? other.getCode() == null : this.getCode()
                .equals(other.getCode())) && (this.getResType() == null ? other.getResType() == null : this.getResType()
                .equals(other.getResType())) && (this.getResId() == null ? other.getResId() == null : this.getResId()
                .equals(other.getResId())) && (this.getOperaType() == null ? other.getOperaType() == null :
                                               this.getOperaType()
                .equals(other.getOperaType())) && (this.getRoleId() == null ? other.getRoleId() == null :
                                                   this.getRoleId()
                .equals(other.getRoleId())) && (this.getExt1() == null ? other.getExt1() == null : this.getExt1()
                .equals(other.getExt1())) && (this.getExt2() == null ? other.getExt2() == null : this.getExt2()
                .equals(other.getExt2())) && (this.getExt3() == null ? other.getExt3() == null : this.getExt3()
                .equals(other.getExt3())) && (this.getGmtCreate() == null ? other.getGmtCreate() == null :
                                              this.getGmtCreate()
                .equals(other.getGmtCreate())) && (this.getGmtModified() == null ? other.getGmtModified() == null :
                                                   this.getGmtModified()
                .equals(other.getGmtModified())) && (this.getSysId() == null ? other.getSysId() == null :
                                                     this.getSysId()
                .equals(other.getSysId()));
    }

    /**
     * 授权权限表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode(){
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getResType() == null) ? 0 : getResType().hashCode());
        result = prime * result + ((getResId() == null) ? 0 : getResId().hashCode());
        result = prime * result + ((getOperaType() == null) ? 0 : getOperaType().hashCode());
        result = prime * result + ((getRoleId() == null) ? 0 : getRoleId().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 授权权限表 toString(MyBatis-Generator)
     */
    @Override
    public String toString(){
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", code=").append(code);
        sb.append(", resType=").append(resType);
        sb.append(", resId=").append(resId);
        sb.append(", operaType=").append(operaType);
        sb.append(", roleId=").append(roleId);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

}