package com.kingtom.kirin.app.conf;

import com.kingtom.kirin.core.common.CommonConst;
import com.kingtom.kirin.core.common.base.IBaseEnum;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/9/4 11:00
 */
public class ConfConst {
    private ConfConst(){}

    public static enum ConfInfoValueTypeEnum implements IBaseEnum<String> {
        Boolean("Boolean", "布尔"),
        String("String", "字符串"),
        Date("Date", "时间"),
        Number("Number", "数字"),
        JsonObject("JsonObject", "Json对象字符串");

        private String key;

        private String name;

        ConfInfoValueTypeEnum(String k, String n) {
            key = k;
            name = n;
        }

        @Override
        public String getKey() {
            return key;
        }

        @Override
        public String getName() {
            return name;
        }

        public static ConfInfoValueTypeEnum findEnumByKey(String k) {
            return IBaseEnum.findEnumByKey(ConfInfoValueTypeEnum.class, k);
        }
    }

}
