package com.kingtom.kirin.app.conf.service;

import cn.hutool.core.collection.ListUtil;
import cn.hutool.core.util.StrUtil;
import com.github.pagehelper.PageInfo;
import com.kingtom.kirin.app.conf.model.ConfInfo;
import com.kingtom.kirin.core.common.utils.CollectionUtils;

import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/9/4 11:01
 */
public interface IConfService {

    ConfInfo createConfInfo(ConfInfo info);

    ConfInfo updateConfInfo(ConfInfo info);

    ConfInfo deleteConfInfo(String id);

    default List<ConfInfo> deleteConfInfos(List<String> ids) {
        ids = CollectionUtils.filter(ids, StrUtil::isNotBlank);
        List<ConfInfo> r = ListUtil.toList();
        if(CollectionUtils.isNotEmpty(ids)) {
            for(String id:ids) {
                r.add(deleteConfInfo(id));
            }
        }
        return r;
    }

    PageInfo<ConfInfo> findConfInfos(String search, Integer pageNum, Integer pageSize);

    ConfInfo findConfInfoById(String id);

    ConfInfo findConfInfoByKey(String key);

}
