package com.kingtom.kirin.app.ddic.model;

import cn.hutool.core.collection.ListUtil;
import cn.hutool.core.util.ObjectUtil;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/8/30 15:40
 */

public class DdicInfoDO implements Serializable {

    private DdicInfo ddicInfo;

    private List<DdicItem> ddicItems = ListUtil.toList();

    public DdicInfoDO(DdicInfo ddicInfo) {
        this.ddicInfo = ddicInfo;
    }

    public DdicInfoDO() {
    }

    public DdicInfo getDdicInfo() {
        return ddicInfo;
    }

    public List<DdicItem> getDdicItems() {
        return ddicItems;
    }

    public void setDdicItems(List<DdicItem> ddicItems) {
        this.ddicItems.clear();
        if(ObjectUtil.isNotNull(ddicItems)) {
            this.ddicItems.addAll(ddicItems);
        }
    }

    /** 方法区 **/

    /**
     * 查找字典项
     * @param key
     * @return
     */
    public DdicItem findItemByKey(Object key) {
        for(DdicItem item:ddicItems) {
            if(item.getKey().equals(key)) {
                return item;
            }
        }
        return null;
    }

}
