package com.kingtom.kirin.app.ddic.service;

import cn.hutool.core.collection.ListUtil;
import cn.hutool.core.util.StrUtil;
import com.github.pagehelper.PageInfo;
import com.kingtom.kirin.app.ddic.model.DdicInfo;
import com.kingtom.kirin.app.ddic.model.DdicInfoDO;
import com.kingtom.kirin.app.ddic.model.DdicItem;
import com.kingtom.kirin.core.common.utils.CollectionUtils;

import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/8/26 14:15
 */
public interface IDdicService {

    /** 维护类接口 **/

    DdicInfo createDdicInfo(DdicInfo info);

    DdicInfo updateDdicInfo(DdicInfo info);

    DdicInfo deleteDdicInfo(String id);

    default List<DdicInfo> deleteDdicInfos(List<String> ids) {
        ids = CollectionUtils.filter(ids, StrUtil::isNotBlank);
        List<DdicInfo> r = ListUtil.toList();
        if(CollectionUtils.isNotEmpty(ids)) {
            for(String id:ids) {
                r.add(deleteDdicInfo(id));
            }
        }
        return r;
    }

    PageInfo<DdicInfo> findDdicInfos(String search, Integer pageNum, Integer pageSize);

    DdicInfo findDdicInfoById(String ddicId);

    DdicItem createDdicItem(DdicItem item);

    DdicItem updateDdicItem(DdicItem item);

    DdicItem deleteDdicItem(String id);

    default List<DdicItem> deleteDdicItems(List<String> ids) {
        ids = CollectionUtils.filter(ids, StrUtil::isNotBlank);
        List<DdicItem> r = ListUtil.toList();
        if(CollectionUtils.isNotEmpty(ids)) {
            for(String id:ids) {
                r.add(deleteDdicItem(id));
            }
        }
        return r;
    }

    PageInfo<DdicItem> findDdicItems(String search, String ddicId, Integer pageNum, Integer pageSize);

    DdicItem findDdicItemById(String id);

    /** 使用类接口 **/

    DdicItem findDdicItemByKey(String ddicCode, String key);

    DdicInfo findDdicInfoByCode(String ddicCode);

    DdicInfo findDdicInfoByName(String ddicName);

    DdicInfoDO findDdicInfoDOByCode(String ddicCode);
}
