package com.kingtom.kirin.app.form;

import cn.hutool.core.util.RandomUtil;
import cn.hutool.json.JSON;
import cn.hutool.json.JSONObject;
import com.kingtom.kirin.core.common.base.IBaseEnum;
import org.apache.commons.lang3.math.NumberUtils;
import org.postgresql.util.PGobject;

import java.math.BigDecimal;
import java.sql.SQLException;
import java.text.MessageFormat;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Objects;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/7 16:48
 */
public class FormConst {

    public static final String FORM_Table_Pre = "form_";

    public static final String FORM_Index_Pre = "form_i_";

    public static final String GEN_Model_Mem = "mem";
    public static final String GEN_Model_File = "file";

    private FormConst(){}

    public static enum FormFuncTypeEnum implements IBaseEnum<String> {

        /**  */
        Create("Create", "新增"),
        Update("Update", "修改"),
        Select("Select", "查询"),
        List("List", "列表"),
        Delete("Delete", "删除");

        private String                          key;
        private String                          name;

        private FormFuncTypeEnum(String key, String name) {
            this.key = key;
            this.name = name;
        }

        @Override
        public String getKey() {
            return key;
        }

        @Override
        public String getName() {
            return name;
        }

        public static FormFuncTypeEnum getEnumByKey(String key) {
            return IBaseEnum.findEnumByKey(FormFuncTypeEnum.class, key);
        }
    }

    public static enum FormFieldTypeEnum implements IBaseEnum<String> {
        /** 存储：varchar；Java：String */
        Char("Char", "文本", "varchar", String.class),
        /** 存储：timestamp(3)；Java：Date */
        Datetime("Datetime", "日期时间", "varchar", Date.class),
        /** 存储：varchar；Java：Number（BigDecimal、Double、Integer等） */
        Number("Number", "数字", "varchar", Number.class),
        Image("Image", "图片", "varchar", List.class),
        File("File", "文件", "varchar", List.class),
        Res("Res", "业务对象","varchar", Map.class),
        Object("Object", "对象","varchar", Map.class);

        private String key;
        private String name;

        private String postgreField;
        @SuppressWarnings("rawtypes")
        private Class  clazz;

        @SuppressWarnings("rawtypes")
        private FormFieldTypeEnum(String key, String s, String pf, Class clazz) {
            this.key = key;
            this.name = s;
            this.postgreField = pf;
            this.clazz = clazz;
        }

        @Override
        public String getKey() {
            return key;
        }

        @Override
        public String getName() {
            return name;
        }

        public String getPostgreField() {
            return postgreField;
        }

        @SuppressWarnings("rawtypes")
        public Class getClazz() {
            return clazz;
        }

        public static FormFieldTypeEnum getEnumByKey(String key) {
            return IBaseEnum.findEnumByKey(FormFieldTypeEnum.class, key);
        }
    }

}
