package com.kingtom.kirin.app.form.engine.core.def;

import cn.hutool.core.collection.ListUtil;
import com.kingtom.kirin.core.common.utils.JsonUtils;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 表单定义JSON
 * @author King
 * @since 2023/10/11 17:37
 */
public class FormDef implements Serializable,IFormElement{

    /**
     * 表单基本信息
     */
    private FormInfoDef info;

    /**
     * 表单字段信息
     */
    private List<FormFieldDef> fields = ListUtil.toList();

    /**
     * 表单索引集合(目前只管唯一约束)
     */
    private List<FormIndexDef> indexs = ListUtil.toList();

    /**
     * 表单关系集合
     */
    private List<FormRelationDef> relations = ListUtil.toList();

    /**
     * 表单视图集合
     */
    private List<FormViewDef> views = ListUtil.toList();

    /**
     * 表单功能集合
     */
    private List<FormFuncDef> funcs = ListUtil.toList();

    public FormInfoDef getInfo() {
        return info;
    }

    public void setInfo(FormInfoDef info) {
        this.info = info;
    }

    public List<FormFieldDef> getFields() {
        return fields;
    }

    public void setFields(List<FormFieldDef> fields) {
        this.fields.clear();
        if (fields != null) {
            JsonUtils.toObjectTypeList(fields,this.fields,FormFieldDef.class);
        }
    }

    public List<FormIndexDef> getIndexs() {
        return indexs;
    }

    public void setIndexs(List<FormIndexDef> uniques) {
        this.indexs.clear();
        if (fields != null) {
            JsonUtils.toObjectTypeList(uniques,this.indexs, FormIndexDef.class);
        }
    }

    public List<FormFuncDef> getFuncs() {
        return funcs;
    }

    public void setFuncs(List<FormFuncDef> funcs) {
        this.funcs.clear();
        if (funcs != null) {
            JsonUtils.toObjectTypeList(funcs,this.funcs,FormFuncDef.class);
        }
    }

    public List<FormViewDef> getViews() {
        return views;
    }

    public void setViews(List<FormViewDef> views) {
        this.views.clear();
        if (views != null) {
            JsonUtils.toObjectTypeList(views,this.views,FormViewDef.class);
        }
    }

    public List<FormRelationDef> getRelations() {
        return relations;
    }

    public void setRelations(List<FormRelationDef> relations) {
        this.relations.clear();
        if (relations != null) {
            JsonUtils.toObjectTypeList(relations,this.relations,FormRelationDef.class);
        }
    }

    /*** 方法区 ***/
}
