package com.kingtom.kirin.app.form.engine.core.def;

import cn.hutool.core.collection.ListUtil;

import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 表单关系定义：单向关系
 * @author King
 * @since 2023/10/12 10:57
 */
public class FormRelationDef implements IFormElement{

    /**
     * 关系唯一码
     */
    private String uniqueCode;

    /**
     * 关系类型
     */
    private String type;

    /**
     * 源表单唯一码
     */
    private String srcUniqueCode;

    /**
     * 目标表单唯一码
     */
    private String tarUniqueCode;

    /**
     * 字段映射：String[0]-源字段；String[1]-目标字段
     */
    private List<String[]> mapping = ListUtil.toList();

    public String getUniqueCode() {
        return uniqueCode;
    }

    public void setUniqueCode(String uniqueCode) {
        this.uniqueCode = uniqueCode;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSrcUniqueCode() {
        return srcUniqueCode;
    }

    public void setSrcUniqueCode(String srcUniqueCode) {
        this.srcUniqueCode = srcUniqueCode;
    }

    public String getTarUniqueCode() {
        return tarUniqueCode;
    }

    public void setTarUniqueCode(String tarUniqueCode) {
        this.tarUniqueCode = tarUniqueCode;
    }

    public List<String[]> getMapping() {
        return mapping;
    }

    public void setMapping(List<String[]> mapping) {
        this.mapping.clear();
        if (mapping != null) {
            this.mapping.addAll(mapping);
        }
    }
}
