package com.kingtom.kirin.app.form.engine.generator;

import cn.hutool.core.collection.ListUtil;
import cn.hutool.core.util.StrUtil;
import com.kingtom.kirin.core.common.CommonConst;
import lombok.Data;

import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/19 10:14
 */
@Data
public class FormGeneratorConfig {

    /**
     * mem=内存式，file=文件式
     */
    private String model;

    private String generators;

    public List<String> findGenerators() {
        List<String> r = ListUtil.toList();
        if(StrUtil.isNotBlank(generators)) {
            for(String k:ListUtil.toList(generators.split(CommonConst.COMMA_STRING))) {
                if(StrUtil.isNotBlank(k) && !r.contains(k)) {
                    r.add(k);
                }
            }
        }
        return r;
    }

}
