package com.kingtom.kirin.app.form.engine.generator;

import com.kingtom.kirin.app.form.engine.core.def.FormDef;
import com.kingtom.kirin.core.common.CommonConst;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/13 11:09
 */
public interface IFormGenerator {

    default int order() {
        return CommonConst.INT_1;
    }

    /**
     * 根据定义创建
     * @param context
     * @param def
     */
    void onCreate(FormGeneratorContext context, FormDef def);

    /**
     * 根据定义修改
     * @param context
     * @param def
     * @param oldDef
     */
    void onUpdate(FormGeneratorContext context,FormDef def, FormDef oldDef);

    /**
     * 根据定义删除
     * @param context
     * @param def
     */
    void onDelete(FormGeneratorContext context,FormDef def);

}
