package com.kingtom.kirin.app.form.engine.generator.tools;

import java.util.Map;
import java.util.Objects;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/14 16:02
 */
public class MemoryClassLoader extends ClassLoader{

    private MemoryFileManager manager;

    public MemoryClassLoader(ClassLoader parent, MemoryFileManager manager) {
        super(parent);
        this.manager = Objects.requireNonNull(manager, "内存文件管理器不能为空");
    }

    @Override
    protected Class<?> findClass(String name) throws ClassNotFoundException {
        Map<String, MemoryClassFileObject> compiledClasses = manager.getCompiledClasses();

        if (compiledClasses.containsKey(name)) {
            byte[] bytes = compiledClasses.get(name).getBytes();
            return defineClass(name, bytes, 0, bytes.length);
        } else {
            throw new ClassNotFoundException();
        }
    }
}
