package com.kingtom.kirin.app.form.engine.generator.tools;

import cn.hutool.core.map.MapUtil;

import javax.tools.*;
import java.util.Hashtable;
import java.util.Map;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/14 15:58
 */
public class MemoryFileManager extends ForwardingJavaFileManager<JavaFileManager> {

    protected Map<String, MemoryClassFileObject> compiledClasses;

    protected ClassLoader loader;

    public MemoryFileManager(StandardJavaFileManager standardManager) {
        super(standardManager);
        this.compiledClasses = MapUtil.newConcurrentHashMap();
        this.loader = new MemoryClassLoader(this.getClass().getClassLoader(), this);
    }

    @Override
    public JavaFileObject getJavaFileForOutput(Location location, String className, JavaFileObject.Kind kind, FileObject sibling) {
        MemoryClassFileObject r = new MemoryClassFileObject(className, kind);
        compiledClasses.put(className,r);
        return r;
    }

    public Map<String, MemoryClassFileObject> getCompiledClasses() {
        return compiledClasses;
    }

    @Override
    public ClassLoader getClassLoader(Location location) {
        return loader;
    }
}
