package com.kingtom.kirin.app.form.engine.generator.tools;

import cn.hutool.core.util.StrUtil;
import com.kingtom.kirin.core.common.exception.AppException;

import javax.tools.SimpleJavaFileObject;
import java.net.URI;
import java.util.Objects;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/14 15:47
 */
public class MemoryJavaFileObject extends SimpleJavaFileObject {

    private String sourceCode;

    public MemoryJavaFileObject(String name, String sourceCode) {
        super(URI.create("string:///" + name.replace('.', '/') + Kind.SOURCE.extension),Kind.SOURCE);
        this.sourceCode = Objects.requireNonNull(sourceCode,"源码String不能为空");
    }

    @Override
    public CharSequence getCharContent(boolean ignoreEncodingErrors) {
        return sourceCode;
    }
}
