package com.kingtom.kirin.app.form.engine.service;

import com.kingtom.kirin.app.form.engine.core.IFormInstanceLoader;
import com.kingtom.kirin.app.form.engine.core.def.FormDef;
import com.kingtom.kirin.app.form.model.FormInstance;
import com.kingtom.kirin.core.common.base.Result;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 表单引擎：提供服务
 * @author King
 * @since 2023/10/18 14:57
 */
public class FormEngineService {

    /**
     * 根据表单定义对象检查是否合法
     * @param formDef 表单定义对象
     * @param fill 是否需要填充
     * @return 结果信息（包含错误的详情）
     */
    public Result<FormDef> doCheckForm(FormDef formDef, Boolean fill) {
        return Result.ok("表单定义格式正确", formDef);
    }

    /**
     * 创建生成
     * @param formDef 表单定义对象
     * @return 结果信息（包含错误的详情）
     */
    public Result<FormDef> doGenerator(FormDef formDef) {
        return Result.ok("表单创建成功", formDef);
    }

    /**
     * 加载表单
     * @param formCode 表单编码
     * @param loader 表单实例加载器
     * @return 表单实例
     */
    public Result<FormInstance> doLoadForm(String formCode, IFormInstanceLoader loader) {
        return Result.ok("表单加载成功", null);
    }

    /**
     * 卸载表单
     * @param formCode 表单编码
     * @return 表单实例
     */
    public Result<FormInstance> doUnloadForm(String formCode) {
        return Result.ok("表单卸载成功", null);
    }

    /**
     * 获取表单实例
     * @param formCode 表单编码
     * @return 表单实例
     */
    public FormInstance findFormInstance(String formCode) {
        return null;
    }

}
