package com.kingtom.kirin.app.form.utils;

import cn.hutool.core.util.RandomUtil;
import com.kingtom.kirin.app.form.FormConst;
import com.kingtom.kirin.app.form.engine.core.def.*;
import com.kingtom.kirin.core.common.CommonConst;
import com.kingtom.kirin.core.common.utils.JsonUtils;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 表单工具类
 * @author King
 * @since 2023/10/12 11:28
 */
public class FormUtils {
    private FormUtils(){}

    public static String findFormUniqueCode(){
        return RandomUtil.randomString(CommonConst.CHARS_abc,6) + RandomUtil.randomString(CommonConst.CHARS_abc123,4);
    }

    public static String findFormTableName(String formUniqueCode) {
        return FormConst.FORM_Table_Pre + formUniqueCode;
    }

    public static String findFormTableName(FormDef formDef) {
        return findFormTableName(formDef.getInfo().getUniqueCode());
    }

    public static String findFormIndexName(FormDef formDef, FormIndexDef indexDef) {
        return FormConst.FORM_Index_Pre + formDef.getInfo().getUniqueCode()+ CommonConst.UNDER_LINE + indexDef.getUniqueCode();
    }

    public static void main(String[] args) {
        FormDef def = new FormDef();
        FormFieldDef fieldDef = new FormFieldDef();
        FormFuncDef funcDef = new FormFuncDef();
        FormInfoDef infoDef = new FormInfoDef();
        FormRelationDef relationDef = new FormRelationDef();
        FormIndexDef uniqueDef = new FormIndexDef();
        FormViewDef viewDef = new FormViewDef();
        def.getFields().add(fieldDef);
        def.setInfo(infoDef);
        def.getRelations().add(relationDef);
        def.getIndexs().add(uniqueDef);
        def.getViews().add(viewDef);
        def.getFuncs().add(funcDef);
        System.out.println(JsonUtils.toJson(def));
    }
}
