package com.kingtom.kirin.app.formwork;

import com.kingtom.kirin.core.common.base.IBaseEnum;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/25 17:27
 */
public class FormworkConst {

    private FormworkConst(){}

    public static enum FormworkInfoTypeEnum implements IBaseEnum<String> {
        Doc("Doc", "word文档"),
        Excel("Doc", "excel文档"),
        Txt("Txt", "文本文档（txt、html、xml等基于文本可以打开的内容）");

        private String key;

        private String name;

        FormworkInfoTypeEnum(String k, String n) {
            key = k;
            name = n;
        }

        @Override
        public String getKey() {
            return key;
        }

        @Override
        public String getName() {
            return name;
        }

        public static FormworkInfoTypeEnum findEnumByKey(String k) {
            return IBaseEnum.findEnumByKey(FormworkInfoTypeEnum.class, k);
        }
    }

}
