package com.kingtom.kirin.app.formwork.service;

import cn.hutool.core.collection.ListUtil;
import cn.hutool.core.util.StrUtil;
import com.github.pagehelper.PageInfo;
import com.kingtom.kirin.app.formwork.core.IFormworkHandler;
import com.kingtom.kirin.app.formwork.model.FormworkInfo;
import com.kingtom.kirin.app.space.base.IFileSource;
import com.kingtom.kirin.core.common.utils.CollectionUtils;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/25 17:27
 */
public interface IFormworkService {

    void registeHandler(IFormworkHandler handler);

    FormworkInfo createFormwork(FormworkInfo info);

    FormworkInfo updateFormwork(FormworkInfo info);

    FormworkInfo deleteFormwork(String id);

    default List<FormworkInfo> deleteFormworks(List<String> ids) {
        ids = CollectionUtils.filter(ids, StrUtil::isNotBlank);
        List<FormworkInfo> r = ListUtil.toList();
        if(CollectionUtils.isNotEmpty(ids)) {
            for(String id:ids) {
                r.add(deleteFormwork(id));
            }
        }
        return r;
    }

    IFileSource doProcessFormwork(String id, Map<String,Object> data);

    PageInfo<FormworkInfo> findFormworks(String search, Integer pageNum, Integer pageSize);

    FormworkInfo findFormworkInfoById(String id);

}
