package com.kingtom.kirin.app.formwork.utils;

import cn.hutool.core.util.RandomUtil;
import com.kingtom.kirin.app.formwork.model.FormworkInfo;
import com.kingtom.kirin.app.system.utils.SystemUtils;
import com.kingtom.kirin.core.common.CommonConst;
import com.kingtom.kirin.core.common.utils.IDUtils;

import java.util.Date;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/25 17:26
 */
public class FormworkUtils {

    private FormworkUtils(){}

    public static String findFormworkCode(){
        return RandomUtil.randomString(CommonConst.CHARS_abc,2) + RandomUtil.randomString(CommonConst.CHARS_ABCabc123,8);
    }

    public static void fillBeforeCreate(FormworkInfo paramBean) {
        Date now = new Date();
        paramBean.setId(IDUtils.newUUID());
        if(paramBean.getState() == null) {
            paramBean.setState(CommonConst.StateEnum.Enable.getKey());
        }
        if(paramBean.getCode() == null) {
            paramBean.setCode(findFormworkCode());
        }
        if(paramBean.getFullName() == null) {
            paramBean.setFullName(paramBean.getName());
        }
        if(paramBean.getGroupName() == null) {
            paramBean.setGroupName(CommonConst.UNGROUP);
        }
        paramBean.setGmtCreate(now);
        paramBean.setGmtModified(now);
        paramBean.setSysId(SystemUtils.getCurrentSystemId());
    }

    public static void fillBeforeUpdate(FormworkInfo paramBean,FormworkInfo dbBean) {
        Date now = new Date();
        paramBean.setGmtModified(now);
    }
}
