package com.kingtom.kirin.app.org;

import java.util.Arrays;

import com.kingtom.kirin.core.common.CommonConst;
import com.kingtom.kirin.core.common.base.IBaseEnum;

/**
 * 组织模块</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/16
 */
public final class OrgConst{

    public static final String SESSION_ATTR_ORG_PERSON = "OrgPerson";

    public static final String SESSION_ATTR_ORG_Deps = "OrgDeps";

    public static final String SESSION_ATTR_ORG_Posts = "OrgPosts";

    public static final String SESSION_ATTR_ORG_UNIT = "OrgUnit";

    /**
     * 性别枚举
     */
    public static enum OrgPersonSexEnum implements IBaseEnum<Integer>{
        Man(0, "男"),
        Woman(1, "女");

        private Integer key;

        private String name;

        private OrgPersonSexEnum(Integer k, String n){
            this.key = k;
            this.name = n;
        }

        @Override
        public Integer getKey(){
            return key;
        }

        @Override
        public String getName(){
            return name;
        }

        public static OrgConst.OrgPersonSexEnum findEnumByKey(Integer k){
            return IBaseEnum.findEnumByKey(OrgConst.OrgPersonSexEnum.class, k);
        }
    }

    /**
     * 人员证照
     */
    public static enum OrgPersonLicenseTypeEnum implements IBaseEnum<String>{
        /**
         *
         */
        IDCard("IDCard", "身份证"),
        /**
         *
         */
        passport("passport", "护照"),
        /**
         *
         */
        HMTPassport("HMTPassport", "港澳台通行证");

        private String key;

        private String name;

        private OrgPersonLicenseTypeEnum(String k, String n){
            this.key = k;
            this.name = n;
        }

        @Override
        public String getKey(){
            return key;
        }

        @Override
        public String getName(){
            return name;
        }

        public static OrgConst.OrgPersonLicenseTypeEnum findEnumByKey(String k){
            return IBaseEnum.findEnumByKey(OrgConst.OrgPersonLicenseTypeEnum.class, k);
        }
    }

    public static enum OrgUnitTypeEnum implements IBaseEnum<String>{
        /**
         *
         */
        Ltd(1000, "有限责任公司"),
        /**
         *
         */
        LimitedCompany(1001, "股份有限公司"),
        /**
         *
         */
        WhollyStateOwnedEnterprises(1002, "国有独资企业"),
        /**
         *
         */
        Duli(1003, "个人独资企业"),
        /**
         *
         */
        PartnershipEnterprise(1004, "合伙企业"),
        /**
         *
         */
        IndividualIndustrialAndCommercialHouseholds(1005, "个体工商户"),
        /**
         *
         */
        foreignInvestedEnterprise(1006, "外商投资企业"),
        /**
         *
         */
        PrivateEnterprise(1007, "私营企业"),
        /**
         *
         */
        CollectiveOwnershipEnterprises(1008, "全民所有制企业"),
        /**
         *
         */
        OwnershipByTheWholePeople(1010, "集体所有制企业"),
        /**
         *
         */
        OtherYl(1009, "其他盈利组织"),
        /**
         *
         */
        Jiaoyu(2001, "教育学术"),
        /**
         *
         */
        Yiliao(2002, "医疗服务"),
        /**
         *
         */
        Shehui(2003, "社会福利"),
        /**
         *
         */
        WenHua(2004, "文化艺术"),
        /**
         *
         */
        Zhiye(2005, "职业团体"),
        /**
         *
         */
        Zhuzhai(2006, "住宅开发"),
        /**
         *
         */
        Guoji(2007, "国际事务"),
        /**
         *
         */
        Gongming(2008, "公民倡议"),
        /**
         *
         */
        Environment(2009, "环境保护"),
        /**
         *
         */
        Cishan(2010, "慈善"),
        /**
         *
         */
        Zhongjiao(2011, "宗教"),
        /**
         *
         */
        Zhengfu(2012, "政府机关"),
        /**
         *
         */
        OtherFyl(2013, "其他");

        private String key;

        private String name;

        private OrgUnitTypeEnum(Integer key, String name){
            this.key = String.valueOf(key);
            this.name = name;
        }

        @Override
        public String getKey(){
            return key;
        }

        @Override
        public String getName(){
            return name;
        }

        public static OrgUnitTypeEnum findEnumByKey(String key){
            return IBaseEnum.findEnumByKey(OrgUnitTypeEnum.class, key);
        }

        public static OrgUnitTypeEnum findEnumByName(String name){
            return IBaseEnum.findEnumByName(OrgUnitTypeEnum.class, name);
        }
    }

    /**
     * 性别枚举
     */
    public static enum OrgUnitIndustryEnum implements IBaseEnum<String>{
        A_001("A_001", "农业"),
        A_002("A_002", "林业"),
        A_003("A_003", "畜牧业"),
        A_004("A_004", "渔业"),
        A_005("A_005", "农、林、牧、渔专业及辅助性活动业"),
        B_001("B_001", "煤炭开采和洗选业"),
        B_002("B_002", "石油和天然气开采业"),
        B_003("B_003", "黑色金属矿采选业"),
        B_004("B_004", "有色金属矿采选业"),
        B_005("B_005", "非金属矿采选业"),
        B_006("B_006", "开采专业及辅助性活动其他采矿业"),
        C_001("C_001", "农副食品加工业"),
        C_002("C_002", "食品制造业"),
        C_003("C_003", "酒、饮料和精制茶制造业"),
        C_004("C_004", "烟草制品业"),
        C_005("C_005", "纺织业"),
        C_006("C_006", "纺织服装、服饰业"),
        C_007("C_007", "皮革、毛皮、羽毛及其制品和制鞋业"),
        C_008("C_008", "木材加工和木、竹、藤、棕、草制品业"),
        C_009("C_009", "家具制造业"),
        C_010("C_010", "造纸和纸制品业"),
        C_011("C_011", "印刷和记录媒介复制业"),
        C_012("C_012", "文教、工美、体育和娱乐用品制造业"),
        C_013("C_013", "石油、煤炭及其他燃料加工业"),
        C_014("C_014", "化学原料和化学制品制造业"),
        C_015("C_015", "医药制造业"),
        C_016("C_016", "化学纤维制造业"),
        C_017("C_017", "橡胶和塑料制品业"),
        C_018("C_018", "非金属矿物制品业"),
        C_019("C_019", "黑色金属冶炼和压延加工业"),
        C_020("C_020", "有色金属冶炼和压延加工业"),
        C_021("C_021", "金属制品业"),
        C_022("C_022", "通用设备制造业"),
        C_023("C_023", "专用设备制造业"),
        C_024("C_024", "汽车制造业"),
        C_025("C_025", "铁路、船舶、航空航天和其他运输设备制造业"),
        C_026("C_026", "电气机械和器材制造业"),
        C_027("C_027", "计算机、通信和其他电子设备制造业"),
        C_028("C_028", "仪器仪表制造业"),
        C_029("C_029", "其他制造业"),
        C_030("C_030", "废弃资源综合利用业"),
        C_031("C_031", "金属制品、机械和设备修理业"),
        D_001("D_001", "电力、热力生产和供应业"),
        D_002("D_002", "燃气生产和供应业"),
        D_003("D_003", "水的生产和供应业"),
        E_001("E_001", "房屋建筑业"),
        E_002("E_002", "土木工程建筑业"),
        E_003("E_003", "建筑安装业"),
        E_004("E_004", "建筑装饰、装修和其他建筑业"),
        F_001("F_001", "批发业"),
        F_002("F_002", "零售业"),
        G_001("G_001", "铁路运输业"),
        G_002("G_002", "道路运输业"),
        G_003("G_003", "水上运输业"),
        G_004("G_004", "航空运输业"),
        G_005("G_005", "管道运输业"),
        G_006("G_006", "多式联运和运输代理业"),
        G_007("G_007", "装卸搬运和仓储业"),
        G_008("G_008", "邮政业"),
        H_001("H_001", "住宿业"),
        H_002("H_002", "餐饮业"),
        I_001("I_001", "电信、广播电视和卫星传输服务"),
        I_002("I_002", "互联网和相关服务"),
        I_003("I_003", "软件和信息技术服务业"),
        J_001("J_001", "货币金融服务"),
        J_002("J_002", "资本市场服务"),
        J_003("J_003", "保险业"),
        J_004("J_004", "其他金融业"),
        K_001("K_001", "房地产业"),
        L_001("L_001", "租赁业"),
        L_002("L_002", "商务服务业"),
        M_001("M_001", "研究和试验发展"),
        M_002("M_002", "专业技术服务业"),
        M_003("M_003", "科技推广和应用服务业"),
        N_001("N_001", "水利管理业"),
        N_002("N_002", "生态保护和环境治理业"),
        N_003("N_003", "公共设施管理业"),
        N_004("N_004", "土地管理业"),
        O_001("O_001", "居民服务业"),
        O_002("O_002", "机动车、电子产品和日用产品修理业"),
        O_003("O_003", "其他服务业"),
        P_001("P_001", "教育"),
        Q_002("Q_002", "卫生"),
        Q_003("Q_003", "社会工作"),
        R_001("R_001", "新闻和出版业"),
        R_002("R_002", "广播、电视、电影和录音制作业"),
        R_003("R_003", "文化艺术业"),
        R_004("R_004", "体育"),
        R_005("R_005", "娱乐业"),
        S_001("S_001", "中国共产党机关"),
        S_002("S_002", "国家机构"),
        S_003("S_003", "人民政协、民主党派"),
        S_004("S_004", "社会保障"),
        S_005("S_005", "群众团体、社会团体和其他成员组织"),
        S_006("S_006", "基层群众自治组织及其他组织业"),
        T_001("T_001", "国际组织");

        private String key;

        private String name;

        private OrgUnitIndustryEnum(String k, String n){
            this.key = k;
            this.name = n;
        }

        @Override
        public String getKey(){
            return key;
        }

        @Override
        public String getName(){
            return name;
        }

        public static OrgConst.OrgUnitIndustryEnum findEnumByKey(String k){
            return IBaseEnum.findEnumByKey(OrgConst.OrgUnitIndustryEnum.class, k);
        }
    }

    public static enum OrgUnitLicenseStateEnum implements IBaseEnum<String>{
        Survival("Survival", "存续"),
        Employed("Employed", "在业"),
        Revoke("Revoke", "吊销"),
        Logout("Logout", "注销"),
        Immigration("Immigration", "迁入"),
        Emigration("Emigration", "迁出"),
        Closure("Closure", "停业"),
        Liquidation("Liquidation", "清算");

        private String key;

        private String name;

        private OrgUnitLicenseStateEnum(String k, String n){
            this.key = k;
            this.name = n;
        }

        @Override
        public String getKey(){
            return key;
        }

        @Override
        public String getName(){
            return name;
        }

        public static OrgConst.OrgUnitLicenseStateEnum findEnumByKey(String k){
            return IBaseEnum.findEnumByKey(OrgConst.OrgUnitLicenseStateEnum.class, k);
        }
    }

    public static enum OrgStructTypeEnum implements IBaseEnum<String>{
        Root("Root", "根机构"),
        Virtual("Virtual", "虚机构"),
        Solid("Solid", "实机构");

        private String key;

        private String name;

        private OrgStructTypeEnum(String k, String n){
            this.key = k;
            this.name = n;
        }

        @Override
        public String getKey(){
            return key;
        }

        @Override
        public String getName(){
            return name;
        }

        public static OrgConst.OrgStructTypeEnum findEnumByKey(String k){
            return IBaseEnum.findEnumByKey(OrgConst.OrgStructTypeEnum.class, k);
        }
    }

    public static enum OrgStructSubTypeEnum implements IBaseEnum<String>{
        RootInnerOrg("RootInner", "组织根节点", "RootInnerOrg", OrgStructTypeEnum.Root),
        RootDepartment("RootDepartment", "虚部门", "RootDepartment", OrgStructTypeEnum.Virtual),
        RootPost("RootPost", "虚岗位", "RootPost", OrgStructTypeEnum.Virtual),
        SolidDepartment("SolidDepartment", "部门", "D", OrgStructTypeEnum.Solid),
        SolidPost("SolidPost", "岗位", "P", OrgStructTypeEnum.Solid);

        private String key;

        private String name;

        private String codePrefix;

        private OrgStructTypeEnum structTypeEnum;

        @Override
        public String getKey(){
            return key;
        }

        @Override
        public String getName(){
            return name;
        }

        public String getCodePrefix(){
            return codePrefix;
        }

        public OrgStructTypeEnum getStructTypeEnum(){
            return structTypeEnum;
        }

        private OrgStructSubTypeEnum(String k, String n, String codePrefix, OrgStructTypeEnum structTypeEnum){
            this.key = k;
            this.name = n;
            this.codePrefix = codePrefix;
            this.structTypeEnum = structTypeEnum;
        }

        public static OrgConst.OrgStructSubTypeEnum findEnumByKey(String k){
            return IBaseEnum.findEnumByKey(OrgConst.OrgStructSubTypeEnum.class, k);
        }
    }

    public static enum OrgAuthRoleEnum implements IBaseEnum<String>{
        OrgMember("OrgMember", "组织成员"),
        OrgAdmin("OrgAdmin", "组织管理员"),
        OrgLegal("OrgLegal", "组织法人"),
        PostMember("PostMember", "岗位成员"),
        DepartmentLeader("DepartmentLeader", "部门领导"),
        DepartmentMember("DepartmentMember", "部门成员");

        private String key;

        private String name;

        @Override
        public String getKey(){
            return key;
        }

        @Override
        public String getName(){
            return name;
        }

        private OrgAuthRoleEnum(String k, String n){
            this.key = k;
            this.name = n;
        }

        public static OrgConst.OrgAuthRoleEnum findEnumByKey(String k){
            return IBaseEnum.findEnumByKey(OrgConst.OrgAuthRoleEnum.class, k);
        }

        public boolean isOrgRoleByCode(String code){
            return Arrays.stream(values()).anyMatch(e -> code.startsWith(e.getKey() + CommonConst.UNDER_LINE));
        }

        public String splitIdByCode(String code){
            int index = (getKey() + CommonConst.UNDER_LINE).length();
            return code.substring(index);
        }

        public String roleCode(String id){
            return getKey() + CommonConst.UNDER_LINE + id;
        }

        public String roleName(String name){
            return getName() + CommonConst.UNDER_LINE + name;
        }
    }

}
