package com.kingtom.kirin.app.org.config;

import java.util.List;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 组织模块</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/18
 */
@Configuration(proxyBeanMethods = false)
@ConfigurationProperties(prefix = "app.org.init")
public class OrgInitProperties{

    /**
     * 组织名称
     */
    private String name;

    /**
     * 组织别名
     */
    private String otherName;

    /**
     * 组织英文名
     */
    private String enName;

    /**
     * 组织类型
     */
    private String type;

    /**
     * 统一社会信用代码
     */
    private String usci;

    /**
     * 纳税人识别号
     */
    private String taxId;

    /**
     * 组织机构代码
     */
    private String orgCode;

    /**
     * 电话:多个
     */
    private List<String> phones;

    /**
     * 邮箱:多个
     */
    private List<String> emails;

    /**
     * 法人姓名
     */
    private String legalName;

    /**
     * 法人手机号
     */
    private String legalPhone;

    public String getName(){
        return name;
    }

    public void setName(String name){
        this.name = name;
    }

    public String getOtherName(){
        return otherName;
    }

    public void setOtherName(String otherName){
        this.otherName = otherName;
    }

    public String getType(){
        return type;
    }

    public void setType(String type){
        this.type = type;
    }

    public String getEnName(){
        return enName;
    }

    public void setEnName(String enName){
        this.enName = enName;
    }

    public String getUsci(){
        return usci;
    }

    public void setUsci(String usci){
        this.usci = usci;
    }

    public String getTaxId(){
        return taxId;
    }

    public void setTaxId(String taxId){
        this.taxId = taxId;
    }

    public String getOrgCode(){
        return orgCode;
    }

    public void setOrgCode(String orgCode){
        this.orgCode = orgCode;
    }

    public List<String> getPhones(){
        return phones;
    }

    public void setPhones(List<String> phones){
        this.phones = phones;
    }

    public List<String> getEmails(){
        return emails;
    }

    public void setEmails(List<String> emails){
        this.emails = emails;
    }

    public String getLegalName(){
        return legalName;
    }

    public void setLegalName(String legalName){
        this.legalName = legalName;
    }

    public String getLegalPhone(){
        return legalPhone;
    }

    public void setLegalPhone(String legalPhone){
        this.legalPhone = legalPhone;
    }

}
