package com.kingtom.kirin.app.org.dao;

import java.util.List;

import com.kingtom.kirin.app.org.model.OrgPerson;
import com.kingtom.kirin.app.org.model.OrgPersonExample;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

public interface OrgPersonMapper{

    /**
     * 人员表 countByExample(MyBatis-Generator)
     */
    long countByExample(OrgPersonExample example);

    /**
     * 人员表 deleteByExample(MyBatis-Generator)
     */
    int deleteByExample(OrgPersonExample example);

    /**
     * 人员表 deleteByPrimaryKey(MyBatis-Generator)
     */
    int deleteByPrimaryKey(String id);

    /**
     * 人员表 insert(MyBatis-Generator)
     */
    int insert(OrgPerson record);

    /**
     * 人员表 insertSelective(MyBatis-Generator)
     */
    int insertSelective(OrgPerson record);

    /**
     * 人员表 selectByExample(MyBatis-Generator)
     */
    List<OrgPerson> selectByExample(OrgPersonExample example);

    /**
     * 人员表 selectByPrimaryKey(MyBatis-Generator)
     */
    OrgPerson selectByPrimaryKey(String id);

    /**
     * 人员表 updateByExampleSelective(MyBatis-Generator)
     */
    int updateByExampleSelective(@Param("record") OrgPerson record, @Param("example") OrgPersonExample example);

    /**
     * 人员表 updateByExample(MyBatis-Generator)
     */
    int updateByExample(@Param("record") OrgPerson record, @Param("example") OrgPersonExample example);

    /**
     * 人员表 updateByPrimaryKeySelective(MyBatis-Generator)
     */
    int updateByPrimaryKeySelective(OrgPerson record);

    /**
     * 人员表 updateByPrimaryKey(MyBatis-Generator)
     */
    int updateByPrimaryKey(OrgPerson record);

    @Select({"<script>",
            "SELECT c.* FROM (SELECT DISTINCT JSONB_ARRAY_ELEMENTS(SOURCE -> 'e' -> 'resources') AS j FROM auth_role WHERE ",
            "code = #{roleCode}) AS a JOIN system_user AS b ON a.j ->> 'resType' = 'SystemUser' AND a.j ->> 'resId' =" +
                    " b",
            ".id JOIN org_person AS c ON b.res_type = 'OrgPerson' AND b.res_id = c.id WHERE c.state &lt;&gt; -1 AND b" +
                    ".state &lt;&gt; -1 ",
            "<if test='search != null'>",
            "AND (C.name LIKE CONCAT('%',#{search},'%') OR c.other_name LIKE CONCAT('%',#{search},'%') OR c.en_name " +
                    "LIKE CONCAT('%',#{search},'%') OR C.email LIKE ",
            "CONCAT('%',#{search},'%') OR c.national LIKE CONCAT('%',#{search},'%') OR c.nation LIKE CONCAT('%'," +
                    "#{search},'%') OR c.license_code LIKE CONCAT('%',#{search},'%')) ",
            "</if>", "<if test='name != null'>", "AND c.name LIKE CONCAT('%',#{name},'%') ", "</if>",
            "<if test='phone != null'>", "AND c.phone LIKE CONCAT('%',#{phone},'%') ", "</if>",
            "<if test='licenseNo != null'>", "AND c.license_code LIKE CONCAT('%',#{licenseNo},'%') ", "</if>",
            "ORDER BY c.gmt_create DESC ", "</script>"})
    List<OrgPerson> selectPageRecordByRoleCode(@Param("roleCode") String roleCode, @Param("search") String search,
            @Param("name") String name, @Param("phone") String phone, @Param("licenseNo") String licenseNo);

}