package com.kingtom.kirin.app.org.event;

import java.io.Serial;

import com.kingtom.kirin.app.org.model.OrgPerson;
import com.kingtom.kirin.app.system.event.SystemEvent;

/**
 * 组织模块</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/16
 */
public class OrgPersonUpdateEvent extends SystemEvent{

    @Serial
    private static final long serialVersionUID = 2423607644316695974L;

    private OrgPerson oldPerson;

    private OrgPerson nowPerson;

    public OrgPersonUpdateEvent(OrgPerson oldPerson, OrgPerson nowPerson){
        super(nowPerson);
        this.oldPerson = oldPerson;
        this.nowPerson = nowPerson;
    }

    public OrgPerson getOldPerson(){
        return oldPerson;
    }

    public OrgPerson getNowPerson(){
        return nowPerson;
    }

}