package com.kingtom.kirin.app.org.model;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

import com.kingtom.kirin.core.common.json.JObject;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 机构表(org_struct)(MyBatis-Generator)
 *
 * @author 86181
 * @since 2023/10/18 03:46
 */
public class OrgStruct implements Serializable{

    /**
     * 主键(org_struct.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 机构名称(org_struct.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * 机构别名(org_struct.other_name)(MyBatis-Generator)
     */
    private String otherName;

    /**
     * 机构英文名(org_struct.en_name)(MyBatis-Generator)
     */
    private String enName;

    /**
     * 机构编码:同一颗树内唯一(org_struct.code)(MyBatis-Generator)
     */
    private String code;

    /**
     * 机构类型:虚机构，实机构)(org_struct.type)(MyBatis-Generator)
     */
    private String type;

    /**
     * 机构子类型。由机构模型实现者去填充，如企业模型：department，post(org_struct.sub_type)(MyBatis-Generator)
     */
    private String subType;

    /**
     * 机构状态(org_struct.state)(MyBatis-Generator)
     */
    private Integer state;

    /**
     * 组织树顶级节点ID(org_struct.top_id)(MyBatis-Generator)
     */
    private String topId;

    /**
     * 组织树顶级节点ID(org_struct.parent_id)(MyBatis-Generator)
     */
    private String parentId;

    /**
     * 组织树路径(org_struct.path)(MyBatis-Generator)
     */
    private JObject<List<String>> path;

    /**
     * 所属组织ID(org_struct.org_id)(MyBatis-Generator)
     */
    private String orgId;

    /**
     * 排序字段(org_struct.order_num)(MyBatis-Generator)
     */
    private Integer orderNum;

    /**
     * 扩展字段1(org_struct.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(org_struct.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 扩展字段3(org_struct.ext3)(MyBatis-Generator)
     */
    private JObject<Map<String, Object>> ext3;

    /**
     * 创建时间(org_struct.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 更新时间(org_struct.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(org_struct.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 主键(org_struct.id)(MyBatis-Generator)
     *
     * @return 主键
     */
    public String getId(){
        return id;
    }

    /**
     * 设置 主键(org_struct.id)(MyBatis-Generator)
     *
     * @param id 主键
     */
    public void setId(String id){
        this.id = id;
    }

    /**
     * 获取 机构名称(org_struct.name)(MyBatis-Generator)
     *
     * @return 机构名称
     */
    public String getName(){
        return name;
    }

    /**
     * 设置 机构名称(org_struct.name)(MyBatis-Generator)
     *
     * @param name 机构名称
     */
    public void setName(String name){
        this.name = name;
    }

    /**
     * 获取 机构别名(org_struct.other_name)(MyBatis-Generator)
     *
     * @return 机构别名
     */
    public String getOtherName(){
        return otherName;
    }

    /**
     * 设置 机构别名(org_struct.other_name)(MyBatis-Generator)
     *
     * @param otherName 机构别名
     */
    public void setOtherName(String otherName){
        this.otherName = otherName;
    }

    /**
     * 获取 机构英文名(org_struct.en_name)(MyBatis-Generator)
     *
     * @return 机构英文名
     */
    public String getEnName(){
        return enName;
    }

    /**
     * 设置 机构英文名(org_struct.en_name)(MyBatis-Generator)
     *
     * @param enName 机构英文名
     */
    public void setEnName(String enName){
        this.enName = enName;
    }

    /**
     * 获取 机构编码:同一颗树内唯一(org_struct.code)(MyBatis-Generator)
     *
     * @return 机构编码:同一颗树内唯一
     */
    public String getCode(){
        return code;
    }

    /**
     * 设置 机构编码:同一颗树内唯一(org_struct.code)(MyBatis-Generator)
     *
     * @param code 机构编码:同一颗树内唯一
     */
    public void setCode(String code){
        this.code = code;
    }

    /**
     * 获取 机构类型:虚机构，实机构)(org_struct.type)(MyBatis-Generator)
     *
     * @return 机构类型:虚机构，实机构)
     */
    public String getType(){
        return type;
    }

    /**
     * 设置 机构类型:虚机构，实机构)(org_struct.type)(MyBatis-Generator)
     *
     * @param type 机构类型:虚机构，实机构)
     */
    public void setType(String type){
        this.type = type;
    }

    /**
     * 获取 机构子类型。由机构模型实现者去填充，如企业模型：department，post(org_struct.sub_type)(MyBatis-Generator)
     *
     * @return 机构子类型。由机构模型实现者去填充，如企业模型：department，post
     */
    public String getSubType(){
        return subType;
    }

    /**
     * 设置 机构子类型。由机构模型实现者去填充，如企业模型：department，post(org_struct.sub_type)(MyBatis-Generator)
     *
     * @param subType 机构子类型。由机构模型实现者去填充，如企业模型：department，post
     */
    public void setSubType(String subType){
        this.subType = subType;
    }

    /**
     * 获取 机构状态(org_struct.state)(MyBatis-Generator)
     *
     * @return 机构状态
     */
    public Integer getState(){
        return state;
    }

    /**
     * 设置 机构状态(org_struct.state)(MyBatis-Generator)
     *
     * @param state 机构状态
     */
    public void setState(Integer state){
        this.state = state;
    }

    /**
     * 获取 组织树顶级节点ID(org_struct.top_id)(MyBatis-Generator)
     *
     * @return 组织树顶级节点ID
     */
    public String getTopId(){
        return topId;
    }

    /**
     * 设置 组织树顶级节点ID(org_struct.top_id)(MyBatis-Generator)
     *
     * @param topId 组织树顶级节点ID
     */
    public void setTopId(String topId){
        this.topId = topId;
    }

    /**
     * 获取 组织树顶级节点ID(org_struct.parent_id)(MyBatis-Generator)
     *
     * @return 组织树顶级节点ID
     */
    public String getParentId(){
        return parentId;
    }

    /**
     * 设置 组织树顶级节点ID(org_struct.parent_id)(MyBatis-Generator)
     *
     * @param parentId 组织树顶级节点ID
     */
    public void setParentId(String parentId){
        this.parentId = parentId;
    }

    /**
     * 获取 组织树路径(org_struct.path)(MyBatis-Generator)
     *
     * @return 组织树路径
     */
    public JObject<List<String>> getPath(){
        return path;
    }

    /**
     * 设置 组织树路径(org_struct.path)(MyBatis-Generator)
     *
     * @param path 组织树路径
     */
    public void setPath(JObject<List<String>> path){
        this.path = path;
    }

    /**
     * 获取 所属组织ID(org_struct.org_id)(MyBatis-Generator)
     *
     * @return 所属组织ID
     */
    public String getOrgId(){
        return orgId;
    }

    /**
     * 设置 所属组织ID(org_struct.org_id)(MyBatis-Generator)
     *
     * @param orgId 所属组织ID
     */
    public void setOrgId(String orgId){
        this.orgId = orgId;
    }

    /**
     * 获取 排序字段(org_struct.order_num)(MyBatis-Generator)
     *
     * @return 排序字段
     */
    public Integer getOrderNum(){
        return orderNum;
    }

    /**
     * 设置 排序字段(org_struct.order_num)(MyBatis-Generator)
     *
     * @param orderNum 排序字段
     */
    public void setOrderNum(Integer orderNum){
        this.orderNum = orderNum;
    }

    /**
     * 获取 扩展字段1(org_struct.ext1)(MyBatis-Generator)
     *
     * @return 扩展字段1
     */
    public String getExt1(){
        return ext1;
    }

    /**
     * 设置 扩展字段1(org_struct.ext1)(MyBatis-Generator)
     *
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1){
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(org_struct.ext2)(MyBatis-Generator)
     *
     * @return 扩展字段2
     */
    public String getExt2(){
        return ext2;
    }

    /**
     * 设置 扩展字段2(org_struct.ext2)(MyBatis-Generator)
     *
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2){
        this.ext2 = ext2;
    }

    /**
     * 获取 扩展字段3(org_struct.ext3)(MyBatis-Generator)
     *
     * @return 扩展字段3
     */
    public JObject<Map<String, Object>> getExt3(){
        return ext3;
    }

    /**
     * 设置 扩展字段3(org_struct.ext3)(MyBatis-Generator)
     *
     * @param ext3 扩展字段3
     */
    public void setExt3(JObject<Map<String, Object>> ext3){
        this.ext3 = ext3;
    }

    /**
     * 获取 创建时间(org_struct.gmt_create)(MyBatis-Generator)
     *
     * @return 创建时间
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * 设置 创建时间(org_struct.gmt_create)(MyBatis-Generator)
     *
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 更新时间(org_struct.gmt_modified)(MyBatis-Generator)
     *
     * @return 更新时间
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * 设置 更新时间(org_struct.gmt_modified)(MyBatis-Generator)
     *
     * @param gmtModified 更新时间
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(org_struct.sys_id)(MyBatis-Generator)
     *
     * @return 系统ID
     */
    public String getSysId(){
        return sysId;
    }

    /**
     * 设置 系统ID(org_struct.sys_id)(MyBatis-Generator)
     *
     * @param sysId 系统ID
     */
    public void setSysId(String sysId){
        this.sysId = sysId;
    }

    /**
     * 机构表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that){
        if(this == that){
            return true;
        }
        if(that == null){
            return false;
        }
        if(getClass() != that.getClass()){
            return false;
        }
        OrgStruct other = (OrgStruct) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId())) &&
                (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName())) &&
                (this.getOtherName() == null ? other.getOtherName() == null :
                        this.getOtherName().equals(other.getOtherName())) &&
                (this.getEnName() == null ? other.getEnName() == null : this.getEnName().equals(other.getEnName())) &&
                (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode())) &&
                (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType())) &&
                (this.getSubType() == null ? other.getSubType() == null :
                        this.getSubType().equals(other.getSubType())) &&
                (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState())) &&
                (this.getTopId() == null ? other.getTopId() == null : this.getTopId().equals(other.getTopId())) &&
                (this.getParentId() == null ? other.getParentId() == null :
                        this.getParentId().equals(other.getParentId())) &&
                (this.getPath() == null ? other.getPath() == null : this.getPath().equals(other.getPath())) &&
                (this.getOrgId() == null ? other.getOrgId() == null : this.getOrgId().equals(other.getOrgId())) &&
                (this.getOrderNum() == null ? other.getOrderNum() == null :
                        this.getOrderNum().equals(other.getOrderNum())) &&
                (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1())) &&
                (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2())) &&
                (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3())) &&
                (this.getGmtCreate() == null ? other.getGmtCreate() == null :
                        this.getGmtCreate().equals(other.getGmtCreate())) &&
                (this.getGmtModified() == null ? other.getGmtModified() == null :
                        this.getGmtModified().equals(other.getGmtModified())) &&
                (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 机构表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode(){
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getOtherName() == null) ? 0 : getOtherName().hashCode());
        result = prime * result + ((getEnName() == null) ? 0 : getEnName().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getSubType() == null) ? 0 : getSubType().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getTopId() == null) ? 0 : getTopId().hashCode());
        result = prime * result + ((getParentId() == null) ? 0 : getParentId().hashCode());
        result = prime * result + ((getPath() == null) ? 0 : getPath().hashCode());
        result = prime * result + ((getOrgId() == null) ? 0 : getOrgId().hashCode());
        result = prime * result + ((getOrderNum() == null) ? 0 : getOrderNum().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 机构表 toString(MyBatis-Generator)
     */
    @Override
    public String toString(){
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", otherName=").append(otherName);
        sb.append(", enName=").append(enName);
        sb.append(", code=").append(code);
        sb.append(", type=").append(type);
        sb.append(", subType=").append(subType);
        sb.append(", state=").append(state);
        sb.append(", topId=").append(topId);
        sb.append(", parentId=").append(parentId);
        sb.append(", path=").append(path);
        sb.append(", orgId=").append(orgId);
        sb.append(", orderNum=").append(orderNum);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

}