package com.kingtom.kirin.app.org.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

import com.kingtom.kirin.core.common.json.JObject;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 组织表(org_unit)(MyBatis-Generator)
 *
 * @author 86181
 * @since 2023/10/17 11:09
 */
public class OrgUnit implements Serializable{

    /**
     * 主键(org_unit.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 组织名称(org_unit.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * 组织别名(org_unit.other_name)(MyBatis-Generator)
     */
    private String otherName;

    /**
     * 组织英文名(org_unit.en_name)(MyBatis-Generator)
     */
    private String enName;

    /**
     * 企业类型(org_unit.type)(MyBatis-Generator)
     */
    private String type;

    /**
     * 统一社会信用代码(org_unit.usci)(MyBatis-Generator)
     */
    private String usci;

    /**
     * 纳税人识别号(org_unit.tax_id)(MyBatis-Generator)
     */
    private String taxId;

    /**
     * 组织机构代码(org_unit.org_code)(MyBatis-Generator)
     */
    private String orgCode;

    /**
     * 电话:多个(org_unit.phones)(MyBatis-Generator)
     */
    private JObject<List<String>> phones;

    /**
     * 邮箱:多个(org_unit.emails)(MyBatis-Generator)
     */
    private JObject<List<String>> emails;

    /**
     * 国家/地区(org_unit.national)(MyBatis-Generator)
     */
    private String national;

    /**
     * 组织地址(org_unit.address)(MyBatis-Generator)
     */
    private String address;

    /**
     * 位置信息:经度(org_unit.longitude)(MyBatis-Generator)
     */
    private BigDecimal longitude;

    /**
     * 位置信息:纬度(org_unit.latitude)(MyBatis-Generator)
     */
    private BigDecimal latitude;

    /**
     * 网址(org_unit.website)(MyBatis-Generator)
     */
    private String website;

    /**
     * 描述(org_unit.description)(MyBatis-Generator)
     */
    private String description;

    /**
     * 状态(org_unit.state)(MyBatis-Generator)
     */
    private Integer state;

    /**
     * 法人(org_unit.legal_person)(MyBatis-Generator)
     */
    private String legalPerson;

    /**
     * 行业(org_unit.industry)(MyBatis-Generator)
     */
    private String industry;

    /**
     * 组织规模(org_unit.scale)(MyBatis-Generator)
     */
    private String scale;

    /**
     * 组织证照:类型(org_unit.license_type)(MyBatis-Generator)
     */
    private String licenseType;

    /**
     * 组织证照:号码(org_unit.license_no)(MyBatis-Generator)
     */
    private String licenseNo;

    /**
     * 组织证照:颁发机构(org_unit.license_pub_org)(MyBatis-Generator)
     */
    private String licensePubOrg;

    /**
     * 组织证照:注册地(org_unit.license_reg_area)(MyBatis-Generator)
     */
    private String licenseRegArea;

    /**
     * 组织证照:颁发时间(org_unit.license_reg_time)(MyBatis-Generator)
     */
    private Date licenseRegTime;

    /**
     * 组织证照:注册资本(org_unit.license_reg_capital)(MyBatis-Generator)
     */
    private String licenseRegCapital;

    /**
     * 组织证照:允许经营范围(org_unit.license_bus_scope)(MyBatis-Generator)
     */
    private String licenseBusScope;

    /**
     * 组织证照:状态(org_unit.license_state)(MyBatis-Generator)
     */
    private String licenseState;

    /**
     * 组织证照:成立时间(org_unit.license_create_time)(MyBatis-Generator)
     */
    private Date licenseCreateTime;

    /**
     * 组织证照:证件有效期开始时间(org_unit.license_start_time)(MyBatis-Generator)
     */
    private Date licenseStartTime;

    /**
     * 组织证照:证件有效期到期时间(org_unit.license_end_time)(MyBatis-Generator)
     */
    private Date licenseEndTime;

    /**
     * 组织证照:附件(org_unit.license_resource)(MyBatis-Generator)
     */
    private String licenseResource;

    /**
     * logo(org_unit.logo_resource)(MyBatis-Generator)
     */
    private JObject<List<String>> logoResource;

    /**
     * 形象图片(org_unit.image_resource)(MyBatis-Generator)
     */
    private JObject<List<String>> imageResource;

    /**
     * 登录页封面图片(org_unit.login_resource)(MyBatis-Generator)
     */
    private JObject<List<String>> loginResource;

    /**
     * 企业商标(org_unit.trademark_resource)(MyBatis-Generator)
     */
    private JObject<List<String>> trademarkResource;

    /**
     * 扩展字段1(org_unit.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(org_unit.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 扩展字段3(org_unit.ext3)(MyBatis-Generator)
     */
    private JObject<Map<String, Object>> ext3;

    /**
     * 创建时间(org_unit.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 更新时间(org_unit.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(org_unit.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 主键(org_unit.id)(MyBatis-Generator)
     *
     * @return 主键
     */
    public String getId(){
        return id;
    }

    /**
     * 设置 主键(org_unit.id)(MyBatis-Generator)
     *
     * @param id 主键
     */
    public void setId(String id){
        this.id = id;
    }

    /**
     * 获取 组织名称(org_unit.name)(MyBatis-Generator)
     *
     * @return 组织名称
     */
    public String getName(){
        return name;
    }

    /**
     * 设置 组织名称(org_unit.name)(MyBatis-Generator)
     *
     * @param name 组织名称
     */
    public void setName(String name){
        this.name = name;
    }

    /**
     * 获取 组织别名(org_unit.other_name)(MyBatis-Generator)
     *
     * @return 组织别名
     */
    public String getOtherName(){
        return otherName;
    }

    /**
     * 设置 组织别名(org_unit.other_name)(MyBatis-Generator)
     *
     * @param otherName 组织别名
     */
    public void setOtherName(String otherName){
        this.otherName = otherName;
    }

    /**
     * 获取 组织英文名(org_unit.en_name)(MyBatis-Generator)
     *
     * @return 组织英文名
     */
    public String getEnName(){
        return enName;
    }

    /**
     * 设置 组织英文名(org_unit.en_name)(MyBatis-Generator)
     *
     * @param enName 组织英文名
     */
    public void setEnName(String enName){
        this.enName = enName;
    }

    /**
     * 获取 企业类型(org_unit.type)(MyBatis-Generator)
     *
     * @return 企业类型
     */
    public String getType(){
        return type;
    }

    /**
     * 设置 企业类型(org_unit.type)(MyBatis-Generator)
     *
     * @param type 企业类型
     */
    public void setType(String type){
        this.type = type;
    }

    /**
     * 获取 统一社会信用代码(org_unit.usci)(MyBatis-Generator)
     *
     * @return 统一社会信用代码
     */
    public String getUsci(){
        return usci;
    }

    /**
     * 设置 统一社会信用代码(org_unit.usci)(MyBatis-Generator)
     *
     * @param usci 统一社会信用代码
     */
    public void setUsci(String usci){
        this.usci = usci;
    }

    /**
     * 获取 纳税人识别号(org_unit.tax_id)(MyBatis-Generator)
     *
     * @return 纳税人识别号
     */
    public String getTaxId(){
        return taxId;
    }

    /**
     * 设置 纳税人识别号(org_unit.tax_id)(MyBatis-Generator)
     *
     * @param taxId 纳税人识别号
     */
    public void setTaxId(String taxId){
        this.taxId = taxId;
    }

    /**
     * 获取 组织机构代码(org_unit.org_code)(MyBatis-Generator)
     *
     * @return 组织机构代码
     */
    public String getOrgCode(){
        return orgCode;
    }

    /**
     * 设置 组织机构代码(org_unit.org_code)(MyBatis-Generator)
     *
     * @param orgCode 组织机构代码
     */
    public void setOrgCode(String orgCode){
        this.orgCode = orgCode;
    }

    /**
     * 获取 电话:多个(org_unit.phones)(MyBatis-Generator)
     *
     * @return 电话:多个
     */
    public JObject<List<String>> getPhones(){
        return phones;
    }

    /**
     * 设置 电话:多个(org_unit.phones)(MyBatis-Generator)
     *
     * @param phones 电话:多个
     */
    public void setPhones(JObject<List<String>> phones){
        this.phones = phones;
    }

    /**
     * 获取 邮箱:多个(org_unit.emails)(MyBatis-Generator)
     *
     * @return 邮箱:多个
     */
    public JObject<List<String>> getEmails(){
        return emails;
    }

    /**
     * 设置 邮箱:多个(org_unit.emails)(MyBatis-Generator)
     *
     * @param emails 邮箱:多个
     */
    public void setEmails(JObject<List<String>> emails){
        this.emails = emails;
    }

    /**
     * 获取 国家/地区(org_unit.national)(MyBatis-Generator)
     *
     * @return 国家/地区
     */
    public String getNational(){
        return national;
    }

    /**
     * 设置 国家/地区(org_unit.national)(MyBatis-Generator)
     *
     * @param national 国家/地区
     */
    public void setNational(String national){
        this.national = national;
    }

    /**
     * 获取 组织地址(org_unit.address)(MyBatis-Generator)
     *
     * @return 组织地址
     */
    public String getAddress(){
        return address;
    }

    /**
     * 设置 组织地址(org_unit.address)(MyBatis-Generator)
     *
     * @param address 组织地址
     */
    public void setAddress(String address){
        this.address = address;
    }

    /**
     * 获取 位置信息:经度(org_unit.longitude)(MyBatis-Generator)
     *
     * @return 位置信息:经度
     */
    public BigDecimal getLongitude(){
        return longitude;
    }

    /**
     * 设置 位置信息:经度(org_unit.longitude)(MyBatis-Generator)
     *
     * @param longitude 位置信息:经度
     */
    public void setLongitude(BigDecimal longitude){
        this.longitude = longitude;
    }

    /**
     * 获取 位置信息:纬度(org_unit.latitude)(MyBatis-Generator)
     *
     * @return 位置信息:纬度
     */
    public BigDecimal getLatitude(){
        return latitude;
    }

    /**
     * 设置 位置信息:纬度(org_unit.latitude)(MyBatis-Generator)
     *
     * @param latitude 位置信息:纬度
     */
    public void setLatitude(BigDecimal latitude){
        this.latitude = latitude;
    }

    /**
     * 获取 网址(org_unit.website)(MyBatis-Generator)
     *
     * @return 网址
     */
    public String getWebsite(){
        return website;
    }

    /**
     * 设置 网址(org_unit.website)(MyBatis-Generator)
     *
     * @param website 网址
     */
    public void setWebsite(String website){
        this.website = website;
    }

    /**
     * 获取 描述(org_unit.description)(MyBatis-Generator)
     *
     * @return 描述
     */
    public String getDescription(){
        return description;
    }

    /**
     * 设置 描述(org_unit.description)(MyBatis-Generator)
     *
     * @param description 描述
     */
    public void setDescription(String description){
        this.description = description;
    }

    /**
     * 获取 状态(org_unit.state)(MyBatis-Generator)
     *
     * @return 状态
     */
    public Integer getState(){
        return state;
    }

    /**
     * 设置 状态(org_unit.state)(MyBatis-Generator)
     *
     * @param state 状态
     */
    public void setState(Integer state){
        this.state = state;
    }

    /**
     * 获取 法人(org_unit.legal_person)(MyBatis-Generator)
     *
     * @return 法人
     */
    public String getLegalPerson(){
        return legalPerson;
    }

    /**
     * 设置 法人(org_unit.legal_person)(MyBatis-Generator)
     *
     * @param legalPerson 法人
     */
    public void setLegalPerson(String legalPerson){
        this.legalPerson = legalPerson;
    }

    /**
     * 获取 行业(org_unit.industry)(MyBatis-Generator)
     *
     * @return 行业
     */
    public String getIndustry(){
        return industry;
    }

    /**
     * 设置 行业(org_unit.industry)(MyBatis-Generator)
     *
     * @param industry 行业
     */
    public void setIndustry(String industry){
        this.industry = industry;
    }

    /**
     * 获取 组织规模(org_unit.scale)(MyBatis-Generator)
     *
     * @return 组织规模
     */
    public String getScale(){
        return scale;
    }

    /**
     * 设置 组织规模(org_unit.scale)(MyBatis-Generator)
     *
     * @param scale 组织规模
     */
    public void setScale(String scale){
        this.scale = scale;
    }

    /**
     * 获取 组织证照:类型(org_unit.license_type)(MyBatis-Generator)
     *
     * @return 组织证照:类型
     */
    public String getLicenseType(){
        return licenseType;
    }

    /**
     * 设置 组织证照:类型(org_unit.license_type)(MyBatis-Generator)
     *
     * @param licenseType 组织证照:类型
     */
    public void setLicenseType(String licenseType){
        this.licenseType = licenseType;
    }

    /**
     * 获取 组织证照:号码(org_unit.license_no)(MyBatis-Generator)
     *
     * @return 组织证照:号码
     */
    public String getLicenseNo(){
        return licenseNo;
    }

    /**
     * 设置 组织证照:号码(org_unit.license_no)(MyBatis-Generator)
     *
     * @param licenseNo 组织证照:号码
     */
    public void setLicenseNo(String licenseNo){
        this.licenseNo = licenseNo;
    }

    /**
     * 获取 组织证照:颁发机构(org_unit.license_pub_org)(MyBatis-Generator)
     *
     * @return 组织证照:颁发机构
     */
    public String getLicensePubOrg(){
        return licensePubOrg;
    }

    /**
     * 设置 组织证照:颁发机构(org_unit.license_pub_org)(MyBatis-Generator)
     *
     * @param licensePubOrg 组织证照:颁发机构
     */
    public void setLicensePubOrg(String licensePubOrg){
        this.licensePubOrg = licensePubOrg;
    }

    /**
     * 获取 组织证照:注册地(org_unit.license_reg_area)(MyBatis-Generator)
     *
     * @return 组织证照:注册地
     */
    public String getLicenseRegArea(){
        return licenseRegArea;
    }

    /**
     * 设置 组织证照:注册地(org_unit.license_reg_area)(MyBatis-Generator)
     *
     * @param licenseRegArea 组织证照:注册地
     */
    public void setLicenseRegArea(String licenseRegArea){
        this.licenseRegArea = licenseRegArea;
    }

    /**
     * 获取 组织证照:颁发时间(org_unit.license_reg_time)(MyBatis-Generator)
     *
     * @return 组织证照:颁发时间
     */
    public Date getLicenseRegTime(){
        return licenseRegTime;
    }

    /**
     * 设置 组织证照:颁发时间(org_unit.license_reg_time)(MyBatis-Generator)
     *
     * @param licenseRegTime 组织证照:颁发时间
     */
    public void setLicenseRegTime(Date licenseRegTime){
        this.licenseRegTime = licenseRegTime;
    }

    /**
     * 获取 组织证照:注册资本(org_unit.license_reg_capital)(MyBatis-Generator)
     *
     * @return 组织证照:注册资本
     */
    public String getLicenseRegCapital(){
        return licenseRegCapital;
    }

    /**
     * 设置 组织证照:注册资本(org_unit.license_reg_capital)(MyBatis-Generator)
     *
     * @param licenseRegCapital 组织证照:注册资本
     */
    public void setLicenseRegCapital(String licenseRegCapital){
        this.licenseRegCapital = licenseRegCapital;
    }

    /**
     * 获取 组织证照:允许经营范围(org_unit.license_bus_scope)(MyBatis-Generator)
     *
     * @return 组织证照:允许经营范围
     */
    public String getLicenseBusScope(){
        return licenseBusScope;
    }

    /**
     * 设置 组织证照:允许经营范围(org_unit.license_bus_scope)(MyBatis-Generator)
     *
     * @param licenseBusScope 组织证照:允许经营范围
     */
    public void setLicenseBusScope(String licenseBusScope){
        this.licenseBusScope = licenseBusScope;
    }

    /**
     * 获取 组织证照:状态(org_unit.license_state)(MyBatis-Generator)
     *
     * @return 组织证照:状态
     */
    public String getLicenseState(){
        return licenseState;
    }

    /**
     * 设置 组织证照:状态(org_unit.license_state)(MyBatis-Generator)
     *
     * @param licenseState 组织证照:状态
     */
    public void setLicenseState(String licenseState){
        this.licenseState = licenseState;
    }

    /**
     * 获取 组织证照:成立时间(org_unit.license_create_time)(MyBatis-Generator)
     *
     * @return 组织证照:成立时间
     */
    public Date getLicenseCreateTime(){
        return licenseCreateTime;
    }

    /**
     * 设置 组织证照:成立时间(org_unit.license_create_time)(MyBatis-Generator)
     *
     * @param licenseCreateTime 组织证照:成立时间
     */
    public void setLicenseCreateTime(Date licenseCreateTime){
        this.licenseCreateTime = licenseCreateTime;
    }

    /**
     * 获取 组织证照:证件有效期开始时间(org_unit.license_start_time)(MyBatis-Generator)
     *
     * @return 组织证照:证件有效期开始时间
     */
    public Date getLicenseStartTime(){
        return licenseStartTime;
    }

    /**
     * 设置 组织证照:证件有效期开始时间(org_unit.license_start_time)(MyBatis-Generator)
     *
     * @param licenseStartTime 组织证照:证件有效期开始时间
     */
    public void setLicenseStartTime(Date licenseStartTime){
        this.licenseStartTime = licenseStartTime;
    }

    /**
     * 获取 组织证照:证件有效期到期时间(org_unit.license_end_time)(MyBatis-Generator)
     *
     * @return 组织证照:证件有效期到期时间
     */
    public Date getLicenseEndTime(){
        return licenseEndTime;
    }

    /**
     * 设置 组织证照:证件有效期到期时间(org_unit.license_end_time)(MyBatis-Generator)
     *
     * @param licenseEndTime 组织证照:证件有效期到期时间
     */
    public void setLicenseEndTime(Date licenseEndTime){
        this.licenseEndTime = licenseEndTime;
    }

    /**
     * 获取 组织证照:附件(org_unit.license_resource)(MyBatis-Generator)
     *
     * @return 组织证照:附件
     */
    public String getLicenseResource(){
        return licenseResource;
    }

    /**
     * 设置 组织证照:附件(org_unit.license_resource)(MyBatis-Generator)
     *
     * @param licenseResource 组织证照:附件
     */
    public void setLicenseResource(String licenseResource){
        this.licenseResource = licenseResource;
    }

    /**
     * 获取 logo(org_unit.logo_resource)(MyBatis-Generator)
     *
     * @return logo
     */
    public JObject<List<String>> getLogoResource(){
        return logoResource;
    }

    /**
     * 设置 logo(org_unit.logo_resource)(MyBatis-Generator)
     *
     * @param logoResource logo
     */
    public void setLogoResource(JObject<List<String>> logoResource){
        this.logoResource = logoResource;
    }

    /**
     * 获取 形象图片(org_unit.image_resource)(MyBatis-Generator)
     *
     * @return 形象图片
     */
    public JObject<List<String>> getImageResource(){
        return imageResource;
    }

    /**
     * 设置 形象图片(org_unit.image_resource)(MyBatis-Generator)
     *
     * @param imageResource 形象图片
     */
    public void setImageResource(JObject<List<String>> imageResource){
        this.imageResource = imageResource;
    }

    /**
     * 获取 登录页封面图片(org_unit.login_resource)(MyBatis-Generator)
     *
     * @return 登录页封面图片
     */
    public JObject<List<String>> getLoginResource(){
        return loginResource;
    }

    /**
     * 设置 登录页封面图片(org_unit.login_resource)(MyBatis-Generator)
     *
     * @param loginResource 登录页封面图片
     */
    public void setLoginResource(JObject<List<String>> loginResource){
        this.loginResource = loginResource;
    }

    /**
     * 获取 企业商标(org_unit.trademark_resource)(MyBatis-Generator)
     *
     * @return 企业商标
     */
    public JObject<List<String>> getTrademarkResource(){
        return trademarkResource;
    }

    /**
     * 设置 企业商标(org_unit.trademark_resource)(MyBatis-Generator)
     *
     * @param trademarkResource 企业商标
     */
    public void setTrademarkResource(JObject<List<String>> trademarkResource){
        this.trademarkResource = trademarkResource;
    }

    /**
     * 获取 扩展字段1(org_unit.ext1)(MyBatis-Generator)
     *
     * @return 扩展字段1
     */
    public String getExt1(){
        return ext1;
    }

    /**
     * 设置 扩展字段1(org_unit.ext1)(MyBatis-Generator)
     *
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1){
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(org_unit.ext2)(MyBatis-Generator)
     *
     * @return 扩展字段2
     */
    public String getExt2(){
        return ext2;
    }

    /**
     * 设置 扩展字段2(org_unit.ext2)(MyBatis-Generator)
     *
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2){
        this.ext2 = ext2;
    }

    /**
     * 获取 扩展字段3(org_unit.ext3)(MyBatis-Generator)
     *
     * @return 扩展字段3
     */
    public JObject<Map<String, Object>> getExt3(){
        return ext3;
    }

    /**
     * 设置 扩展字段3(org_unit.ext3)(MyBatis-Generator)
     *
     * @param ext3 扩展字段3
     */
    public void setExt3(JObject<Map<String, Object>> ext3){
        this.ext3 = ext3;
    }

    /**
     * 获取 创建时间(org_unit.gmt_create)(MyBatis-Generator)
     *
     * @return 创建时间
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * 设置 创建时间(org_unit.gmt_create)(MyBatis-Generator)
     *
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 更新时间(org_unit.gmt_modified)(MyBatis-Generator)
     *
     * @return 更新时间
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * 设置 更新时间(org_unit.gmt_modified)(MyBatis-Generator)
     *
     * @param gmtModified 更新时间
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(org_unit.sys_id)(MyBatis-Generator)
     *
     * @return 系统ID
     */
    public String getSysId(){
        return sysId;
    }

    /**
     * 设置 系统ID(org_unit.sys_id)(MyBatis-Generator)
     *
     * @param sysId 系统ID
     */
    public void setSysId(String sysId){
        this.sysId = sysId;
    }

    /**
     * 组织表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that){
        if(this == that){
            return true;
        }
        if(that == null){
            return false;
        }
        if(getClass() != that.getClass()){
            return false;
        }
        OrgUnit other = (OrgUnit) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId())) &&
                (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName())) &&
                (this.getOtherName() == null ? other.getOtherName() == null :
                        this.getOtherName().equals(other.getOtherName())) &&
                (this.getEnName() == null ? other.getEnName() == null : this.getEnName().equals(other.getEnName())) &&
                (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType())) &&
                (this.getUsci() == null ? other.getUsci() == null : this.getUsci().equals(other.getUsci())) &&
                (this.getTaxId() == null ? other.getTaxId() == null : this.getTaxId().equals(other.getTaxId())) &&
                (this.getOrgCode() == null ? other.getOrgCode() == null :
                        this.getOrgCode().equals(other.getOrgCode())) &&
                (this.getPhones() == null ? other.getPhones() == null : this.getPhones().equals(other.getPhones())) &&
                (this.getEmails() == null ? other.getEmails() == null : this.getEmails().equals(other.getEmails())) &&
                (this.getNational() == null ? other.getNational() == null :
                        this.getNational().equals(other.getNational())) &&
                (this.getAddress() == null ? other.getAddress() == null :
                        this.getAddress().equals(other.getAddress())) &&
                (this.getLongitude() == null ? other.getLongitude() == null :
                        this.getLongitude().equals(other.getLongitude())) &&
                (this.getLatitude() == null ? other.getLatitude() == null :
                        this.getLatitude().equals(other.getLatitude())) &&
                (this.getWebsite() == null ? other.getWebsite() == null :
                        this.getWebsite().equals(other.getWebsite())) &&
                (this.getDescription() == null ? other.getDescription() == null :
                        this.getDescription().equals(other.getDescription())) &&
                (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState())) &&
                (this.getLegalPerson() == null ? other.getLegalPerson() == null :
                        this.getLegalPerson().equals(other.getLegalPerson())) &&
                (this.getIndustry() == null ? other.getIndustry() == null :
                        this.getIndustry().equals(other.getIndustry())) &&
                (this.getScale() == null ? other.getScale() == null : this.getScale().equals(other.getScale())) &&
                (this.getLicenseType() == null ? other.getLicenseType() == null :
                        this.getLicenseType().equals(other.getLicenseType())) &&
                (this.getLicenseNo() == null ? other.getLicenseNo() == null :
                        this.getLicenseNo().equals(other.getLicenseNo())) &&
                (this.getLicensePubOrg() == null ? other.getLicensePubOrg() == null :
                        this.getLicensePubOrg().equals(other.getLicensePubOrg())) &&
                (this.getLicenseRegArea() == null ? other.getLicenseRegArea() == null :
                        this.getLicenseRegArea().equals(other.getLicenseRegArea())) &&
                (this.getLicenseRegTime() == null ? other.getLicenseRegTime() == null :
                        this.getLicenseRegTime().equals(other.getLicenseRegTime())) &&
                (this.getLicenseRegCapital() == null ? other.getLicenseRegCapital() == null :
                        this.getLicenseRegCapital().equals(other.getLicenseRegCapital())) &&
                (this.getLicenseBusScope() == null ? other.getLicenseBusScope() == null :
                        this.getLicenseBusScope().equals(other.getLicenseBusScope())) &&
                (this.getLicenseState() == null ? other.getLicenseState() == null :
                        this.getLicenseState().equals(other.getLicenseState())) &&
                (this.getLicenseCreateTime() == null ? other.getLicenseCreateTime() == null :
                        this.getLicenseCreateTime().equals(other.getLicenseCreateTime())) &&
                (this.getLicenseStartTime() == null ? other.getLicenseStartTime() == null :
                        this.getLicenseStartTime().equals(other.getLicenseStartTime())) &&
                (this.getLicenseEndTime() == null ? other.getLicenseEndTime() == null :
                        this.getLicenseEndTime().equals(other.getLicenseEndTime())) &&
                (this.getLicenseResource() == null ? other.getLicenseResource() == null :
                        this.getLicenseResource().equals(other.getLicenseResource())) &&
                (this.getLogoResource() == null ? other.getLogoResource() == null :
                        this.getLogoResource().equals(other.getLogoResource())) &&
                (this.getImageResource() == null ? other.getImageResource() == null :
                        this.getImageResource().equals(other.getImageResource())) &&
                (this.getLoginResource() == null ? other.getLoginResource() == null :
                        this.getLoginResource().equals(other.getLoginResource())) &&
                (this.getTrademarkResource() == null ? other.getTrademarkResource() == null :
                        this.getTrademarkResource().equals(other.getTrademarkResource())) &&
                (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1())) &&
                (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2())) &&
                (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3())) &&
                (this.getGmtCreate() == null ? other.getGmtCreate() == null :
                        this.getGmtCreate().equals(other.getGmtCreate())) &&
                (this.getGmtModified() == null ? other.getGmtModified() == null :
                        this.getGmtModified().equals(other.getGmtModified())) &&
                (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 组织表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode(){
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getOtherName() == null) ? 0 : getOtherName().hashCode());
        result = prime * result + ((getEnName() == null) ? 0 : getEnName().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getUsci() == null) ? 0 : getUsci().hashCode());
        result = prime * result + ((getTaxId() == null) ? 0 : getTaxId().hashCode());
        result = prime * result + ((getOrgCode() == null) ? 0 : getOrgCode().hashCode());
        result = prime * result + ((getPhones() == null) ? 0 : getPhones().hashCode());
        result = prime * result + ((getEmails() == null) ? 0 : getEmails().hashCode());
        result = prime * result + ((getNational() == null) ? 0 : getNational().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        result = prime * result + ((getLongitude() == null) ? 0 : getLongitude().hashCode());
        result = prime * result + ((getLatitude() == null) ? 0 : getLatitude().hashCode());
        result = prime * result + ((getWebsite() == null) ? 0 : getWebsite().hashCode());
        result = prime * result + ((getDescription() == null) ? 0 : getDescription().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getLegalPerson() == null) ? 0 : getLegalPerson().hashCode());
        result = prime * result + ((getIndustry() == null) ? 0 : getIndustry().hashCode());
        result = prime * result + ((getScale() == null) ? 0 : getScale().hashCode());
        result = prime * result + ((getLicenseType() == null) ? 0 : getLicenseType().hashCode());
        result = prime * result + ((getLicenseNo() == null) ? 0 : getLicenseNo().hashCode());
        result = prime * result + ((getLicensePubOrg() == null) ? 0 : getLicensePubOrg().hashCode());
        result = prime * result + ((getLicenseRegArea() == null) ? 0 : getLicenseRegArea().hashCode());
        result = prime * result + ((getLicenseRegTime() == null) ? 0 : getLicenseRegTime().hashCode());
        result = prime * result + ((getLicenseRegCapital() == null) ? 0 : getLicenseRegCapital().hashCode());
        result = prime * result + ((getLicenseBusScope() == null) ? 0 : getLicenseBusScope().hashCode());
        result = prime * result + ((getLicenseState() == null) ? 0 : getLicenseState().hashCode());
        result = prime * result + ((getLicenseCreateTime() == null) ? 0 : getLicenseCreateTime().hashCode());
        result = prime * result + ((getLicenseStartTime() == null) ? 0 : getLicenseStartTime().hashCode());
        result = prime * result + ((getLicenseEndTime() == null) ? 0 : getLicenseEndTime().hashCode());
        result = prime * result + ((getLicenseResource() == null) ? 0 : getLicenseResource().hashCode());
        result = prime * result + ((getLogoResource() == null) ? 0 : getLogoResource().hashCode());
        result = prime * result + ((getImageResource() == null) ? 0 : getImageResource().hashCode());
        result = prime * result + ((getLoginResource() == null) ? 0 : getLoginResource().hashCode());
        result = prime * result + ((getTrademarkResource() == null) ? 0 : getTrademarkResource().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 组织表 toString(MyBatis-Generator)
     */
    @Override
    public String toString(){
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", otherName=").append(otherName);
        sb.append(", enName=").append(enName);
        sb.append(", type=").append(type);
        sb.append(", usci=").append(usci);
        sb.append(", taxId=").append(taxId);
        sb.append(", orgCode=").append(orgCode);
        sb.append(", phones=").append(phones);
        sb.append(", emails=").append(emails);
        sb.append(", national=").append(national);
        sb.append(", address=").append(address);
        sb.append(", longitude=").append(longitude);
        sb.append(", latitude=").append(latitude);
        sb.append(", website=").append(website);
        sb.append(", description=").append(description);
        sb.append(", state=").append(state);
        sb.append(", legalPerson=").append(legalPerson);
        sb.append(", industry=").append(industry);
        sb.append(", scale=").append(scale);
        sb.append(", licenseType=").append(licenseType);
        sb.append(", licenseNo=").append(licenseNo);
        sb.append(", licensePubOrg=").append(licensePubOrg);
        sb.append(", licenseRegArea=").append(licenseRegArea);
        sb.append(", licenseRegTime=").append(licenseRegTime);
        sb.append(", licenseRegCapital=").append(licenseRegCapital);
        sb.append(", licenseBusScope=").append(licenseBusScope);
        sb.append(", licenseState=").append(licenseState);
        sb.append(", licenseCreateTime=").append(licenseCreateTime);
        sb.append(", licenseStartTime=").append(licenseStartTime);
        sb.append(", licenseEndTime=").append(licenseEndTime);
        sb.append(", licenseResource=").append(licenseResource);
        sb.append(", logoResource=").append(logoResource);
        sb.append(", imageResource=").append(imageResource);
        sb.append(", loginResource=").append(loginResource);
        sb.append(", trademarkResource=").append(trademarkResource);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

}