package com.kingtom.kirin.app.security.base;

import com.kingtom.kirin.app.system.SystemConst;
import lombok.Data;

/**
 * 会话安全模块</p>
 * 登录认证的参数</p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/6 17:44
 */
@Data
public class Authentication{

    /**
     * 令牌类型
     */
    private SystemConst.AuthcRealmTypeEnum authcRealmTypeEnum;

    private String principal;

    private String credentials;

    /**
     * 回填：登录的用户ID，实际是systemUser.id.
     */
    private String userId;

    /**
     * 会签登录认证的方式
     */
    private SystemConst.UserSecurityTypeEnum authTypeEnum;

    /**
     * 回填登录认证是否成功；
     */
    private boolean isUsed;
}
