package com.kingtom.kirin.app.security.base;

import com.kingtom.kirin.app.system.SystemConst;

/**
 * 会话安全模块</p>
 * 账户认证方式的 认证令牌</p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/4 18:33
 */
public interface IAuthcRealm{
    /**
     * 是否支持本凭证
     *
     * @return
     */
    SystemConst.AuthcRealmTypeEnum support();

    /**
     * 认证
     *
     * @param custom
     * @param encode
     * @return
     */
    Authentication doAuth(Authentication custom, IAuthEncode encode);

}
