package com.kingtom.kirin.app.security.base;


import java.util.List;

import com.kingtom.kirin.app.auth.model.AuthPermission;
import com.kingtom.kirin.core.resource.ResourceConst;

/**
 * 会话安全模块</p>
 * 权限码的加载器</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023 /8/31
 */
public interface IPermissionLoader{

    /**
     * 声明支持加载的权限资源类型.
     *
     * @return the resource const . resource type enum
     */
    public ResourceConst.ResourceTypeEnum define();

    /**
     * 解释权限为权限码.
     *
     * @param list the list
     * @return the list
     */
    public List<String> parsePermission(List<AuthPermission> list);

}
