package com.kingtom.kirin.app.security.base;


import com.kingtom.kirin.core.common.CommonConst;
import org.springframework.core.Ordered;

/**
 * 会话安全模块</p>
 * 会话数据加载器</p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/17 16:48
 */
public interface ISessionDataLoader extends Ordered{

    @Override
    default int getOrder(){
        return CommonConst.INT_0;
    }

    /**
     * 登录时
     *
     * @param data
     */
    default void onLogin(SessionData data){
    }

    /**
     * 获取数据时
     *
     * @param data
     */
    default void onLoad(SessionData data){
    }

    /**
     * 退出时
     *
     * @param data
     */
    default void onLogout(SessionData data){
    }

}
