package com.kingtom.kirin.app.security.base;

import lombok.Data;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/8/25
 */
@Data
public class SessionData {

    private String token;

    /**
     * system user id
     */
    private String userId;

    /**
     * system id
     */
    private String sysId;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 按照模块和账户关联的需要加载的信息
     */
    private Map<String, Object> attr = new LinkedHashMap<>();

    public void putAttr(String key, Object obj){
        attr.put(key, obj);
    }

    public <T> T getAttr(String key){
        return (T) attr.get(key);
    }

    public void changeUser(String userId, String phone, String systemId){
        this.attr.clear();
        this.userId = userId;
        this.phone = phone;
        this.sysId = systemId;
    }

    public static SessionData build(String token, String userId, String sysId){
        SessionData r = new SessionData();
        r.setToken(token);
        r.setUserId(userId);
        r.setSysId(sysId);
        return r;
    }

}
