package com.kingtom.kirin.app.security.base.crypto;

import com.kingtom.kirin.app.security.SecurityConst;

/**
 * 会话安全模块</p>
 * 加解密算法</p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023 /6/4 19:17
 */
public interface ISecurityCrypto{

    /**
     * Gets key.
     *
     * @param keyTypeEnum the key type enum
     * @return the key
     */
    public String getKey(SecurityConst.KeyTypeEnum keyTypeEnum);

    /**
     * Encode string.
     *
     * @param data        the data
     * @param keyTypeEnum the key type enum
     * @return the string
     */
    public String encode(String data, SecurityConst.KeyTypeEnum keyTypeEnum);

    /**
     * Decode string.
     *
     * @param data        the data
     * @param keyTypeEnum the key type enum
     * @return the string
     */
    public String decode(String data, SecurityConst.KeyTypeEnum keyTypeEnum);

}
