package com.kingtom.kirin.app.security.base.crypto;

import java.nio.charset.StandardCharsets;

import cn.hutool.crypto.digest.MD5;
import com.kingtom.kirin.app.security.SecurityConst;
import com.kingtom.kirin.core.common.exception.AppException;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/11/6
 */
public class Md5Crypto implements ISecurityCrypto{

    private static final MD5 md5 = new MD5("salt".getBytes(), 0, 64);


    private volatile static Md5Crypto instance;


    private Md5Crypto(){

    }


    /**
     * 单例模式
     *
     * @return
     */
    public static Md5Crypto getInstance(){
        if(instance == null){
            synchronized(Md5Crypto.class){
                if(instance == null){
                    instance = new Md5Crypto();
                }
            }
        }
        return instance;
    }

    @Override
    public String getKey(SecurityConst.KeyTypeEnum keyTypeEnum){
        return null;
    }

    @Override
    public String encode(String data, SecurityConst.KeyTypeEnum keyTypeEnum){
        return md5.digestHex(data, StandardCharsets.UTF_8);
    }

    @Override
    public String decode(String data, SecurityConst.KeyTypeEnum keyTypeEnum){
        throw new AppException("MD5摘要算法暂不支持解密！");
    }

}
