package com.kingtom.kirin.app.security.service;

import com.kingtom.kirin.app.security.base.IAuthcRealm;
import com.kingtom.kirin.app.security.base.IPermissionLoader;
import com.kingtom.kirin.app.security.base.ISessionDataLoader;
import com.kingtom.kirin.app.system.SystemConst;
import com.kingtom.kirin.core.common.exception.AppException;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import java.util.function.Consumer;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 安全相关的容器
 * @author King
 * @since 2023/11/6 15:09
 */
public interface ISecurityContainerService {

    void registerRealm(IAuthcRealm realm);

    IAuthcRealm getRealm(SystemConst.AuthcRealmTypeEnum key);

    /**
     * 注册安全监听
     *
     * @param loader the loader
     */
    void registerSessionLoader(ISessionDataLoader loader);

    void foreachSessionLoader(Consumer<ISessionDataLoader> action);

    void registerPermissionLoader(IPermissionLoader loader);

    void foreachPermissionLoader(Consumer<IPermissionLoader> function);
}
