package com.kingtom.kirin.app.security.utils;

import com.kingtom.kirin.app.security.SecurityConst;
import com.kingtom.kirin.app.security.base.crypto.Md5Crypto;
import com.kingtom.kirin.app.security.base.crypto.RsaCrypto;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/11/6 15:38
 */
public class SecurityUtils{

    public static String md5Encode(String data){
        return Md5Crypto.getInstance().encode(data, null);
    }

    public static String getRsaPublicKey(){
        return RsaCrypto.getInstance().getKey(SecurityConst.KeyTypeEnum.PublicKey);
    }

    public static String getRsaPrivateKey(){
        return RsaCrypto.getInstance().getKey(SecurityConst.KeyTypeEnum.PrivateKey);
    }

    public static String rsaPublicKeyEncode(String data){
        return RsaCrypto.getInstance().encode(data, SecurityConst.KeyTypeEnum.PublicKey);
    }

    public static String rsaPublicKeyDecode(String data){
        return RsaCrypto.getInstance().decode(data, SecurityConst.KeyTypeEnum.PublicKey);
    }

    public static String rsaPrivateKeyEncode(String data){
        return RsaCrypto.getInstance().encode(data, SecurityConst.KeyTypeEnum.PrivateKey);
    }

    public static String rsaPrivateKeyDecode(String data){
        return RsaCrypto.getInstance().decode(data, SecurityConst.KeyTypeEnum.PrivateKey);
    }

}
