package com.kingtom.kirin.app.space;

import com.kingtom.kirin.core.common.base.IBaseEnum;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/13 11:47
 */
public class SpaceConst {

    private SpaceConst(){}

    public static final String STORAGE_AREA_DEFAULT_ID = "0";
    public static final String STORAGE_AREA_DEFAULT_NAME = "area_0";

    /** 文件处理扩展：压缩图片 */
    public static final String EXT_CompressPictures ="CompressPictures";

    public static enum SpaceFileStorageEncodeEnum implements IBaseEnum<String> {
        No("No", "无编码");

        private String key;

        private String name;

        SpaceFileStorageEncodeEnum(String k, String n) {
            key = k;
            name = n;
        }

        @Override
        public String getKey() {
            return key;
        }

        @Override
        public String getName() {
            return name;
        }

        public static SpaceFileStorageEncodeEnum findEnumByKey(String k) {
            return IBaseEnum.findEnumByKey(SpaceFileStorageEncodeEnum.class, k);
        }
    }

}
