package com.kingtom.kirin.app.space.base;

import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.io.InputStream;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/13 10:48
 */
public class MultipartFileSource implements IFileSource {

    private MultipartFile multipartFile;

    public MultipartFileSource(MultipartFile multipartFile) {
        this.multipartFile = multipartFile;
    }

    @Override
    public String getFileName() {
        return multipartFile.getOriginalFilename();
    }

    @Override
    public String getContentType() {
        return multipartFile.getContentType();
    }

    @Override
    public InputStream getInputStream() throws IOException {
        return multipartFile.getInputStream();
    }
}
