package com.kingtom.kirin.app.space.base;

import cn.hutool.core.util.StrUtil;
import com.kingtom.kirin.app.space.model.SpaceFile;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/13 12:11
 */
public class SpaceFileReadFileSource implements IFileSource {

    private File source;

    private SpaceFile spaceFile;

    private Boolean ori = Boolean.FALSE;

    private String httpUrl;
    private String derivativeHttpUrl;

    public SpaceFileReadFileSource(SpaceFile file, File source) {
        this(file,source,null,null);
    }

    public SpaceFileReadFileSource(SpaceFile file, File source, String httpUrl, String derivativeHttpUrl) {
        this.source = source;
        this.spaceFile = file;
        this.derivativeHttpUrl = derivativeHttpUrl;
        this.httpUrl = httpUrl;
    }

    public SpaceFileReadFileSource setOri(Boolean ori) {
        this.ori = ori;
        return this;
    }

    @Override
    public String getFileName() {
        return spaceFile.getName();
    }

    @Override
    public String getContentType() {
        return spaceFile.getFileType();
    }

    @Override
    public String getHttpUrl() {
        if(ori || StrUtil.isBlank(derivativeHttpUrl)) {
            return httpUrl;
        } else {
            return derivativeHttpUrl;
        }
    }

    @Override
    public InputStream getInputStream() throws IOException {
        InputStream fis = new FileInputStream(source);
        return fis;
    }
}
