package com.kingtom.kirin.app.space.service;

import cn.hutool.core.collection.CollectionUtil;
import com.kingtom.kirin.app.space.model.SpaceFile;
import jakarta.annotation.PostConstruct;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/8/29 17:18
 */
@Component
@Slf4j
public class SpaceCheckService {

    @Autowired
    private ISpaceService spaceService;

    @PostConstruct
    public void init(){
        clearTemp();
    }

    public void clearTemp() {
        List<SpaceFile> files = spaceService.findSpaceFilesOfTmp();
        int scount = 0;
        int fcount = 0;
        if(CollectionUtil.isNotEmpty(files)) {
            scount = files.size();
            for(SpaceFile f:files) {
                try{
                    spaceService.deleteSpaceFile(f.getId());
                } catch (Exception e) {
                    log.error("清理临时文件失败,fid="+f.getId(),e);
                    scount --;
                    fcount ++;
                }
            }
        }
        log.info("清理临时文件完成，成功"+scount+"条，失败"+fcount+"条");
    }

}
