package com.kingtom.kirin.app.system.event;

import com.kingtom.kirin.app.system.model.SystemInfo;
import com.kingtom.kirin.app.system.model.SystemUser;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/8/23 16:13
 */
public class SystemUserUpdateEvent extends SystemEvent{

    private SystemUser oldSystemUser;
    private String eventType;

    public static final String E_TYPE_1 = "信息更新";
    public static final String E_TYPE_2 = "状态变更";

    public SystemUserUpdateEvent(Object source, SystemUser oldSystemUser) {
        this(source,oldSystemUser,E_TYPE_1);
    }

    public SystemUserUpdateEvent(Object source, SystemUser oldSystemUser, String type) {
        super(source);
        this.oldSystemUser = oldSystemUser;
        if(E_TYPE_1.equals(type) || E_TYPE_2.equals(type)) {
            this.eventType = type;
        } else {
            throw new IllegalArgumentException("事件类型错误");
        }
    }

    public SystemUser getOldSystemUser() {
        return oldSystemUser;
    }

    public SystemUser getSystemUser() {
        return (SystemUser)getSource();
    }

    public String getEventType() {
        return eventType;
    }

}
