package com.kingtom.kirin.app.system.mapper;

import com.kingtom.kirin.app.system.model.SystemInfo;
import com.kingtom.kirin.app.system.model.SystemInfoExt3;
import com.kingtom.kirin.app.system.model.SystemUser;
import com.kingtom.kirin.app.system.model.SystemUserExt3;
import com.kingtom.kirin.core.common.json.JObject;
import com.kingtom.kirin.core.common.json.JObjectMapper;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/8/23 18:07
 */
@Mapper
public interface SystemMapper {

    SystemMapper INSTANCT = Mappers.getMapper(SystemMapper.class);

    default SystemInfo copyDepth(SystemInfo bean){
        SystemInfo r = SystemMapper.INSTANCT.copyBean(bean);
        if(r.getExt3() != null) {
            JObject<SystemInfoExt3> ext3 = JObjectMapper.INSTANCT.copyBean(r.getExt3());
            r.setExt3(ext3);
            SystemInfoExt3 e = SystemMapper.INSTANCT.copyBean(bean.getExt3().getE());
            r.getExt3().setE(e);
        }
        return r;
    };

    SystemInfo copyBean(SystemInfo info);

    SystemInfoExt3 copyBean(SystemInfoExt3 ext3);

    default SystemUser copyDepth(SystemUser bean){
        SystemUser r = SystemMapper.INSTANCT.copyBean(bean);
        if(r.getExt3() != null) {
            JObject<SystemUserExt3> ext3 = JObjectMapper.INSTANCT.copyBean(r.getExt3());
            r.setExt3(ext3);
            SystemUserExt3 e = SystemMapper.INSTANCT.copyBean(bean.getExt3().getE());
            r.getExt3().setE(e);
        }
        return r;
    }

    SystemUser copyBean(SystemUser bean);

    SystemUserExt3 copyBean(SystemUserExt3 bean);

}
