package com.kingtom.kirin.app.system.model;

import com.kingtom.kirin.core.common.json.JObject;
import java.io.Serializable;
import java.util.Date;

/**
* <p>
* Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
* Company: 成都诚唐科技有限公司<p>
* 系统信息表(system_info)(MyBatis-Generator)
* @author yangc
* @since 2023/8/24 03:05
*/
public class SystemInfo implements Serializable {
    /**
     * 系统id(system_info.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 系统名称(system_info.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * 系统别名(system_info.other_name)(MyBatis-Generator)
     */
    private String otherName;

    /**
     * 系统码(system_info.code)(MyBatis-Generator)
     */
    private String code;

    /**
     * 状态(system_info.state)(MyBatis-Generator)
     */
    private Integer state;

    /**
     * 系统logo(system_info.image_logo)(MyBatis-Generator)
     */
    private String imageLogo;

    /**
     * 系统背景图(system_info.image_background)(MyBatis-Generator)
     */
    private String imageBackground;

    /**
     * 系统类别(system_info.system_type)(MyBatis-Generator)
     */
    private String systemType;

    /**
     * 系统域名/IP(system_info.system_address)(MyBatis-Generator)
     */
    private String systemAddress;

    /**
     * 系统端口(system_info.system_port)(MyBatis-Generator)
     */
    private String systemPort;

    /**
     * 系统应用名(system_info.system_app)(MyBatis-Generator)
     */
    private String systemApp;

    /**
     * 系统协议(system_info.system_protocol)(MyBatis-Generator)
     */
    private String systemProtocol;

    /**
     * 系统web端域名/IP(system_info.system_web_address)(MyBatis-Generator)
     */
    private String systemWebAddress;

    /**
     * 系统web端端口(system_info.system_web_port)(MyBatis-Generator)
     */
    private String systemWebPort;

    /**
     * 系统web端应用名(system_info.system_web_app)(MyBatis-Generator)
     */
    private String systemWebApp;

    /**
     * 系统web端协议(system_info.system_web_protocol)(MyBatis-Generator)
     */
    private String systemWebProtocol;

    /**
     * 系统移动端域名/IP(system_info.system_mobile_address)(MyBatis-Generator)
     */
    private String systemMobileAddress;

    /**
     * 系统移动端端口(system_info.system_mobile_port)(MyBatis-Generator)
     */
    private String systemMobilePort;

    /**
     * 系统移动端应用名(system_info.system_mobile_app)(MyBatis-Generator)
     */
    private String systemMobileApp;

    /**
     * 系统移动端协议(system_info.system_mobile_protocol)(MyBatis-Generator)
     */
    private String systemMobileProtocol;

    /**
     * 备注(system_info.description)(MyBatis-Generator)
     */
    private String description;

    /**
     * 扩展字段1(system_info.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(system_info.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 扩展字段3(system_info.ext3)(MyBatis-Generator)
     */
    private JObject<SystemInfoExt3> ext3;

    /**
     * 创建时间(system_info.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 修改时间(system_info.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 系统id(system_info.id)(MyBatis-Generator)
     * @return 系统id
     */
    public String getId() {
        return id;
    }

    /**
     * 设置 系统id(system_info.id)(MyBatis-Generator)
     * @param id 系统id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取 系统名称(system_info.name)(MyBatis-Generator)
     * @return 系统名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置 系统名称(system_info.name)(MyBatis-Generator)
     * @param name 系统名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 系统别名(system_info.other_name)(MyBatis-Generator)
     * @return 系统别名
     */
    public String getOtherName() {
        return otherName;
    }

    /**
     * 设置 系统别名(system_info.other_name)(MyBatis-Generator)
     * @param otherName 系统别名
     */
    public void setOtherName(String otherName) {
        this.otherName = otherName;
    }

    /**
     * 获取 系统码(system_info.code)(MyBatis-Generator)
     * @return 系统码
     */
    public String getCode() {
        return code;
    }

    /**
     * 设置 系统码(system_info.code)(MyBatis-Generator)
     * @param code 系统码
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 获取 状态(system_info.state)(MyBatis-Generator)
     * @return 状态
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置 状态(system_info.state)(MyBatis-Generator)
     * @param state 状态
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 获取 系统logo(system_info.image_logo)(MyBatis-Generator)
     * @return 系统logo
     */
    public String getImageLogo() {
        return imageLogo;
    }

    /**
     * 设置 系统logo(system_info.image_logo)(MyBatis-Generator)
     * @param imageLogo 系统logo
     */
    public void setImageLogo(String imageLogo) {
        this.imageLogo = imageLogo;
    }

    /**
     * 获取 系统背景图(system_info.image_background)(MyBatis-Generator)
     * @return 系统背景图
     */
    public String getImageBackground() {
        return imageBackground;
    }

    /**
     * 设置 系统背景图(system_info.image_background)(MyBatis-Generator)
     * @param imageBackground 系统背景图
     */
    public void setImageBackground(String imageBackground) {
        this.imageBackground = imageBackground;
    }

    /**
     * 获取 系统类别(system_info.system_type)(MyBatis-Generator)
     * @return 系统类别
     */
    public String getSystemType() {
        return systemType;
    }

    /**
     * 设置 系统类别(system_info.system_type)(MyBatis-Generator)
     * @param systemType 系统类别
     */
    public void setSystemType(String systemType) {
        this.systemType = systemType;
    }

    /**
     * 获取 系统域名/IP(system_info.system_address)(MyBatis-Generator)
     * @return 系统域名/IP
     */
    public String getSystemAddress() {
        return systemAddress;
    }

    /**
     * 设置 系统域名/IP(system_info.system_address)(MyBatis-Generator)
     * @param systemAddress 系统域名/IP
     */
    public void setSystemAddress(String systemAddress) {
        this.systemAddress = systemAddress;
    }

    /**
     * 获取 系统端口(system_info.system_port)(MyBatis-Generator)
     * @return 系统端口
     */
    public String getSystemPort() {
        return systemPort;
    }

    /**
     * 设置 系统端口(system_info.system_port)(MyBatis-Generator)
     * @param systemPort 系统端口
     */
    public void setSystemPort(String systemPort) {
        this.systemPort = systemPort;
    }

    /**
     * 获取 系统应用名(system_info.system_app)(MyBatis-Generator)
     * @return 系统应用名
     */
    public String getSystemApp() {
        return systemApp;
    }

    /**
     * 设置 系统应用名(system_info.system_app)(MyBatis-Generator)
     * @param systemApp 系统应用名
     */
    public void setSystemApp(String systemApp) {
        this.systemApp = systemApp;
    }

    /**
     * 获取 系统协议(system_info.system_protocol)(MyBatis-Generator)
     * @return 系统协议
     */
    public String getSystemProtocol() {
        return systemProtocol;
    }

    /**
     * 设置 系统协议(system_info.system_protocol)(MyBatis-Generator)
     * @param systemProtocol 系统协议
     */
    public void setSystemProtocol(String systemProtocol) {
        this.systemProtocol = systemProtocol;
    }

    /**
     * 获取 系统web端域名/IP(system_info.system_web_address)(MyBatis-Generator)
     * @return 系统web端域名/IP
     */
    public String getSystemWebAddress() {
        return systemWebAddress;
    }

    /**
     * 设置 系统web端域名/IP(system_info.system_web_address)(MyBatis-Generator)
     * @param systemWebAddress 系统web端域名/IP
     */
    public void setSystemWebAddress(String systemWebAddress) {
        this.systemWebAddress = systemWebAddress;
    }

    /**
     * 获取 系统web端端口(system_info.system_web_port)(MyBatis-Generator)
     * @return 系统web端端口
     */
    public String getSystemWebPort() {
        return systemWebPort;
    }

    /**
     * 设置 系统web端端口(system_info.system_web_port)(MyBatis-Generator)
     * @param systemWebPort 系统web端端口
     */
    public void setSystemWebPort(String systemWebPort) {
        this.systemWebPort = systemWebPort;
    }

    /**
     * 获取 系统web端应用名(system_info.system_web_app)(MyBatis-Generator)
     * @return 系统web端应用名
     */
    public String getSystemWebApp() {
        return systemWebApp;
    }

    /**
     * 设置 系统web端应用名(system_info.system_web_app)(MyBatis-Generator)
     * @param systemWebApp 系统web端应用名
     */
    public void setSystemWebApp(String systemWebApp) {
        this.systemWebApp = systemWebApp;
    }

    /**
     * 获取 系统web端协议(system_info.system_web_protocol)(MyBatis-Generator)
     * @return 系统web端协议
     */
    public String getSystemWebProtocol() {
        return systemWebProtocol;
    }

    /**
     * 设置 系统web端协议(system_info.system_web_protocol)(MyBatis-Generator)
     * @param systemWebProtocol 系统web端协议
     */
    public void setSystemWebProtocol(String systemWebProtocol) {
        this.systemWebProtocol = systemWebProtocol;
    }

    /**
     * 获取 系统移动端域名/IP(system_info.system_mobile_address)(MyBatis-Generator)
     * @return 系统移动端域名/IP
     */
    public String getSystemMobileAddress() {
        return systemMobileAddress;
    }

    /**
     * 设置 系统移动端域名/IP(system_info.system_mobile_address)(MyBatis-Generator)
     * @param systemMobileAddress 系统移动端域名/IP
     */
    public void setSystemMobileAddress(String systemMobileAddress) {
        this.systemMobileAddress = systemMobileAddress;
    }

    /**
     * 获取 系统移动端端口(system_info.system_mobile_port)(MyBatis-Generator)
     * @return 系统移动端端口
     */
    public String getSystemMobilePort() {
        return systemMobilePort;
    }

    /**
     * 设置 系统移动端端口(system_info.system_mobile_port)(MyBatis-Generator)
     * @param systemMobilePort 系统移动端端口
     */
    public void setSystemMobilePort(String systemMobilePort) {
        this.systemMobilePort = systemMobilePort;
    }

    /**
     * 获取 系统移动端应用名(system_info.system_mobile_app)(MyBatis-Generator)
     * @return 系统移动端应用名
     */
    public String getSystemMobileApp() {
        return systemMobileApp;
    }

    /**
     * 设置 系统移动端应用名(system_info.system_mobile_app)(MyBatis-Generator)
     * @param systemMobileApp 系统移动端应用名
     */
    public void setSystemMobileApp(String systemMobileApp) {
        this.systemMobileApp = systemMobileApp;
    }

    /**
     * 获取 系统移动端协议(system_info.system_mobile_protocol)(MyBatis-Generator)
     * @return 系统移动端协议
     */
    public String getSystemMobileProtocol() {
        return systemMobileProtocol;
    }

    /**
     * 设置 系统移动端协议(system_info.system_mobile_protocol)(MyBatis-Generator)
     * @param systemMobileProtocol 系统移动端协议
     */
    public void setSystemMobileProtocol(String systemMobileProtocol) {
        this.systemMobileProtocol = systemMobileProtocol;
    }

    /**
     * 获取 备注(system_info.description)(MyBatis-Generator)
     * @return 备注
     */
    public String getDescription() {
        return description;
    }

    /**
     * 设置 备注(system_info.description)(MyBatis-Generator)
     * @param description 备注
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * 获取 扩展字段1(system_info.ext1)(MyBatis-Generator)
     * @return 扩展字段1
     */
    public String getExt1() {
        return ext1;
    }

    /**
     * 设置 扩展字段1(system_info.ext1)(MyBatis-Generator)
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(system_info.ext2)(MyBatis-Generator)
     * @return 扩展字段2
     */
    public String getExt2() {
        return ext2;
    }

    /**
     * 设置 扩展字段2(system_info.ext2)(MyBatis-Generator)
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    /**
     * 获取 扩展字段3(system_info.ext3)(MyBatis-Generator)
     * @return 扩展字段3
     */
    public JObject<SystemInfoExt3> getExt3() {
        return ext3;
    }

    /**
     * 设置 扩展字段3(system_info.ext3)(MyBatis-Generator)
     * @param ext3 扩展字段3
     */
    public void setExt3(JObject<SystemInfoExt3> ext3) {
        this.ext3 = ext3;
    }

    /**
     * 获取 创建时间(system_info.gmt_create)(MyBatis-Generator)
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置 创建时间(system_info.gmt_create)(MyBatis-Generator)
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 修改时间(system_info.gmt_modified)(MyBatis-Generator)
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置 修改时间(system_info.gmt_modified)(MyBatis-Generator)
     * @param gmtModified 修改时间
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 系统信息表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        SystemInfo other = (SystemInfo) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getOtherName() == null ? other.getOtherName() == null : this.getOtherName().equals(other.getOtherName()))
            && (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getImageLogo() == null ? other.getImageLogo() == null : this.getImageLogo().equals(other.getImageLogo()))
            && (this.getImageBackground() == null ? other.getImageBackground() == null : this.getImageBackground().equals(other.getImageBackground()))
            && (this.getSystemType() == null ? other.getSystemType() == null : this.getSystemType().equals(other.getSystemType()))
            && (this.getSystemAddress() == null ? other.getSystemAddress() == null : this.getSystemAddress().equals(other.getSystemAddress()))
            && (this.getSystemPort() == null ? other.getSystemPort() == null : this.getSystemPort().equals(other.getSystemPort()))
            && (this.getSystemApp() == null ? other.getSystemApp() == null : this.getSystemApp().equals(other.getSystemApp()))
            && (this.getSystemProtocol() == null ? other.getSystemProtocol() == null : this.getSystemProtocol().equals(other.getSystemProtocol()))
            && (this.getSystemWebAddress() == null ? other.getSystemWebAddress() == null : this.getSystemWebAddress().equals(other.getSystemWebAddress()))
            && (this.getSystemWebPort() == null ? other.getSystemWebPort() == null : this.getSystemWebPort().equals(other.getSystemWebPort()))
            && (this.getSystemWebApp() == null ? other.getSystemWebApp() == null : this.getSystemWebApp().equals(other.getSystemWebApp()))
            && (this.getSystemWebProtocol() == null ? other.getSystemWebProtocol() == null : this.getSystemWebProtocol().equals(other.getSystemWebProtocol()))
            && (this.getSystemMobileAddress() == null ? other.getSystemMobileAddress() == null : this.getSystemMobileAddress().equals(other.getSystemMobileAddress()))
            && (this.getSystemMobilePort() == null ? other.getSystemMobilePort() == null : this.getSystemMobilePort().equals(other.getSystemMobilePort()))
            && (this.getSystemMobileApp() == null ? other.getSystemMobileApp() == null : this.getSystemMobileApp().equals(other.getSystemMobileApp()))
            && (this.getSystemMobileProtocol() == null ? other.getSystemMobileProtocol() == null : this.getSystemMobileProtocol().equals(other.getSystemMobileProtocol()))
            && (this.getDescription() == null ? other.getDescription() == null : this.getDescription().equals(other.getDescription()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()))
            && (this.getGmtCreate() == null ? other.getGmtCreate() == null : this.getGmtCreate().equals(other.getGmtCreate()))
            && (this.getGmtModified() == null ? other.getGmtModified() == null : this.getGmtModified().equals(other.getGmtModified()));
    }

    /**
     * 系统信息表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getOtherName() == null) ? 0 : getOtherName().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getImageLogo() == null) ? 0 : getImageLogo().hashCode());
        result = prime * result + ((getImageBackground() == null) ? 0 : getImageBackground().hashCode());
        result = prime * result + ((getSystemType() == null) ? 0 : getSystemType().hashCode());
        result = prime * result + ((getSystemAddress() == null) ? 0 : getSystemAddress().hashCode());
        result = prime * result + ((getSystemPort() == null) ? 0 : getSystemPort().hashCode());
        result = prime * result + ((getSystemApp() == null) ? 0 : getSystemApp().hashCode());
        result = prime * result + ((getSystemProtocol() == null) ? 0 : getSystemProtocol().hashCode());
        result = prime * result + ((getSystemWebAddress() == null) ? 0 : getSystemWebAddress().hashCode());
        result = prime * result + ((getSystemWebPort() == null) ? 0 : getSystemWebPort().hashCode());
        result = prime * result + ((getSystemWebApp() == null) ? 0 : getSystemWebApp().hashCode());
        result = prime * result + ((getSystemWebProtocol() == null) ? 0 : getSystemWebProtocol().hashCode());
        result = prime * result + ((getSystemMobileAddress() == null) ? 0 : getSystemMobileAddress().hashCode());
        result = prime * result + ((getSystemMobilePort() == null) ? 0 : getSystemMobilePort().hashCode());
        result = prime * result + ((getSystemMobileApp() == null) ? 0 : getSystemMobileApp().hashCode());
        result = prime * result + ((getSystemMobileProtocol() == null) ? 0 : getSystemMobileProtocol().hashCode());
        result = prime * result + ((getDescription() == null) ? 0 : getDescription().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        return result;
    }

    /**
     * 系统信息表 toString(MyBatis-Generator)
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", otherName=").append(otherName);
        sb.append(", code=").append(code);
        sb.append(", state=").append(state);
        sb.append(", imageLogo=").append(imageLogo);
        sb.append(", imageBackground=").append(imageBackground);
        sb.append(", systemType=").append(systemType);
        sb.append(", systemAddress=").append(systemAddress);
        sb.append(", systemPort=").append(systemPort);
        sb.append(", systemApp=").append(systemApp);
        sb.append(", systemProtocol=").append(systemProtocol);
        sb.append(", systemWebAddress=").append(systemWebAddress);
        sb.append(", systemWebPort=").append(systemWebPort);
        sb.append(", systemWebApp=").append(systemWebApp);
        sb.append(", systemWebProtocol=").append(systemWebProtocol);
        sb.append(", systemMobileAddress=").append(systemMobileAddress);
        sb.append(", systemMobilePort=").append(systemMobilePort);
        sb.append(", systemMobileApp=").append(systemMobileApp);
        sb.append(", systemMobileProtocol=").append(systemMobileProtocol);
        sb.append(", description=").append(description);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}