package com.kingtom.kirin.app.system.model;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 账户认证令牌表(user_security)(MyBatis-Generator)
 *
 * @author wany
 * @since 2023/8/24 03:05
 */
public class UserSecurity implements Serializable{
    /**
     * 主键(user_security.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 账户ID(user_security.user_id)(MyBatis-Generator)
     */
    private String userId;

    /**
     * 认证类型:10-用户名|11-手机号|12-邮箱|20-微信UID|30-新浪令牌|40-qq令牌...(user_security.type)(MyBatis-Generator)
     */
    private String type;

    /**
     * 认证唯一码:对应用户名|手机号|邮箱|微信号|新浪号|qq号|...(user_security.principal)(MyBatis-Generator)
     */
    private String principal;

    /**
     * 认证信息(user_security.credentials)(MyBatis-Generator)
     */
    private String credentials;

    /**
     * 编码方式(user_security.encode)(MyBatis-Generator)
     */
    private Integer encode;

    /**
     * 扩展字段1(user_security.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(user_security.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 创建时间(user_security.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 更新时间(user_security.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(user_security.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 主键(user_security.id)(MyBatis-Generator)
     *
     * @return 主键
     */
    public String getId(){
        return id;
    }

    /**
     * 设置 主键(user_security.id)(MyBatis-Generator)
     *
     * @param id 主键
     */
    public void setId(String id){
        this.id = id;
    }

    /**
     * 获取 账户ID(user_security.user_id)(MyBatis-Generator)
     *
     * @return 账户ID
     */
    public String getUserId(){
        return userId;
    }

    /**
     * 设置 账户ID(user_security.user_id)(MyBatis-Generator)
     *
     * @param userId 账户ID
     */
    public void setUserId(String userId){
        this.userId = userId;
    }

    /**
     * 获取 认证类型:10-用户名|11-手机号|12-邮箱|20-微信UID|30-新浪令牌|40-qq令牌...(user_security.type)(MyBatis-Generator)
     *
     * @return 认证类型:10-用户名|11-手机号|12-邮箱|20-微信UID|30-新浪令牌|40-qq令牌...
     */
    public String getType(){
        return type;
    }

    /**
     * 设置 认证类型:10-用户名|11-手机号|12-邮箱|20-微信UID|30-新浪令牌|40-qq令牌...(user_security.type)(MyBatis-Generator)
     *
     * @param type 认证类型:10-用户名|11-手机号|12-邮箱|20-微信UID|30-新浪令牌|40-qq令牌...
     */
    public void setType(String type){
        this.type = type;
    }

    /**
     * 获取 认证唯一码:对应用户名|手机号|邮箱|微信号|新浪号|qq号|...(user_security.principal)(MyBatis-Generator)
     *
     * @return 认证唯一码:对应用户名|手机号|邮箱|微信号|新浪号|qq号|...
     */
    public String getPrincipal(){
        return principal;
    }

    /**
     * 设置 认证唯一码:对应用户名|手机号|邮箱|微信号|新浪号|qq号|...(user_security.principal)(MyBatis-Generator)
     *
     * @param principal 认证唯一码:对应用户名|手机号|邮箱|微信号|新浪号|qq号|...
     */
    public void setPrincipal(String principal){
        this.principal = principal;
    }

    /**
     * 获取 认证信息(user_security.credentials)(MyBatis-Generator)
     *
     * @return 认证信息
     */
    public String getCredentials(){
        return credentials;
    }

    /**
     * 设置 认证信息(user_security.credentials)(MyBatis-Generator)
     *
     * @param credentials 认证信息
     */
    public void setCredentials(String credentials){
        this.credentials = credentials;
    }

    /**
     * 获取 编码方式(user_security.encode)(MyBatis-Generator)
     *
     * @return 编码方式
     */
    public Integer getEncode(){
        return encode;
    }

    /**
     * 设置 编码方式(user_security.encode)(MyBatis-Generator)
     *
     * @param encode 编码方式
     */
    public void setEncode(Integer encode){
        this.encode = encode;
    }

    /**
     * 获取 扩展字段1(user_security.ext1)(MyBatis-Generator)
     *
     * @return 扩展字段1
     */
    public String getExt1(){
        return ext1;
    }

    /**
     * 设置 扩展字段1(user_security.ext1)(MyBatis-Generator)
     *
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1){
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(user_security.ext2)(MyBatis-Generator)
     *
     * @return 扩展字段2
     */
    public String getExt2(){
        return ext2;
    }

    /**
     * 设置 扩展字段2(user_security.ext2)(MyBatis-Generator)
     *
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2){
        this.ext2 = ext2;
    }

    /**
     * 获取 创建时间(user_security.gmt_create)(MyBatis-Generator)
     *
     * @return 创建时间
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * 设置 创建时间(user_security.gmt_create)(MyBatis-Generator)
     *
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 更新时间(user_security.gmt_modified)(MyBatis-Generator)
     *
     * @return 更新时间
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * 设置 更新时间(user_security.gmt_modified)(MyBatis-Generator)
     *
     * @param gmtModified 更新时间
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(user_security.sys_id)(MyBatis-Generator)
     *
     * @return 系统ID
     */
    public String getSysId(){
        return sysId;
    }

    /**
     * 设置 系统ID(user_security.sys_id)(MyBatis-Generator)
     *
     * @param sysId 系统ID
     */
    public void setSysId(String sysId){
        this.sysId = sysId;
    }

    /**
     * 账户认证令牌表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that){
        if(this == that){
            return true;
        }
        if(that == null){
            return false;
        }
        if(getClass() != that.getClass()){
            return false;
        }
        UserSecurity other = (UserSecurity) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId())) &&
                (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
                && (this.getPrincipal() == null ? other.getPrincipal() == null :
                this.getPrincipal().equals(other.getPrincipal()))
                && (this.getCredentials() == null ? other.getCredentials() == null :
                this.getCredentials().equals(other.getCredentials()))
                && (this.getEncode() == null ? other.getEncode() == null : this.getEncode().equals(other.getEncode()))
                && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
                && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
                && (this.getGmtCreate() == null ? other.getGmtCreate() == null :
                this.getGmtCreate().equals(other.getGmtCreate()))
                && (this.getGmtModified() == null ? other.getGmtModified() == null :
                this.getGmtModified().equals(other.getGmtModified()))
                && (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 账户认证令牌表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode(){
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getPrincipal() == null) ? 0 : getPrincipal().hashCode());
        result = prime * result + ((getCredentials() == null) ? 0 : getCredentials().hashCode());
        result = prime * result + ((getEncode() == null) ? 0 : getEncode().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 账户认证令牌表 toString(MyBatis-Generator)
     */
    @Override
    public String toString(){
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", userId=").append(userId);
        sb.append(", type=").append(type);
        sb.append(", principal=").append(principal);
        sb.append(", credentials=").append(credentials);
        sb.append(", encode=").append(encode);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}