package com.kingtom.kirin.app.wechat.base.mini.service;

import com.kingtom.kirin.app.wechat.base.IWeChatChannel;
import com.kingtom.kirin.app.wechat.base.mini.config.WeChatMiniProperties;
import com.kingtom.kirin.core.common.exception.AppException;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/12
 */
public interface IWeChatMiniChannel extends IWeChatChannel{

    /**
     * 获取配置信息
     * 有可能为空
     *
     * @return 配置
     */
    public WeChatMiniProperties findConfig();

    /**
     * 获取凭证
     *
     * @return 有效凭证
     */
    public String findAccessToken() throws AppException;

    /**
     * 登录
     *
     * @param jsCode 前端登录code
     * @return 用户唯一码
     * @throws AppException
     */
    public String code2Session(String jsCode) throws AppException;

    /**
     * 获取手机号
     *
     * @param code 授权码
     * @return 电话
     * @throws AppException
     */
    public String getPhoneNumber(String code) throws AppException;

}
