package com.kingtom.kirin.app.wechat.service;

import com.kingtom.kirin.app.system.model.SystemUser;
import com.kingtom.kirin.app.system.model.UserSecurity;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/13
 */

public interface IWeChatSystemUserService{


    /**
     * 创建微信小程序用户
     *
     * @param openId
     * @return
     */
    public UserSecurity createWechatMiniUser(String openId);

    /**
     * 更新微信用户的微信认证凭证（凭借微信获取到的手机号联动相关逻辑）
     *
     * @param userId 用户id
     * @param phone  手机号
     */
    public SystemUser updateWechatMiniUser(String userId, String phone);

}
