
-- ----------------------------
-- Table structure for space_file
-- ----------------------------
DROP TABLE IF EXISTS "public"."space_file";
CREATE TABLE "public"."space_file" (
    "id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "name" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "save_name" varchar(256) COLLATE "pg_catalog"."default" NOT NULL,
    "file_type" varchar(64) COLLATE "pg_catalog"."default" NOT NULL,
    "use_key" varchar(64) COLLATE "pg_catalog"."default" NOT NULL,
    "encode" varchar(64) COLLATE "pg_catalog"."default",
    "size" int8,
    "save_size" int8,
    "owner_type" varchar(64) COLLATE "pg_catalog"."default" NOT NULL,
    "owner_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "res_type" varchar(64) COLLATE "pg_catalog"."default" NOT NULL,
    "res_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "storage_area" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "storage_encode" varchar(64) COLLATE "pg_catalog"."default",
    "state" int4 NOT NULL,
    "ext1" varchar(1024) COLLATE "pg_catalog"."default",
    "ext2" varchar(1024) COLLATE "pg_catalog"."default",
    "ext3" jsonb,
    "gmt_create" timestamp(3) NOT NULL,
    "gmt_modified" timestamp(3) NOT NULL,
    "sys_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL
)
;
COMMENT ON COLUMN "public"."space_file"."id" IS '主键';
COMMENT ON COLUMN "public"."space_file"."name" IS '文件名称';
COMMENT ON COLUMN "public"."space_file"."save_name" IS '文件保存名';
COMMENT ON COLUMN "public"."space_file"."file_type" IS '文件类型';
COMMENT ON COLUMN "public"."space_file"."use_key" IS '文件用途关键字';
COMMENT ON COLUMN "public"."space_file"."encode" IS '文件编码';
COMMENT ON COLUMN "public"."space_file"."size" IS '文件原始大小';
COMMENT ON COLUMN "public"."space_file"."save_size" IS '文件存储大小';
COMMENT ON COLUMN "public"."space_file"."owner_type" IS '文件上传者类型';
COMMENT ON COLUMN "public"."space_file"."owner_id" IS '文件上传者';
COMMENT ON COLUMN "public"."space_file"."res_type" IS '文件所属资源类型';
COMMENT ON COLUMN "public"."space_file"."res_id" IS '文件所属ID';
COMMENT ON COLUMN "public"."space_file"."storage_area" IS '文件存储分区';
COMMENT ON COLUMN "public"."space_file"."storage_encode" IS '文件存储加密方式';
COMMENT ON COLUMN "public"."space_file"."state" IS '文件状态';
COMMENT ON COLUMN "public"."space_file"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."space_file"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."space_file"."ext2" IS '扩展字段3';
COMMENT ON COLUMN "public"."space_file"."gmt_create" IS '文件创建时间';
COMMENT ON COLUMN "public"."space_file"."gmt_modified" IS '文件修改时间';
COMMENT ON COLUMN "public"."space_file"."sys_id" IS '系统ID';
COMMENT ON TABLE "public"."space_file" IS '空间文件表';

-- ----------------------------
-- Primary Key structure for table space_file
-- ----------------------------
ALTER TABLE "public"."space_file" ADD CONSTRAINT "space_file_pkey" PRIMARY KEY ("id");