/*
 Navicat Premium Data Transfer

 Source Server         : kingtom_dev_pg
 Source Server Type    : PostgreSQL
 Source Server Version : 140001
 Source Host           : 116.204.115.13:5432
 Source Catalog        : kirin_dev
 Source Schema         : public

 Target Server Type    : PostgreSQL
 Target Server Version : 140001
 File Encoding         : 65001

 Date: 01/09/2023 15:37:37
*/


-- ----------------------------
-- Table structure for ddic_info
-- ----------------------------
DROP TABLE IF EXISTS "public"."ddic_info";
CREATE TABLE "public"."ddic_info" (
    "id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "name" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "simple_name" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "code" varchar(64) COLLATE "pg_catalog"."default" NOT NULL,
    "state" int4 NOT NULL,
    "des" varchar(1024) COLLATE "pg_catalog"."default",
    "sys_flag" int4 NOT NULL,
    "ext1" varchar(1024) COLLATE "pg_catalog"."default",
    "ext2" varchar(1024) COLLATE "pg_catalog"."default",
    "ext3" jsonb,
    "gmt_create" timestamp(3) NOT NULL,
    "gmt_modified" timestamp(3) NOT NULL,
    "sys_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL
)
;
COMMENT ON COLUMN "public"."ddic_info"."id" IS '主键';
COMMENT ON COLUMN "public"."ddic_info"."name" IS '字典名称';
COMMENT ON COLUMN "public"."ddic_info"."simple_name" IS '字典简称';
COMMENT ON COLUMN "public"."ddic_info"."code" IS '字典唯一码';
COMMENT ON COLUMN "public"."ddic_info"."state" IS '字典数据状态';
COMMENT ON COLUMN "public"."ddic_info"."des" IS '字典描述';
COMMENT ON COLUMN "public"."ddic_info"."sys_flag" IS '系统字典标识';
COMMENT ON COLUMN "public"."ddic_info"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."ddic_info"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."ddic_info"."ext3" IS '扩展字段3';
COMMENT ON COLUMN "public"."ddic_info"."gmt_create" IS '文件创建时间';
COMMENT ON COLUMN "public"."ddic_info"."gmt_modified" IS '文件修改时间';
COMMENT ON COLUMN "public"."ddic_info"."sys_id" IS '系统ID';
COMMENT ON TABLE "public"."ddic_info" IS '数据字典表';

-- ----------------------------
-- Indexes structure for table ddic_info
-- ----------------------------
CREATE INDEX "index_ddic_info_code" ON "public"."ddic_info" USING btree (
    "code" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST
);

-- ----------------------------
-- Primary Key structure for table ddic_info
-- ----------------------------
ALTER TABLE "public"."ddic_info" ADD CONSTRAINT "ddic_info_pkey" PRIMARY KEY ("id");


/*
 Navicat Premium Data Transfer

 Source Server         : kingtom_dev_pg
 Source Server Type    : PostgreSQL
 Source Server Version : 140001
 Source Host           : 116.204.115.13:5432
 Source Catalog        : kirin_dev
 Source Schema         : public

 Target Server Type    : PostgreSQL
 Target Server Version : 140001
 File Encoding         : 65001

 Date: 01/09/2023 15:37:22
*/


-- ----------------------------
-- Table structure for ddic_item
-- ----------------------------
DROP TABLE IF EXISTS "public"."ddic_item";
CREATE TABLE "public"."ddic_item" (
    "id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "name" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "full_name" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "simple_name" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "sort" numeric(18,6) NOT NULL,
    "ddic_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "parent_key" varchar(1024) COLLATE "pg_catalog"."default",
    "level" int4 NOT NULL,
    "des" varchar(1024) COLLATE "pg_catalog"."default",
    "key" varchar(1024) COLLATE "pg_catalog"."default",
    "ext1" varchar(1024) COLLATE "pg_catalog"."default",
    "ext2" varchar(1024) COLLATE "pg_catalog"."default",
    "ext3" varchar(1024) COLLATE "pg_catalog"."default",
    "ext4" varchar(1024) COLLATE "pg_catalog"."default",
    "ext5" varchar(1024) COLLATE "pg_catalog"."default",
    "gmt_create" timestamp(3) NOT NULL,
    "gmt_modified" timestamp(3) NOT NULL,
    "sys_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL
)
;
COMMENT ON COLUMN "public"."ddic_item"."id" IS '主键';
COMMENT ON COLUMN "public"."ddic_item"."name" IS '字典项值';
COMMENT ON COLUMN "public"."ddic_item"."full_name" IS '字典项值全称';
COMMENT ON COLUMN "public"."ddic_item"."simple_name" IS '字典项值简称';
COMMENT ON COLUMN "public"."ddic_item"."sort" IS '字典项排序号';
COMMENT ON COLUMN "public"."ddic_item"."ddic_id" IS '字典ID';
COMMENT ON COLUMN "public"."ddic_item"."parent_key" IS '字典项父项KEY';
COMMENT ON COLUMN "public"."ddic_item"."level" IS '字典项层级';
COMMENT ON COLUMN "public"."ddic_item"."key" IS '字典项key';
COMMENT ON COLUMN "public"."ddic_item"."des" IS '字典描述';
COMMENT ON COLUMN "public"."ddic_item"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."ddic_item"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."ddic_item"."ext3" IS '扩展字段3';
COMMENT ON COLUMN "public"."ddic_item"."ext4" IS '扩展字段4';
COMMENT ON COLUMN "public"."ddic_item"."ext5" IS '扩展字段5';
COMMENT ON COLUMN "public"."ddic_item"."gmt_create" IS '创建时间';
COMMENT ON COLUMN "public"."ddic_item"."gmt_modified" IS '修改时间';
COMMENT ON COLUMN "public"."ddic_item"."sys_id" IS '系统ID';
COMMENT ON TABLE "public"."ddic_item" IS '数据字典项表';

-- ----------------------------
-- Indexes structure for table ddic_item
-- ----------------------------
CREATE INDEX "index_ddic_item_parent_key" ON "public"."ddic_item" USING btree (
    "parent_key" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST
);

-- ----------------------------
-- Primary Key structure for table ddic_item
-- ----------------------------
ALTER TABLE "public"."ddic_item" ADD CONSTRAINT "ddic_item_pkey" PRIMARY KEY ("id");
