-- ----------------------------
-- Table structure for formwork_info
-- ----------------------------
DROP TABLE IF EXISTS "public"."formwork_info";
CREATE TABLE "public"."formwork_info" (
    "id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "code" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "name" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "full_name" varchar(65534) COLLATE "pg_catalog"."default",
    "group_name" varchar(1024) COLLATE "pg_catalog"."default",
    "des" varchar(65534) COLLATE "pg_catalog"."default",
    "type" VARCHAR(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "data_demo" varchar(65534) COLLATE "pg_catalog"."default",
    "content" varchar(65534) COLLATE "pg_catalog"."default",
    "content_id" varchar(36) COLLATE "pg_catalog"."default",
    "ext1" varchar(65534) COLLATE "pg_catalog"."default",
    "ext2" varchar(65534) COLLATE "pg_catalog"."default",
    "state" int4,
    "gmt_create" timestamp(3) NOT NULL,
    "gmt_modified" timestamp(3) NOT NULL,
    "sys_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL
)
;
COMMENT ON COLUMN "public"."formwork_info"."id" IS '主键';
COMMENT ON COLUMN "public"."formwork_info"."code" IS '模板CODE';
COMMENT ON COLUMN "public"."formwork_info"."name" IS '模板名称';
COMMENT ON COLUMN "public"."formwork_info"."full_name" IS '模板全称';
COMMENT ON COLUMN "public"."formwork_info"."group_name" IS '模板分组名';
COMMENT ON COLUMN "public"."formwork_info"."des" IS '模版描述';
COMMENT ON COLUMN "public"."formwork_info"."type" IS '模版类型';
COMMENT ON COLUMN "public"."formwork_info"."data_demo" IS '模版数据样例';
COMMENT ON COLUMN "public"."formwork_info"."content" IS '模版内容（如果有）';
COMMENT ON COLUMN "public"."formwork_info"."content_id" IS '模版内容ID（如果有）';
COMMENT ON COLUMN "public"."formwork_info"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."formwork_info"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."formwork_info"."state" IS '状态';
COMMENT ON COLUMN "public"."formwork_info"."gmt_create" IS '创建时间';
COMMENT ON COLUMN "public"."formwork_info"."gmt_modified" IS '更新时间';
COMMENT ON COLUMN "public"."formwork_info"."sys_id" IS '系统ID';
COMMENT ON TABLE "public"."formwork_info" IS '模板表';

-- ----------------------------
-- Primary Key structure for table formwork_info
-- ----------------------------
ALTER TABLE "public"."formwork_info" ADD CONSTRAINT "formwork_info_pkey" PRIMARY KEY ("id");