-- ----------------------------
-- Table structure for org_unit
-- ----------------------------
DROP TABLE IF EXISTS "public"."org_unit";
CREATE TABLE "public"."org_unit" (
    "id"                  VARCHAR(36) COLLATE "pg_catalog"."default"  NOT NULL,
    "name"                VARCHAR(256) COLLATE "pg_catalog"."default" NOT NULL,
    "other_name"          VARCHAR(256) COLLATE "pg_catalog"."default",
    "en_name"             VARCHAR(256) COLLATE "pg_catalog"."default",
    "type"                VARCHAR(256) COLLATE "pg_catalog"."default",
    "usci"                VARCHAR(256) COLLATE "pg_catalog"."default" NOT NULL,
    "tax_id"              VARCHAR(256) COLLATE "pg_catalog"."default",
    "org_code"            VARCHAR(256) COLLATE "pg_catalog"."default",
    "phones"              jsonb,
    "emails"              jsonb,
    "national"            VARCHAR(256) COLLATE "pg_catalog"."default",
    "address"             VARCHAR(256) COLLATE "pg_catalog"."default",
    "longitude"           NUMERIC(10, 7),
    "latitude"            NUMERIC(10, 7),
    "website"             VARCHAR(256) COLLATE "pg_catalog"."default",
    "description"         VARCHAR(1024) COLLATE "pg_catalog"."default",
    "state"               int4,
    "legal_person"        VARCHAR(36) COLLATE "pg_catalog"."default",
    "industry"            VARCHAR(256) COLLATE "pg_catalog"."default",
    "scale"               VARCHAR(256) COLLATE "pg_catalog"."default",
    "license_type"        VARCHAR(64) COLLATE "pg_catalog"."default",
    "license_no"          VARCHAR(64) COLLATE "pg_catalog"."default",
    "license_pub_org"     VARCHAR(256) COLLATE "pg_catalog"."default",
    "license_reg_area"    VARCHAR(256) COLLATE "pg_catalog"."default",
    "license_reg_time"    TIMESTAMP(3),
    "license_reg_capital" VARCHAR(256) COLLATE "pg_catalog"."default",
    "license_bus_scope"   VARCHAR(1024) COLLATE "pg_catalog"."default",
    "license_state"       VARCHAR(64) COLLATE "pg_catalog"."default",
    "license_create_time" TIMESTAMP(3),
    "license_start_time"  TIMESTAMP(3),
    "license_end_time"    TIMESTAMP(3),
    "license_resource"    VARCHAR(256) COLLATE "pg_catalog"."default",
    "logo_resource"       jsonb,
    "image_resource"      jsonb,
    "login_resource"      jsonb,
    "trademark_resource"  jsonb,
    "ext1"                VARCHAR(256) COLLATE "pg_catalog"."default",
    "ext2"                VARCHAR(1024) COLLATE "pg_catalog"."default",
    "ext3"                jsonb,
    "gmt_create"          TIMESTAMP(3)                                NOT NULL,
    "gmt_modified"        TIMESTAMP(3)                                NOT NULL,
    "sys_id"              VARCHAR(36) COLLATE "pg_catalog"."default"
);
COMMENT ON TABLE "public"."org_unit" IS '组织表';
COMMENT ON COLUMN "public"."org_unit"."id" IS '主键';
COMMENT ON COLUMN "public"."org_unit"."name" IS '组织名称';
COMMENT ON COLUMN "public"."org_unit"."other_name" IS '组织别名';
COMMENT ON COLUMN "public"."org_unit"."en_name" IS '组织英文名';
COMMENT ON COLUMN "public"."org_unit"."type" IS '企业类型';
COMMENT ON COLUMN "public"."org_unit"."usci" IS '统一社会信用代码';
COMMENT ON COLUMN "public"."org_unit"."tax_id" IS '纳税人识别号';
COMMENT ON COLUMN "public"."org_unit"."org_code" IS '组织机构代码';
COMMENT ON COLUMN "public"."org_unit"."phones" IS '电话:多个';
COMMENT ON COLUMN "public"."org_unit"."emails" IS '邮箱:多个';
COMMENT ON COLUMN "public"."org_unit"."national" IS '国家/地区';
COMMENT ON COLUMN "public"."org_unit"."address" IS '组织地址';
COMMENT ON COLUMN "public"."org_unit"."longitude" IS '位置信息:经度';
COMMENT ON COLUMN "public"."org_unit"."latitude" IS '位置信息:纬度';
COMMENT ON COLUMN "public"."org_unit"."website" IS '网址';
COMMENT ON COLUMN "public"."org_unit"."description" IS '描述';
COMMENT ON COLUMN "public"."org_unit"."state" IS '状态';
COMMENT ON COLUMN "public"."org_unit"."legal_person" IS '法人';
COMMENT ON COLUMN "public"."org_unit"."industry" IS '行业';
COMMENT ON COLUMN "public"."org_unit"."scale" IS '组织规模';
COMMENT ON COLUMN "public"."org_unit"."license_type" IS '组织证照:类型';
COMMENT ON COLUMN "public"."org_unit"."license_no" IS '组织证照:号码';
COMMENT ON COLUMN "public"."org_unit"."license_reg_area" IS '组织证照:注册地';
COMMENT ON COLUMN "public"."org_unit"."license_pub_org" IS '组织证照:颁发机构';
COMMENT ON COLUMN "public"."org_unit"."license_reg_time" IS '组织证照:颁发时间';
COMMENT ON COLUMN "public"."org_unit"."license_reg_capital" IS '组织证照:注册资本';
COMMENT ON COLUMN "public"."org_unit"."license_bus_scope" IS '组织证照:允许经营范围';
COMMENT ON COLUMN "public"."org_unit"."license_state" IS '组织证照:状态';
COMMENT ON COLUMN "public"."org_unit"."license_create_time" IS '组织证照:成立时间';
COMMENT ON COLUMN "public"."org_unit"."license_start_time" IS '组织证照:证件有效期开始时间';
COMMENT ON COLUMN "public"."org_unit"."license_end_time" IS '组织证照:证件有效期到期时间';
COMMENT ON COLUMN "public"."org_unit"."license_resource" IS '组织证照:附件';
COMMENT ON COLUMN "public"."org_unit"."logo_resource" IS 'logo';
COMMENT ON COLUMN "public"."org_unit"."image_resource" IS '形象图片';
COMMENT ON COLUMN "public"."org_unit"."login_resource" IS '登录页封面图片';
COMMENT ON COLUMN "public"."org_unit"."trademark_resource" IS '企业商标';
COMMENT ON COLUMN "public"."org_unit"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."org_unit"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."org_unit"."ext3" IS '扩展字段3';
COMMENT ON COLUMN "public"."org_unit"."gmt_create" IS '创建时间';
COMMENT ON COLUMN "public"."org_unit"."gmt_modified" IS '更新时间';
COMMENT ON COLUMN "public"."org_unit"."sys_id" IS '系统ID';
-- ----------------------------
-- Primary Key structure for table org_unit
-- ----------------------------
ALTER TABLE "public"."org_unit" ADD CONSTRAINT "org_unit_pkey" PRIMARY KEY ("id");


-- ----------------------------
-- Table structure for org_person
-- ----------------------------
DROP TABLE IF EXISTS "public"."org_person";
CREATE TABLE "public"."org_person" (
                                       "id"                  VARCHAR(36) COLLATE "pg_catalog"."default"  NOT NULL,
                                       "name"                VARCHAR(256) COLLATE "pg_catalog"."default" NOT NULL,
                                       "other_name"          VARCHAR(256) COLLATE "pg_catalog"."default",
                                       "en_name"             VARCHAR(256) COLLATE "pg_catalog"."default",
                                       "birthday"            TIMESTAMP(3),
                                       "sex"                 int4,
                                       "license_type"        VARCHAR(64) COLLATE "pg_catalog"."default",
                                       "license_code"        VARCHAR(256) COLLATE "pg_catalog"."default",
                                       "phone"               VARCHAR(64) COLLATE "pg_catalog"."default",
                                       "email"               VARCHAR(64) COLLATE "pg_catalog"."default",
                                       "state"               int4,
                                       "auth_state"          int4,
                                       "national"            VARCHAR(256) COLLATE "pg_catalog"."default",
                                       "nation"              VARCHAR(50) COLLATE "pg_catalog"."default",
                                       "native_place"        VARCHAR(256) COLLATE "pg_catalog"."default",
                                       "native_address"      VARCHAR(1024) COLLATE "pg_catalog"."default",
                                       "residential_address" VARCHAR(1024) COLLATE "pg_catalog"."default",
                                       "license_pub_org"     VARCHAR(100) COLLATE "pg_catalog"."default",
                                       "license_start_time"  TIMESTAMP(3),
                                       "license_end_time"    TIMESTAMP(3),
                                       "ext1"                VARCHAR(1024) COLLATE "pg_catalog"."default",
                                       "ext2"                VARCHAR(1024) COLLATE "pg_catalog"."default",
                                       "ext3"                jsonb,
                                       "gmt_create"          TIMESTAMP(3)                                NOT NULL,
                                       "gmt_modified"        TIMESTAMP(3)                                NOT NULL,
                                       "sys_id"              VARCHAR(36) COLLATE "pg_catalog"."default"  NOT NULL
);
COMMENT ON COLUMN "public"."org_person"."id" IS '主键';
COMMENT ON COLUMN "public"."org_person"."name" IS '人员名称';
COMMENT ON COLUMN "public"."org_person"."other_name" IS '人员别名';
COMMENT ON COLUMN "public"."org_person"."en_name" IS '人员英文名';
COMMENT ON COLUMN "public"."org_person"."birthday" IS '生日';
COMMENT ON COLUMN "public"."org_person"."sex" IS '性别';
COMMENT ON COLUMN "public"."org_person"."license_type" IS '证件类型';
COMMENT ON COLUMN "public"."org_person"."license_code" IS '唯一编码值';
COMMENT ON COLUMN "public"."org_person"."phone" IS '电话:主要的,作为账号';
COMMENT ON COLUMN "public"."org_person"."email" IS '邮箱:主要的';
COMMENT ON COLUMN "public"."org_person"."state" IS '状态：0启用；1停用;2删除';
COMMENT ON COLUMN "public"."org_person"."auth_state" IS '认证状态：0已认证；1未认证';
COMMENT ON COLUMN "public"."org_person"."national" IS '国家/地区';
COMMENT ON COLUMN "public"."org_person"."nation" IS '民族';
COMMENT ON COLUMN "public"."org_person"."native_place" IS '籍贯';
COMMENT ON COLUMN "public"."org_person"."native_address" IS '地址';
COMMENT ON COLUMN "public"."org_person"."residential_address" IS '居住地';
COMMENT ON COLUMN "public"."org_person"."license_pub_org" IS '签发机关';
COMMENT ON COLUMN "public"."org_person"."license_start_time" IS '证件有效期开始时间';
COMMENT ON COLUMN "public"."org_person"."license_end_time" IS '证件有效期到期时间';
COMMENT ON COLUMN "public"."org_person"."ext1" IS '扩展信息';
COMMENT ON COLUMN "public"."org_person"."ext2" IS '扩展信息';
COMMENT ON COLUMN "public"."org_person"."ext3" IS '扩展信息';
COMMENT ON COLUMN "public"."org_person"."gmt_create" IS '创建时间';
COMMENT ON COLUMN "public"."org_person"."gmt_modified" IS '更新时间';
COMMENT ON COLUMN "public"."org_person"."sys_id" IS '系统ID';
COMMENT ON TABLE "public"."org_person" IS '人员表';
-- ----------------------------
-- Indexes structure for table org_person
-- ----------------------------
CREATE UNIQUE INDEX "index_org_person_phone" ON "public"."org_person" USING btree ("phone", "state");
-- ----------------------------
-- Primary Key structure for table org_person
-- ----------------------------
ALTER TABLE "public"."org_person" ADD CONSTRAINT "org_person_pkey" PRIMARY KEY ("id");


-- ----------------------------
-- Table structure for org_struct
-- ----------------------------
DROP TABLE IF EXISTS "public"."org_struct";
CREATE TABLE "public"."org_struct" (
                                       "id"           VARCHAR(36) COLLATE "pg_catalog"."default"  NOT NULL,
                                       "name"         VARCHAR(256) COLLATE "pg_catalog"."default" NOT NULL,
                                       "other_name"   VARCHAR(256) COLLATE "pg_catalog"."default",
                                       "en_name"      VARCHAR(256) COLLATE "pg_catalog"."default",
                                       "code"         VARCHAR(256) COLLATE "pg_catalog"."default" NOT NULL,
                                       "type"         VARCHAR(64) COLLATE "pg_catalog"."default"  NOT NULL,
                                       "sub_type"     VARCHAR(64) COLLATE "pg_catalog"."default"  NOT NULL,
                                       "state"        int4                                        NOT NULL,
                                       "top_id"       VARCHAR(36) COLLATE "pg_catalog"."default"  NOT NULL,
                                       "parent_id"    VARCHAR(36) COLLATE "pg_catalog"."default"  NOT NULL,
                                       "path"         jsonb,
                                       "org_id"       VARCHAR(36) COLLATE "pg_catalog"."default"  NOT NULL,
                                       "order_num"    int4 DEFAULT 0,
                                       "ext1"         VARCHAR(256) COLLATE "pg_catalog"."default",
                                       "ext2"         VARCHAR(1024) COLLATE "pg_catalog"."default",
                                       "ext3"         jsonb,
                                       "gmt_create"   TIMESTAMP(3)                                NOT NULL,
                                       "gmt_modified" TIMESTAMP(3)                                NOT NULL,
                                       "sys_id"       VARCHAR(36) COLLATE "pg_catalog"."default"  NOT NULL
);
COMMENT ON TABLE "public"."org_struct" IS '机构表';
COMMENT ON COLUMN "public"."org_struct"."id" IS '主键';
COMMENT ON COLUMN "public"."org_struct"."name" IS '机构名称';
COMMENT ON COLUMN "public"."org_struct"."other_name" IS '机构别名';
COMMENT ON COLUMN "public"."org_struct"."en_name" IS '机构英文名';
COMMENT ON COLUMN "public"."org_struct"."code" IS '机构编码:同一颗树内唯一';
COMMENT ON COLUMN "public"."org_struct"."type" IS '机构类型:虚机构，实机构)';
COMMENT ON COLUMN "public"."org_struct"."sub_type" IS '机构子类型。由机构模型实现者去填充，如企业模型：department，post';
COMMENT ON COLUMN "public"."org_struct"."state" IS '机构状态';
COMMENT ON COLUMN "public"."org_struct"."order_num" IS '排序字段';
COMMENT ON COLUMN "public"."org_struct"."top_id" IS '组织树顶级节点ID';
COMMENT ON COLUMN "public"."org_struct"."parent_id" IS '组织树顶级节点ID';
COMMENT ON COLUMN "public"."org_struct"."path" IS '组织树路径';
COMMENT ON COLUMN "public"."org_struct"."org_id" IS '所属组织ID';
COMMENT ON COLUMN "public"."org_struct"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."org_struct"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."org_struct"."ext3" IS '扩展字段3';
COMMENT ON COLUMN "public"."org_struct"."gmt_create" IS '创建时间';
COMMENT ON COLUMN "public"."org_struct"."gmt_modified" IS '更新时间';
COMMENT ON COLUMN "public"."org_struct"."sys_id" IS '系统ID';
-- ----------------------------
-- Primary Key structure for table org_struct
-- ----------------------------
ALTER TABLE "public"."org_struct" ADD CONSTRAINT "org_struct_pkey" PRIMARY KEY ("id");