-- ----------------------------
-- Table structure for we_chat_user
-- ----------------------------
DROP TABLE IF EXISTS "public"."we_chat_user";
CREATE TABLE "public"."we_chat_user" (
    "id"           VARCHAR(36) COLLATE "pg_catalog"."default"   NOT NULL,
    "name"         VARCHAR(1024) COLLATE "pg_catalog"."default",
    "app_id"       VARCHAR(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "open_id"      VARCHAR(64) COLLATE "pg_catalog"."default"   NOT NULL,
    "union_id"     VARCHAR(64) COLLATE "pg_catalog"."default",
    "ext1"         VARCHAR(1024) COLLATE "pg_catalog"."default",
    "ext2"         VARCHAR(1024) COLLATE "pg_catalog"."default",
    "ext3"         jsonb,
    "gmt_create"   TIMESTAMP(3),
    "gmt_modified" TIMESTAMP(3),
    "sys_id"       VARCHAR(36) COLLATE "pg_catalog"."default"   NOT NULL
);
COMMENT ON TABLE "public"."we_chat_user" IS '微信用户表表';
COMMENT ON COLUMN "public"."we_chat_user"."id" IS 'id';
COMMENT ON COLUMN "public"."we_chat_user"."name" IS '名称';
COMMENT ON COLUMN "public"."we_chat_user"."app_id" IS 'appid';
COMMENT ON COLUMN "public"."we_chat_user"."open_id" IS '用户openId';
COMMENT ON COLUMN "public"."we_chat_user"."union_id" IS '用户在同一微信开放平台主体下的unionId';
COMMENT ON COLUMN "public"."we_chat_user"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."we_chat_user"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."we_chat_user"."ext3" IS '扩展字段3';
COMMENT ON COLUMN "public"."we_chat_user"."gmt_create" IS '创建时间';
COMMENT ON COLUMN "public"."we_chat_user"."gmt_modified" IS '更新时间';
COMMENT ON COLUMN "public"."we_chat_user"."sys_id" IS '系统ID';

-- ----------------------------
-- Primary Key structure for table we_chat_user
-- ----------------------------
ALTER TABLE "public"."we_chat_user" ADD CONSTRAINT "we_chat_user_pkey" PRIMARY KEY ("id");
