-- ----------------------------
-- Table structure for system_info
-- ----------------------------
DROP TABLE IF EXISTS "public"."system_info";
CREATE TABLE "public"."system_info" (
    "id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "name" varchar(1024) COLLATE "pg_catalog"."default",
    "other_name" varchar(1024) COLLATE "pg_catalog"."default",
    "code" varchar(64) COLLATE "pg_catalog"."default",
    "state" int4 NOT NULL,
    "image_logo" varchar(256) COLLATE "pg_catalog"."default",
    "image_background" varchar(256) COLLATE "pg_catalog"."default",
    "system_type" varchar(64) COLLATE "pg_catalog"."default",
    "system_address" varchar(256) COLLATE "pg_catalog"."default",
    "system_port" varchar(64) COLLATE "pg_catalog"."default",
    "system_app" varchar(64) COLLATE "pg_catalog"."default",
    "system_protocol" varchar(64) COLLATE "pg_catalog"."default",
    "system_web_address" varchar(256) COLLATE "pg_catalog"."default",
    "system_web_port" varchar(64) COLLATE "pg_catalog"."default",
    "system_web_app" varchar(64) COLLATE "pg_catalog"."default",
    "system_web_protocol" varchar(64) COLLATE "pg_catalog"."default",
    "system_mobile_address" varchar(256) COLLATE "pg_catalog"."default",
    "system_mobile_port" varchar(64) COLLATE "pg_catalog"."default",
    "system_mobile_app" varchar(64) COLLATE "pg_catalog"."default",
    "system_mobile_protocol" varchar(64) COLLATE "pg_catalog"."default",
    "description" varchar(1024) COLLATE "pg_catalog"."default",
    "ext1" varchar(1024) COLLATE "pg_catalog"."default",
    "ext2" varchar(1024) COLLATE "pg_catalog"."default",
    "ext3" jsonb,
    "gmt_create" timestamp(3),
    "gmt_modified" timestamp(3)
)
;
COMMENT ON COLUMN "public"."system_info"."id" IS '系统id';
COMMENT ON COLUMN "public"."system_info"."name" IS '系统名称';
COMMENT ON COLUMN "public"."system_info"."other_name" IS '系统别名';
COMMENT ON COLUMN "public"."system_info"."code" IS '系统码';
COMMENT ON COLUMN "public"."system_info"."state" IS '状态';
COMMENT ON COLUMN "public"."system_info"."image_logo" IS '系统logo';
COMMENT ON COLUMN "public"."system_info"."image_background" IS '系统背景图';
COMMENT ON COLUMN "public"."system_info"."system_type" IS '系统类别';
COMMENT ON COLUMN "public"."system_info"."system_address" IS '系统域名/IP';
COMMENT ON COLUMN "public"."system_info"."system_port" IS '系统端口';
COMMENT ON COLUMN "public"."system_info"."system_app" IS '系统应用名';
COMMENT ON COLUMN "public"."system_info"."system_protocol" IS '系统协议';
COMMENT ON COLUMN "public"."system_info"."system_web_address" IS '系统web端域名/IP';
COMMENT ON COLUMN "public"."system_info"."system_web_port" IS '系统web端端口';
COMMENT ON COLUMN "public"."system_info"."system_web_app" IS '系统web端应用名';
COMMENT ON COLUMN "public"."system_info"."system_web_protocol" IS '系统web端协议';
COMMENT ON COLUMN "public"."system_info"."system_mobile_address" IS '系统移动端域名/IP';
COMMENT ON COLUMN "public"."system_info"."system_mobile_port" IS '系统移动端端口';
COMMENT ON COLUMN "public"."system_info"."system_mobile_app" IS '系统移动端应用名';
COMMENT ON COLUMN "public"."system_info"."system_mobile_protocol" IS '系统移动端协议';
COMMENT ON COLUMN "public"."system_info"."description" IS '备注';
COMMENT ON COLUMN "public"."system_info"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."system_info"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."system_info"."ext3" IS '扩展字段3';
COMMENT ON COLUMN "public"."system_info"."gmt_create" IS '创建时间';
COMMENT ON COLUMN "public"."system_info"."gmt_modified" IS '修改时间';
COMMENT ON TABLE "public"."system_info" IS '系统信息表';

-- ----------------------------
-- Primary Key structure for table system_info
-- ----------------------------
ALTER TABLE "public"."system_info" ADD CONSTRAINT "system_info_pkey" PRIMARY KEY ("id");


-- ----------------------------
-- Table structure for system_user
-- ----------------------------
DROP TABLE IF EXISTS "public"."system_user";
CREATE TABLE "public"."system_user" (
    "id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "name" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "other_name" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "code" varchar(64) COLLATE "pg_catalog"."default",
    "state" int4 NOT NULL,
    "image_logo" varchar(256) COLLATE "pg_catalog"."default",
    "res_type" varchar(64) COLLATE "pg_catalog"."default" NOT NULL,
    "res_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "res_attr" jsonb,
    "ext1" varchar(1024) COLLATE "pg_catalog"."default",
    "ext2" varchar(1024) COLLATE "pg_catalog"."default",
    "ext3" jsonb,
    "gmt_create" timestamp(3) NOT NULL,
    "gmt_modified" timestamp(3) NOT NULL,
    "sys_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL
)
;
COMMENT ON COLUMN "public"."system_user"."id" IS '主键';
COMMENT ON COLUMN "public"."system_user"."name" IS '用户名称';
COMMENT ON COLUMN "public"."system_user"."other_name" IS '用户别名';
COMMENT ON COLUMN "public"."system_user"."code" IS '用户码';
COMMENT ON COLUMN "public"."system_user"."state" IS '状态';
COMMENT ON COLUMN "public"."system_user"."image_logo" IS '用户头像';
COMMENT ON COLUMN "public"."system_user"."res_type" IS '用户实体类型';
COMMENT ON COLUMN "public"."system_user"."res_id" IS '用户实体ID';
COMMENT ON COLUMN "public"."system_user"."res_attr" IS '用户对应的实体信息';
COMMENT ON COLUMN "public"."system_user"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."system_user"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."system_user"."ext3" IS '扩展字段3';
COMMENT ON COLUMN "public"."system_user"."gmt_create" IS '创建时间';
COMMENT ON COLUMN "public"."system_user"."gmt_modified" IS '更新时间';
COMMENT ON COLUMN "public"."system_user"."sys_id" IS '系统ID';
COMMENT ON TABLE "public"."system_user" IS '用户表';

-- ----------------------------
-- Primary Key structure for table system_user
-- ----------------------------
ALTER TABLE "public"."system_user" ADD CONSTRAINT "system_user_pkey" PRIMARY KEY ("id");

-- ----------------------------
-- Table structure for user_security
-- ----------------------------
DROP TABLE IF EXISTS "public"."user_security";
CREATE TABLE "public"."user_security" (
    "id"           VARCHAR(36) COLLATE "pg_catalog"."default"   NOT NULL,
    "user_id"      VARCHAR(36) COLLATE "pg_catalog"."default"   NOT NULL,
    "type"         VARCHAR(36)                                  NOT NULL,
    "principal"    VARCHAR(256) COLLATE "pg_catalog"."default"  NOT NULL,
    "credentials"  VARCHAR(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "encode"       int4                                         NOT NULL,
    "ext1"         VARCHAR(1024) COLLATE "pg_catalog"."default",
    "ext2"         VARCHAR(1024) COLLATE "pg_catalog"."default",
    "gmt_create"   TIMESTAMP(3)                                 NOT NULL,
    "gmt_modified" TIMESTAMP(3)                                 NOT NULL,
    "sys_id"       VARCHAR(36) COLLATE "pg_catalog"."default"   NOT NULL
);
COMMENT ON COLUMN "public"."user_security"."id" IS '主键';
COMMENT ON COLUMN "public"."user_security"."user_id" IS '账户ID';
COMMENT ON COLUMN "public"."user_security"."type" IS '认证类型:10-用户名|11-手机号|12-邮箱|20-微信UID|30-新浪令牌|40-qq令牌...';
COMMENT ON COLUMN "public"."user_security"."principal" IS '认证唯一码:对应用户名|手机号|邮箱|微信号|新浪号|qq号|...';
COMMENT ON COLUMN "public"."user_security"."credentials" IS '认证信息';
COMMENT ON COLUMN "public"."user_security"."encode" IS '编码方式';
COMMENT ON COLUMN "public"."user_security"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."user_security"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."user_security"."gmt_create" IS '创建时间';
COMMENT ON COLUMN "public"."user_security"."gmt_modified" IS '更新时间';
COMMENT ON COLUMN "public"."user_security"."sys_id" IS '系统ID';
COMMENT ON TABLE "public"."user_security" IS '账户认证令牌表';

-- ----------------------------
-- Primary Key structure for table user_security
-- ----------------------------
ALTER TABLE "public"."user_security" ADD CONSTRAINT "user_security_pkey" PRIMARY KEY ("id");
