package com.kingtom.kirin.core.common;

import com.kingtom.kirin.core.common.base.IBaseEnum;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 基础常量类
 * @author King
 * @since 2023/6/5 14:58
 */
public class CommonConst {

    private CommonConst(){}

    /**
     * Opposite of {@link #FAILS}.
     */
    public static final boolean   PASSES              = true;
    /**
     * Opposite of {@link #PASSES}.
     */
    public static final boolean   FAILS               = false;

    /**
     * Opposite of {@link #FAILURE}.
     */
    public static final boolean   SUCCESS             = true;
    /**
     * Opposite of {@link #SUCCESS}.
     */
    public static final boolean   FAILURE             = false;

    /**
     * Useful for {@link String} operations, which return an index of <tt>-1</tt> when
     * an item is not found.
     */
    public static final int       NOT_FOUND           = -1;

    /**
     * System property - <tt>line.separator</tt>
     */
    public static final String    NEW_LINE            = System.getProperty("line.separator");
    /**
     * System property - <tt>file.separator</tt>
     */
    public static final String    FILE_SEPARATOR      = System.getProperty("file.separator");
    /**
     * System property - <tt>path.separator</tt>
     */
    public static final String    PATH_SEPARATOR      = System.getProperty("path.separator");

    /**
     * The constant EMPTY_STRING.
     */
    public static final String    EMPTY_STRING        = "";
    /**
     * The constant SPACE.
     */
    public static final String    SPACE               = " ";
    /**
     * The constant TAB.
     */
    public static final String    TAB                 = "\t";
    /**
     * The constant SINGLE_QUOTE.
     */
    public static final String    SINGLE_QUOTE        = "'";
    /**
     * The constant PERIOD.
     */
    public static final String    PERIOD              = ".";
    /**
     * The constant SPLIT.
     */
    public static final String    SPLIT              = ":";
    /**
     * The constant DOUBLE_QUOTE.
     */
    public static final String    DOUBLE_QUOTE        = "\"";

    /**
     * The constant BACKSLASH.
     */
    public static final char      BACKSLASH           = '\\';

    /**
     * The constant SLASH.
     */
    public static final String    SLASH               = "/";

    /**
     * The constant BACKSPACE.
     */
    public static final char      BACKSPACE           = '\b';

    /**
     * The constant COMMA.
     */
    public static final char      COMMA               = ',';

    /**
     * 英文逗号的字符串常量
     */
    public static final String    COMMA_STRING        = ",";

    /**
     * Starts a comment, the remainder of the line is the comment.
     */
    public static final char      COMMENT             = '#';

    /**
     * *符号
     */
    public static final char      STAR             = '*';


    /**
     *
     */
    public static final String      AT             = "@";

    /**
     * The constant CR.
     */
    public static final char      CR                  = '\r';

    /**
     * RFC 4180 defines line breaks as CRLF
     */
    public static final String    CRLF                = "\r\n";

    /**
     * The constant DOUBLE_QUOTE_CHAR.
     */
    public static final Character DOUBLE_QUOTE_CHAR   = '"';

    /**
     * The end of stream symbol
     */
    public static final int       END_OF_STREAM       = -1;

    /**
     * The constant FF.
     */
    public static final char      FF                  = '\f';

    /**
     * The constant LF.
     */
    public static final char      LF                  = '\n';

    /**
     * Unicode line separator.
     */
    public static final String    LINE_SEPARATOR      = "\u2028";

    /**
     * Unicode next line.
     */
    public static final String    NEXT_LINE           = "\u0085";

    /**
     * Unicode paragraph separator.
     */
    public static final String    PARAGRAPH_SEPARATOR = "\u2029";

    /**
     * The constant PIPE.
     */
    public static final char      PIPE                = '|';

    /**
     * ASCII record separator
     */
    public static final char      RS                  = 30;

    /**
     * The constant SP.
     */
    public static final char      SP                  = ' ';

    /**
     * Undefined state for the lookahead char
     */
    public static final int       UNDEFINED           = -2;

    /**
     * ASCII unit separator
     */
    public static final char      US                  = 31;

    /**
     * The constant MINUS_SIGN.(减号，也可用作中划线，ascii编码45)
     */
    public static final char      MINUS_SIGN          = '-';

    /**
     * 下划线.
     */
    public static final String    UNDER_LINE          = "_";

    /**
     * -1
     */
    public static final int       INT_NEG_1           = -1;
    /**
     * The constant INT_0
     */
    public static final int       INT_0               = 0;
    /**
     * The constant INT_1.
     */
    public static final int       INT_1               = 1;
    /**
     * The constant INT_2.
     */
    public static final int       INT_2               = 2;
    /**
     * The constant INT_3.
     */
    public static final int       INT_3               = 3;
    /**
     * The constant INT_4.
     */
    public static final int       INT_4               = 4;
    /**
     * The constant INT_5.
     */
    public static final int       INT_5               = 5;
    /**
     * The constant INT_6.
     */
    public static final int       INT_6               = 6;
    /**
     * The constant INT_7.
     */
    public static final int       INT_7               = 7;
    /**
     * The constant INT_8.
     */
    public static final int       INT_8               = 8;
    /**
     * The constant INT_9.
     */
    public static final int       INT_9               = 9;
    /**
     * The constant INT_10.
     */
    public static final int       INT_10              = 10;
    /**
     * The constant INT_11.
     */
    public static final int       INT_11              = 11;
    /**
     * The constant INT_12.
     */
    public static final int       INT_12              = 12;
    /**
     * The constant INT_13.
     */
    public static final int       INT_13              = 13;
    /**
     * The constant INT_14.
     */
    public static final int       INT_14              = 14;
    /**
     * The constant INT_15.
     */
    public static final int       INT_15              = 15;
    /**
     * The constant INT_16.
     */
    public static final int       INT_16              = 16;
    /**
     * The constant INT_17.
     */
    public static final int       INT_17              = 17;
    /**
     * The constant INT_18.
     */
    public static final int       INT_18              = 18;
    /**
     * The constant INT_19.
     */
    public static final int       INT_19              = 19;
    /**
     * The constant INT_20.
     */
    public static final int       INT_20              = 20;
    /**
     * The constant INT_21.
     */
    public static final int       INT_21              = 21;
    /**
     * The constant INT_22.
     */
    public static final int       INT_22              = 22;
    /**
     * The constant INT_23.
     */
    public static final int       INT_23              = 23;
    /**
     * The constant INT_24.
     */
    public static final int       INT_24              = 24;
    /**
     * The constant INT_25.
     */
    public static final int       INT_25              = 25;
    /**
     * The constant INT_26.
     */
    public static final int       INT_26              = 26;
    /**
     * The constant INT_27.
     */
    public static final int       INT_27              = 27;
    /**
     * The constant INT_28.
     */
    public static final int       INT_28              = 28;
    /**
     * The constant INT_29.
     */
    public static final int       INT_29              = 29;
    /**
     * The constant INT_30.
     */
    public static final int       INT_30              = 30;
    /**
     * The constant INT_31.
     */
    public static final int       INT_31              = 31;
    /**
     * The constant INT_32.
     */
    public static final int       INT_32              = 32;
    /**
     * The constant INT_33.
     */
    public static final int       INT_33              = 33;
    /**
     * The constant INT_34.
     */
    public static final int       INT_34              = 34;
    /**
     * The constant INT_35.
     */
    public static final int       INT_35              = 35;
    /**
     * The constant INT_36.
     */
    public static final int       INT_36              = 36;
    /**
     * The constant INT_37.
     */
    public static final int       INT_37              = 37;
    /**
     * The constant INT_38.
     */
    public static final int       INT_38              = 38;
    /**
     * The constant INT_39.
     */
    public static final int       INT_39              = 39;
    /**
     * The constant INT_40.
     */
    public static final int       INT_40              = 40;
    /**
     * The constant INT_41.
     */
    public static final int       INT_41              = 41;
    /**
     * The constant INT_42.
     */
    public static final int       INT_42              = 42;
    /**
     * The constant INT_43.
     */
    public static final int       INT_43              = 43;
    /**
     * The constant INT_44.
     */
    public static final int       INT_44              = 44;
    /**
     * The constant INT_45.
     */
    public static final int       INT_45              = 45;
    /**
     * The constant INT_46.
     */
    public static final int       INT_46              = 46;
    /**
     * The constant INT_47.
     */
    public static final int       INT_47              = 47;
    /**
     * The constant INT_48.
     */
    public static final int       INT_48              = 48;
    /**
     * The constant INT_49.
     */
    public static final int       INT_49              = 49;
    /**
     * The constant INT_50.
     */
    public static final int       INT_50              = 50;
    /**
     * The constant INT_51.
     */
    public static final int       INT_51              = 51;
    /**
     * The constant INT_52.
     */
    public static final int       INT_52              = 52;
    /**
     * The constant INT_53.
     */
    public static final int       INT_53              = 53;
    /**
     * The constant INT_54.
     */
    public static final int       INT_54              = 54;
    /**
     * The constant INT_55.
     */
    public static final int       INT_55              = 55;
    /**
     * The constant INT_56.
     */
    public static final int       INT_56              = 56;
    /**
     * The constant INT_57.
     */
    public static final int       INT_57              = 57;
    /**
     * The constant INT_58.
     */
    public static final int       INT_58              = 58;
    /**
     * The constant INT_59.
     */
    public static final int       INT_59              = 59;
    /**
     * The constant INT_60.
     */
    public static final int       INT_60              = 60;
    /**
     * The constant INT_61.
     */
    public static final int       INT_61              = 61;
    /**
     * The constant INT_62.
     */
    public static final int       INT_62              = 62;
    /**
     * The constant INT_63.
     */
    public static final int       INT_63              = 63;
    /**
     * The constant INT_64.
     */
    public static final int       INT_64              = 64;
    /**
     * The constant INT_65.
     */
    public static final int       INT_65              = 65;
    /**
     * The constant INT_66.
     */
    public static final int       INT_66              = 66;
    /**
     * The constant INT_67.
     */
    public static final int       INT_67              = 67;
    /**
     * The constant INT_68.
     */
    public static final int       INT_68              = 68;
    /**
     * The constant INT_69.
     */
    public static final int       INT_69              = 69;
    /**
     * The constant INT_70.
     */
    public static final int       INT_70              = 70;
    /**
     * The constant INT_71.
     */
    public static final int       INT_71              = 71;
    /**
     * The constant INT_72.
     */
    public static final int       INT_72              = 72;
    /**
     * The constant INT_73.
     */
    public static final int       INT_73              = 73;
    /**
     * The constant INT_74.
     */
    public static final int       INT_74              = 74;
    /**
     * The constant INT_75.
     */
    public static final int       INT_75              = 75;
    /**
     * The constant INT_76.
     */
    public static final int       INT_76              = 76;
    /**
     * The constant INT_77.
     */
    public static final int       INT_77              = 77;
    /**
     * The constant INT_78.
     */
    public static final int       INT_78              = 78;
    /**
     * The constant INT_79.
     */
    public static final int       INT_79              = 79;
    /**
     * The constant INT_80.
     */
    public static final int       INT_80              = 80;
    /**
     * The constant INT_81.
     */
    public static final int       INT_81              = 81;
    /**
     * The constant INT_82.
     */
    public static final int       INT_82              = 82;
    /**
     * The constant INT_83.
     */
    public static final int       INT_83              = 83;
    /**
     * The constant INT_84.
     */
    public static final int       INT_84              = 84;
    /**
     * The constant INT_85.
     */
    public static final int       INT_85              = 85;
    /**
     * The constant INT_86.
     */
    public static final int       INT_86              = 86;
    /**
     * The constant INT_87.
     */
    public static final int       INT_87              = 87;
    /**
     * The constant INT_88.
     */
    public static final int       INT_88              = 88;
    /**
     * The constant INT_89.
     */
    public static final int       INT_89              = 89;
    /**
     * The constant INT_90.
     */
    public static final int       INT_90              = 90;
    /**
     * The constant INT_91.
     */
    public static final int       INT_91              = 91;
    /**
     * The constant INT_92.
     */
    public static final int       INT_92              = 92;
    /**
     * The constant INT_93.
     */
    public static final int       INT_93              = 93;
    /**
     * The constant INT_94.
     */
    public static final int       INT_94              = 94;
    /**
     * The constant INT_95.
     */
    public static final int       INT_95              = 95;
    /**
     * The constant INT_96.
     */
    public static final int       INT_96              = 96;
    /**
     * The constant INT_97.
     */
    public static final int       INT_97              = 97;
    /**
     * The constant INT_98.
     */
    public static final int       INT_98              = 98;
    /**
     * The constant INT_99.
     */
    public static final int       INT_99              = 99;
    /**
     * The constant INT_100.
     */
    public static final int       INT_100             = 100;
    /**
     * The constant INT_128.
     */
    public static final int       INT_128             = 128;
    /**
     * The constant INT_256.
     */
    public static final int       INT_256             = 256;
    /**
     * The constant INT_1024.
     */
    public static final int       INT_1024            = 1024;

    /**
     * The constant INT_4096.
     */
    public static final int       INT_4096            = 4096;

    public static final String    UNKOWN              = "unkown";

    public static final String    UNGROUP              = "未分组";

    public static final String CHARS_ABC = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";

    public static final String CHARS_abc = "abcdefghijklmnopqrstuvwxyz";

    public static final String CHARS_ABCabc = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";

    public static final String CHARS_ABCabc123 = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";

    public static final String CHARS_abc123 = "abcdefghijklmnopqrstuvwxyz0123456789";

    public static final String CHARS_123 = "0123456789";

    public static enum StateEnum implements IBaseEnum<Integer> {
        Enable(1, "启用"),
        Disable(0, "停用"),
        Deleted(-1, "删除"),
        Unkown(-2, "待确定"),
        Err(-3, "异常");

        private Integer key;

        private String name;

        StateEnum(Integer k, String n) {
            key = k;
            name = n;
        }

        @Override
        public Integer getKey() {
            return key;
        }

        @Override
        public String getName() {
            return name;
        }

        public static StateEnum findEnumByKey(Integer k) {
            return IBaseEnum.findEnumByKey(StateEnum.class, k);
        }
    }

    public static enum BooleanEnum implements IBaseEnum<Integer>{
        True(1, "是"),
        False(0, "否");

        private Integer key;

        private String name;

        BooleanEnum(Integer k, String n){
            key = k;
            name = n;
        }

        @Override
        public Integer getKey(){
            return key;
        }

        @Override
        public String getName(){
            return name;
        }

        public static BooleanEnum findEnumByKey(Integer k){
            return IBaseEnum.findEnumByKey(BooleanEnum.class, k);
        }
    }
}
