package com.kingtom.kirin.core.common.base;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/8/30
 */
public enum ResultCodeEnum implements IBaseEnum<Integer>{
    Success(200, "业务执行成功"),
    ClientError(400, "客户端错误"),
    Unauthenticated(401, "未登录"),
    Unauthorized(402, "未授权"),
    ServerError(500, "服务器内部错误");

    private Integer key;

    private String  name;

    private ResultCodeEnum(Integer key, String name){
        this.key = key;
        this.name = name;
    }

    @Override
    public Integer getKey(){
        return key;
    }

    @Override
    public String getName(){
        return name;
    }

    public ResultCodeEnum findEnumByKey(Integer key){
        return IBaseEnum.findEnumByKey(ResultCodeEnum.class, key);
    }
}
