package com.kingtom.kirin.core.common.ref;

import com.kingtom.kirin.core.common.utils.RefUtils;

/**
 * <p>
 * Copyright: Copyright (C) 2022 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2022/9/23 15:27
 */
@SuppressWarnings("unused")
public class ReferenceImpl implements IReference{

    private Object base;
    private Object name;
    private Class<? extends Object> type;

    public ReferenceImpl(Object base, Object name) {
        this.base = base;
        this.name = name;
    }

    @Override
    public String toString() {
        return String.valueOf(this.getValue());
    }

    @Override
    public IReference next(Object key) {
        if (base != null) {
            Object context2 = getValue();
            if (context2 == null) {
                type = RefUtils.getPropertyType(base.getClass(), name);
                base = null;
            } else {
                base = context2;
            }
        } else if (type != null) {
            type = RefUtils.getPropertyType(type, name);
        }
        name = key;
        return this;
    }

    @Override
    public Object getBase() {
        return base;
    }

    @Override
    public Object getValue() {
        return RefUtils.getValue(base, name);
    }

    @Override
    public Class<? extends Object> getType() {
        if (type != null) {
            return RefUtils.getPropertyType(type, name);
        } else if (base != null) {
            Object value = getValue();
            if (value != null) {
                return value.getClass();
            } else {
                Class<? extends Object> t = RefUtils.getPropertyType(base.getClass(), name);
                return t == null ? Object.class : t;
            }
        } else {
            return null;
        }
    }

    @Override
    public Object setValue(Object value) {
        RefUtils.setValue(base, name, value);
        return null;
    }

    @Override
    public Object getName() {
        return name;
    }
}
