package com.kingtom.kirin.core.common.ref;

/**
 * <p>
 * Copyright: Copyright (C) 2022 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2022/9/22 17:58
 */
@SuppressWarnings("unused")
public class ReflectFilterObject {

    /**
     * 过滤后返回的数据
     */
    private Object object;
    /**
     * 过滤后是否继续赋值
     */
    private Boolean continueAssignment;

    public Object getObject() {
        return object;
    }

    public void setObject(Object object) {
        this.object = object;
    }

    public Boolean getContinueAssignment() {
        return continueAssignment;
    }

    public void setContinueAssignment(Boolean continueAssignment) {
        this.continueAssignment = continueAssignment;
    }

    public static Builder builder() {return new Builder();}

    public static final class Builder {
        private Object object;
        private Boolean continueAssignment;

        private Builder() {
        }

        public Builder object(Object object) {
            this.object = object;
            return this;
        }

        public Builder continueAssignment(Boolean continueAssignment) {
            this.continueAssignment = continueAssignment;
            return this;
        }

        public ReflectFilterObject build() {
            ReflectFilterObject reflectFilterObject = new ReflectFilterObject();
            reflectFilterObject.setObject(object);
            reflectFilterObject.setContinueAssignment(continueAssignment);
            return reflectFilterObject;
        }
    }
}
