package com.kingtom.kirin.core.common.ref;

import java.lang.reflect.Method;

/**
 * <p>
 * Copyright: Copyright (C) 2022 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2022/9/22 17:55
 */
@SuppressWarnings("unused")
public class ReflectVO {

    /**
     * 属性名称
     */
    private String key;
    /**
     * 属性值
     */
    private Object value;
    /**
     * set方法
     */
    private Method setMethod;
    /**
     * set方法参数类型
     */
    private Class<?> parameterType;

    public ReflectVO() {

    }

    public ReflectVO(String key, Object value, Method setMethod) {
        this.key = key;
        this.value = value;
        this.setMethod = setMethod;
        this.parameterType = setMethod.getParameterTypes()[0];
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }

    public Method getSetMethod() {
        return setMethod;
    }

    public void setSetMethod(Method setMethod) {
        this.setMethod = setMethod;
    }

    public Class<?> getParameterType() {
        return parameterType;
    }

    public void setParameterType(Class<?> parameterType) {
        this.parameterType = parameterType;
    }


}
