package com.kingtom.kirin.core.common.utils;

import lombok.extern.slf4j.Slf4j;
import org.springframework.http.MediaType;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;
import org.springframework.web.client.RestTemplate;

import java.util.Arrays;
import java.util.Map;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 基于RestTemplate
 * @author King
 * @since 2023/6/4 15:53
 */
@Slf4j
public class HttpUtils {

    private static RestTemplate rest;

    private HttpUtils(){}

    public static <T> T getSend(String url, Class<T> rclass, Map<String,?> reqParam) {
        return getRestTemplate().getForObject(url,rclass,reqParam);
    }

    public static <T> T postSend(String url, Class<T> rclass,Map<String,?> reqParam,Object reqBody) {
        return getRestTemplate().postForObject(url,reqBody,rclass,reqParam);
    }

    private static RestTemplate getRestTemplate() {
        if(rest == null) {
            RestTemplate t = new RestTemplate();
            MappingJackson2HttpMessageConverter mappingJackson2HttpMessageConverter = new MappingJackson2HttpMessageConverter();
            mappingJackson2HttpMessageConverter.setSupportedMediaTypes(Arrays.asList(MediaType.TEXT_PLAIN));
            t.getMessageConverters().add(mappingJackson2HttpMessageConverter);
            rest = t;
        }
        return rest;
    }
}
