package com.kingtom.kirin.core.database.typehandler;

import com.kingtom.kirin.core.common.json.JObject;
import com.kingtom.kirin.core.common.utils.JsonUtils;
import org.apache.ibatis.type.BaseTypeHandler;
import org.apache.ibatis.type.JdbcType;
import org.postgresql.util.PGobject;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * <p>
 * Copyright: Copyright (C) 2022 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2022/9/30 16:40
 */
public class JObjectTypeHandler extends BaseTypeHandler<JObject> {

    @Override
    public void setNonNullParameter(PreparedStatement ps, int i, JObject parameter, JdbcType jdbcType) throws SQLException {
        PGobject pgObject = new PGobject();
        pgObject.setType("jsonb");
        pgObject.setValue(JsonUtils.toJson(parameter));
        ps.setObject(i, pgObject);
    }

    @Override
    public JObject getNullableResult(ResultSet rs, String columnName) throws SQLException {
        String jsons = rs.getString(columnName);
        JObject r = JsonUtils.toObject(jsons,JObject.class);
        return r;
    }

    @Override
    public JObject getNullableResult(ResultSet rs, int columnIndex) throws SQLException {
        String jsons = rs.getString(columnIndex);
        JObject r = JsonUtils.toObject(jsons,JObject.class);
        return r;
    }

    @Override
    public JObject getNullableResult(CallableStatement cs, int columnIndex) throws SQLException {
        String jsons = cs.getString(columnIndex);
        JObject r = JsonUtils.toObject(jsons,JObject.class);
        return r;
    }

}
