package com.kingtom.kirin.core.event.service;

import com.kingtom.kirin.core.common.utils.SpringContextUtils;
import com.kingtom.kirin.core.event.model.AppEvent;
import com.kingtom.kirin.core.event.model.IAppListener;
import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.context.ApplicationEvent;
import org.springframework.context.ApplicationListener;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.context.event.ContextRefreshedEvent;
import org.springframework.stereotype.Component;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/8/23 15:19
 */
@Component
@Scope(proxyMode = ScopedProxyMode.NO)
public class EventServiceImpl implements IEventService, ApplicationContextAware, ApplicationListener<ApplicationEvent> {

    private ApplicationContext applicationContext;

    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        this.applicationContext = applicationContext;
        SpringContextUtils.setAc(this.applicationContext);
    }

    @SuppressWarnings("deprecation")
    @Override
    public void onApplicationEvent(ApplicationEvent event) {
        if (event instanceof ContextRefreshedEvent) {
            this.applicationContext = ((ContextRefreshedEvent) event).getApplicationContext();
            SpringContextUtils.setAc(this.applicationContext);
        }
    }

    @Override
    public void publishEvent(AppEvent e) {
        this.applicationContext.publishEvent(e);
    }

    @Override
    public void registAppListener(IAppListener listener) {
    }
}
