package com.kingtom.kirin.core.resource;

import com.kingtom.kirin.core.common.base.IBaseEnum;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/9 17:18
 */
public class ResourceConst {

    private ResourceConst(){}

    public static enum ResourceTypeEnum implements IBaseEnum<String> {
        SystemInfo("SystemInfo","系统"),
        SystemUser("SystemUser","用户"),
        UserSecurity("UserSecurity", "安全认证"),
        OrgPerson("OrgPerson","人员"),
        OrgUnit("OrgUnit", "组织"),
        SpaceFile("SpaceFile", "文件"),
        AuthMenu("AuthMenu", "授权菜单"),
        AuthRole("AuthRole", "授权角色"),
        AuthPermission("AuthPermission", "权限");

        private String key;
        private String name;
        private ResourceTypeEnum(String k,String n){
            this.key = k;
            this.name = n;
        }

        @Override
        public String getKey() {
            return key;
        }

        @Override
        public String getName() {
            return name;
        }

        public static ResourceTypeEnum findEnumByKey(String k) {
            return IBaseEnum.findEnumByKey(ResourceTypeEnum.class,k);
        }
    }

    public static enum ResourceOperaEnum implements IBaseEnum<String>{
        Add("Add", "新增"),
        Edit("Edit", "修改"),
        Remove("Remove", "删除"),
        Show("Show", "查看"),
        Execute("Execute", "执行");

        private String key;

        private String name;

        private ResourceOperaEnum(String k, String n){
            this.key = k;
            this.name = n;
        }

        @Override
        public String getKey(){
            return key;
        }

        @Override
        public String getName(){
            return name;
        }

        public static ResourceOperaEnum findEnumByKey(String k){
            return IBaseEnum.findEnumByKey(ResourceOperaEnum.class, k);
        }
    }
}
