package com.kingtom.kirin.generator.orm;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.generator.api.MyBatisGenerator;
import org.mybatis.generator.config.Configuration;
import org.mybatis.generator.config.xml.ConfigurationParser;
import org.mybatis.generator.internal.DefaultShellCallback;

import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/7/3 11:59
 */
@Slf4j
public class OrmGenerator {

    public void generat() {
        try{
            List<String> warnings = new ArrayList<String>();
            boolean overwrite = true;
            //获取类加载器
            ClassLoader classloader = Thread.currentThread().getContextClassLoader();
            //类加载器在classpach：下获取配置文件
            InputStream is = classloader.getResourceAsStream("mybatis-generator.xml");
            ConfigurationParser cp = new ConfigurationParser(warnings);
            Configuration config = cp.parseConfiguration(is);
            DefaultShellCallback callback = new DefaultShellCallback(overwrite);
            MyBatisGenerator myBatisGenerator = new MyBatisGenerator(config, callback, warnings);
            myBatisGenerator.generate(null);
        } catch (Exception ex) {
            log.error("orm生成发生异常",ex);
        }
    }

}
