package com.kingtom.kirin.generator.orm.mybatis;

import com.kingtom.kirin.core.common.json.JObject;
import org.mybatis.generator.api.IntrospectedColumn;
import org.mybatis.generator.api.dom.java.FullyQualifiedJavaType;
import org.mybatis.generator.internal.types.JavaTypeResolverDefaultImpl;

import java.sql.Types;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/7/2 22:49
 */
public class KirinJavaTypeResolver extends JavaTypeResolverDefaultImpl {

    public KirinJavaTypeResolver() {
        super();
        // postgresql的jsonb字段一律使用JObject<xxxx>来表示
        FullyQualifiedJavaType t = new FullyQualifiedJavaType(JObject.class.getName());
        typeMap.put(Types.OTHER, new JdbcTypeInformation("OTHER", t));
    }

    @Override
    public FullyQualifiedJavaType calculateJavaType(IntrospectedColumn introspectedColumn) {
        return super.calculateJavaType(introspectedColumn);
    }
}
