package com.kingtom.kirin.generator.orm.mybatis;

import com.kingtom.kirin.core.common.json.JObject;
import org.mybatis.generator.api.IntrospectedColumn;
import org.mybatis.generator.api.IntrospectedTable;
import org.mybatis.generator.api.PluginAdapter;
import org.mybatis.generator.api.dom.java.Field;
import org.mybatis.generator.api.dom.java.FullyQualifiedJavaType;
import org.mybatis.generator.api.dom.java.TopLevelClass;

import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/7/3 17:25
 */
public class KirinMybatisPlugin extends PluginAdapter {

    @Override
    public boolean validate(List<String> warnings) {
        return true;
    }

    @Override
    public boolean modelFieldGenerated(Field field, TopLevelClass topLevelClass, IntrospectedColumn introspectedColumn, IntrospectedTable introspectedTable, ModelClassType modelClassType) {
        String fcname = field.getType().getFullyQualifiedName();
        String jcname = JObject.class.getName();
        if(fcname.equals(jcname)) {
            String tmpfname = introspectedColumn.getJavaProperty();
            tmpfname = tmpfname.substring(0,1).toUpperCase() + tmpfname.substring(1);
            String tmpname = introspectedTable.getFullyQualifiedTable().getDomainObjectName() + tmpfname;
            field.getType().addTypeArgument(new FullyQualifiedJavaType(tmpname));
            return true;
        } else {
            return super.modelFieldGenerated(field, topLevelClass, introspectedColumn, introspectedTable, modelClassType);
        }
    }
}
